<div class="ui-dialog-table">
    <table>
        <thead>
            <tr>
                <th class="noprint">
                    <span class="dialog_make_btn16 add smallbtns ui-corner-all"
                        onclick="addressesandcontacts.emails.add();"
                        title="{$i.basic_add}"></span>
                    {include file="r_basic/print.tpl"}
                </th>
                <th scope="col">{$i.addresses_email}</th>
            </tr>
        </thead>
        <tbody>
        {foreach from=$address_info->emails item="item"}
            <tr {if $address_info->email eq $item->email}class="main_item"{/if}>
                <td class="noprint">
                    <span class="dialog_make_btn16 edit smallbtns ui-corner-all"
                        onclick="addressesandcontacts.emails.edit({$item->id});"
                        title="{$i.basic_edit}"></span>
                    <span class="dialog_make_btn16 delete smallbtns ui-corner-all"
                        onclick="addressesandcontacts.emails.delete_entry('{$address_info->id}', '{$field_id}', {$item->id});"
                        title="{$i.basic_delete}"></span>
                    {if $address_info->email_deri}
                        <span title="{$i.addresses_emails_default_no}">X</span>
                    {else}
                        <span class="dialog_make_btn16 move_last smallbtns ui-corner-all"
                            onclick="addressesandcontacts.emails.set_default('{$address_info->id}', '{$field_id}', {$item->id});"
                            title="{$i.addresses_emails_default}"></span>
                    {/if}
                </td>
                <td>{$item->email}</td>
            </tr>
        {/foreach}
        </tbody>
    </table>
</div>

<form id="addresses_emails_form"
    action=""  method="POST" enctype="multipart/form-data"
    onsubmit="addressesandcontacts.emails.save('{$address_info->id}', '{$field_id}'); return false;">
    <fieldset class="bordertop noprint">

        {include file='r/hidden.tpl' name="addresses_emails_edit"}{* What entry do we edit - If empty = add *}
        {include file='r/input.tpl' name="addresses_emails_email" title="addresses_email"
            class="required t-long" type="email" maxlength=255}
        <a class="dialog_make_text_btn ui-corner-all" onclick="addressesandcontacts.emails.save('{$address_info->id}', '{$field_id}');">
                <span class="dialog_make_btn16 ok ui-corner-all"></span>
                {$i.basic_save}
            </a>
    </fieldset>
</form>
