<div class="ui-dialog-table">
    <table>
        <thead>
            <tr>
                <th class="edtdelp-btn noprint">
                    <span class="dialog_make_btn16 add smallbtns ui-corner-all"
                        onclick="addressesandcontacts.relations.add();"
                        title="{$i.basic_add}"></span>
                    {include file="r_basic/print.tpl"}
                </th>
                <th scope="col">{$i.filter_date}</th>
                <th scope="col">{$i.basic_staff}</th>
                <th scope="col">{$i.addresses_to_address}</th>
                <th scope="col">{$i.addresses_description}</th>
                <th scope="col">{$i.addresses_from_address}</th>
                <th scope="col">{$i.addresses_from_personalapp}</th>
            </tr>
        </thead>
        <tbody>
        {foreach from=$relations item="item"}
            <tr>
                <td class="noprint">
                    <span class="dialog_make_btn16 edit smallbtns ui-corner-all"
                        onclick="addressesandcontacts.relations.edit({$item->id});"
                        title="{$i.basic_edit}"></span>
                    <span class="dialog_make_btn16 delete smallbtns ui-corner-all"
                        onclick="addressesandcontacts.relations.delete_entry('{$address_id}', '{$field_id}', {$item->id});"
                        title="{$i.basic_delete}"></span>
                </td>
                <td>{$item->date->us_date()}</td>
                <td>
                    <p class="smallbtns" title="{$i.basic_view}"
                       onclick="addressesandcontacts.relations.close();usComm.loadPage('staffadmin','index', 'view', {$item->from_staff_id})"
                       >{$item->from_staff_name|truncate:150:"..."}</p>
                </td>
                <td>
                    <p class="smallbtns" title="{$i.basic_view}"
                       onclick="addressesandcontacts.relations.close();usComm.loadPage('addressesandcontacts','index', 'view', {$item->address_id})"
                       >{$item->address_name|truncate:150:"..."}</p>
                </td>
                <td>{$item->description|truncate:500:"..."}</td>
                <td>{if $item->from_address_id}
                    <p class="smallbtns" title="{$i.basic_view}"
                       onclick="addressesandcontacts.relations.close();usComm.loadPage('addressesandcontacts','index', 'view', {$item->from_address_id})"
                       >{$item->from_address_name|truncate:150:"..."}</p>
                    {/if}
                </td>
                <td>{if $item->from_personalapp_id}
                    <p class="smallbtns" title="{$i.basic_view}"
                       onclick="addressesandcontacts.relations.close();usComm.loadPage('personalappointmentplaner','index', 'view', {$item->from_personalapp_id})"
                       >{$item->from_personalapp_comment|truncate:150:"..."}</p>
                    {/if}
                </td>
            </tr>
        {/foreach}
        </tbody>
    </table>
</div>

<form id="addresses_relations_form" action="" method="POST" enctype="multipart/form-data" onsubmit="">
    <fieldset class="bordertop noprint">

        {include file='r/hidden.tpl' name="addresses_relations_edit"}{* What entry do we edit - If empty = add *}
        {include file='r/date.tpl' name="addresses_relations_date" title="filter_date" class="dateUS"}
        {include file='r/hidden.tpl' name="addresses_relations_address"}
        {include file='r/select.tpl' name='addresses_relations_staff_id' title="basic_staff" 
            list=$addresses_relations_staff_list id="id" text="staff_name"}
        
        {include file='r/view.tpl' name='addresses_relations_address_view' title="addresses_to_address" class="t-long t-left"}
        {include file='r/input.tpl' name="addresses_relations_description" title="addresses_description"
            class="required t-long"}
        {include file='r/ajaxselect.tpl' name='addresses_relations_from_address' title="addresses_from_address"
            class="addressselect fulltext_search t-long"}
        {include file='r/ajaxselect.tpl' name='addresses_relations_personalapp' title="addresses_from_personalapp"
            class="personalappselect fulltext_search t-long"}
        <a class="dialog_make_text_btn ui-corner-all" onclick="addressesandcontacts.relations.save('{$address_id}', '{$field_id}');">
                <span class="dialog_make_btn16 ok ui-corner-all"></span>
                {$i.basic_save}
            </a>
    </fieldset>
</form>