<table class="dashed">
    <tr>
        <th>{$i.reporting_rep_work_package_name}</th>
        <th>{$i.reporting_sum_hours}</th>
        <th>{$i.reporting_booked_sum_hours}</th>
        <th>{$i.reporting_booked_sum_hours_perc}</th>
        <th>{$i.reporting_skill_grps}</th>
    </tr>
    {foreach item="work_package" from=$work_packages}
        <tr class="smallbtns">
            <td>{$work_package->name}</td>
            <td>{$work_package->budget_planned_hours}</td>
            <td>{$work_package->wp_sum_hours}</td>
            <td>{$work_package->wp_sum_hours_perc}%</td>
            {if !empty($work_package->skill_grps)}
                <td><table>
                  <tr>
                    <th>{$i.reporting_skill_name}</th>
                    <th>{$i.reporting_skill_proportion}</th>
                    <th>{$i.reporting_skill_proportion_hours}</th>
                    <th>{$i.reporting_skill_booked_hours}</th>
                    <th>{$i.reporting_booked_sum_hours_perc}</th>
                    <th>{$i.reporting_skill_working_hours_period}</th>
                    <th>{$i.reporting_skill_period}</th>
                  </tr>
                  {foreach item="skill_grp" from=$work_package->skill_grps}
                      <tr class="smallbtns">
                        <td>{$skill_grp->skill_name}</td>
                        <td>{$skill_grp->proportion*100}%</td>
                        <td>{$skill_grp->proportion*$work_package->budget_planned_hours}</td>
                        <td>{$skill_grp->sum_hours[0]->sum_hours}</td>
                        <td>{$skill_grp->sum_hours_perc|string_format:"%.2f"}%</td>
                        <td>{$skill_grp->working_hours}</td>
                        <td>
                        {if !empty($skill_grp->budget_start) && !empty($skill_grp->budget_end)}
                            {$skill_grp->budget_start->us_date()} - {$skill_grp->budget_end->us_date()}
                        {/if}
                        </td>
                      </tr>
                  {/foreach}           
                </table></td>
            {/if}
        </tr>
    {/foreach}
</table>