<!DOCTYPE HTML>
<head>
    <meta charset="utf-8" />
        <title><?php echo $title; ?> &#8230;</title>
	<style type="text/css">
            #biglogo picture, #biglogo img {
                width: 80vw;
                max-width: 500px;
            }
            #loadlogo picture, #loadlogo img {
                width: 10vw;
                max-width: 100px;
            }
            #menublock, #menublock #mb_masterdatamanagement, #menublock #mb_masterdatamanagement a {
                visibility: visible !important;
                display: block !important;
                width: 10px !important;
                height: 10px !important;
                opacity: 0.1 !important;
            }
	</style>
        <link rel="shortcut icon" href="<?php echo site_url('favicon.ico'); ?>" type="image/x-icon" id="shortcut_ico" />
        
        <?php if ($js_path === 'js') { ?>
            <script src="<?php echo site_url($js_path.'/jquery/jquery-2.2.4__'.$us_version_ue.'.js'); ?>" defer></script>
        <?php } else { ?>
            <script src="<?php echo site_url($js_path.'/jquery__'.$us_version_ue.'.js'); ?>" defer></script> 
            <script src="<?php echo site_url($js_path.'/ustrich__'.$us_version_ue.'.js'); ?>" defer></script> 
        <?php } ?>
        
        <?php /* Standard onLoad action */ ?>
        <script src="<?php echo site_url($js_path.'/page_centric/startup__'.$us_version_ue.'.js'); ?>" defer></script>
        
        <?php /* PRELOAD */ ?>
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/basic__'.$us_version_ue.'.css'); ?>">
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/icons__'.$us_version_ue.'.css'); ?>">
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/ui.basic__'.$us_version_ue.'.css'); ?>">
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/lazy__'.$us_version_ue.'.css'); ?>">
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/fullcalendar__'.$us_version_ue.'.css'); ?>">
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/menu1__'.$us_version_ue.'.css'); ?>">
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/menu2__'.$us_version_ue.'.css'); ?>">
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/print__'.$us_version_ue.'.css'); ?>" media="print">
        
        <?php /*             
            loadCSS. [c]2017 Filament Group, Inc. MIT License
            Has to be here, as long as the support is still bad https://caniuse.com/#search=preload 
         */ ?>
        <script type="text/javascript">
          !function(n){"use strict";n.loadCSS||(n.loadCSS=function(){});var o=loadCSS.relpreload={};if(o.support=function(){var e;try{e=n.document.createElement("link").relList.supports("preload")}catch(t){e=!1}return function(){return e}}(),o.bindMediaToggle=function(t){var e=t.media||"all";function a(){t.addEventListener?t.removeEventListener("load",a):t.attachEvent&&t.detachEvent("onload",a),t.setAttribute("onload",null),t.media=e}t.addEventListener?t.addEventListener("load",a):t.attachEvent&&t.attachEvent("onload",a),setTimeout(function(){t.rel="stylesheet",t.media="only x"}),setTimeout(a,3e3)},o.poly=function(){if(!o.support())for(var t=n.document.getElementsByTagName("link"),e=0;e<t.length;e++){var a=t[e];"preload"!==a.rel||"style"!==a.getAttribute("as")||a.getAttribute("data-loadcss")||(a.setAttribute("data-loadcss",!0),o.bindMediaToggle(a))}},!o.support()){o.poly();var t=n.setInterval(o.poly,500);n.addEventListener?n.addEventListener("load",function(){o.poly(),n.clearInterval(t)}):n.attachEvent&&n.attachEvent("onload",function(){o.poly(),n.clearInterval(t)})}"undefined"!=typeof exports?exports.loadCSS=loadCSS:n.loadCSS=loadCSS}("undefined"!=typeof global?global:this);
        </script>
    </head>
    <body onLoad="setTimeout('document.location=\'<?php echo $url; ?>\'', 15000)"><?php /* 15 Seconds fallback */ ?>
        <p id="biglogo" style="text-align:center; margin-top:7vh;">
            <a id="biglogoclk" href="<?php echo $url; ?>" style="border:0;">
                <picture>
                    <source type="image/svg+xml" srcset="<?php echo site_url('/images/logo/startup.svg?v=5'); ?>">
                    <img src="<?php echo site_url('/images/logo/startup.png?v=5'); ?>" alt="untermStrich X3">
                </picture>
            </a>
        </p>
        <p id="loadlogo" style="text-align:center; margin-top:7vh;">
            <a id="loadlogoclk" href="<?php echo $url; ?>" style="border:0;">
                <img src="<?php echo site_url('/images/loading.svg?v=6'); ?>" alt="untermStrich loading">
            </a>
        </p>
        
        <?php /* PRELOAD */ ?>
        <iframe type="text/html" src="<?php echo site_url('empty.html'); ?>" style="visibility: hidden;"></iframe>
        <div id="menublock">
            <div id="mb_masterdatamanagement">
                <a href="<?php echo $url; ?>" style="border:0;"></a>
            </div>
        </div>
    </body>
</html>
