<!DOCTYPE HTML>
<head>
    <meta charset="utf-8" />
        <title>OAuth 2.0 - <?php echo $title; ?></title>
	<style type="text/css">
            * {
                font-family: "Open Sans",Arial,Helvetica,sans-serif;
            }
            body {
                background-color: #f9f9f9;
            }
            #biginfo {
                width: 90vw;
                max-width: 800px;
                margin: 8vh auto;
                padding: 1vh;
                text-align: center;
                background-color: #FFFFFF;
                border-radius: 7px;
            }
            #biginfo h1, #biginfo p {
                margin-top: 4vh;
                margin-bottom: 4vh;
            }
            #biginfo h1 {
                font-size: 30px;
            }
	</style>
        
        <?php if ($js_path === 'js') { ?>
            <script src="<?php echo site_url($js_path.'/jquery/jquery-2.2.4__'.$us_version_ue.'.js'); ?>" defer></script>
        <?php } else { ?>
            <script src="<?php echo site_url($js_path.'/jquery__'.$us_version_ue.'.js'); ?>" defer></script> 
        <?php } ?>

        <link rel="stylesheet" type="text/css" href="<?php echo site_url($css_path.'/basic__'.$us_version_ue.'.css'); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo site_url($css_path.'/icons__'.$us_version_ue.'.css'); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo site_url($css_path.'/lazy__'.$us_version_ue.'.css'); ?>">
    </head>
    <?php
        $action = " $(\'#loadinfo\').show();";
        $action .= " $(\'#us_oauth_start\').submit();";
    ?>
    <body onLoad="setTimeout('<?php echo $action; ?>', <?php echo (isset($wait) ? $wait : 1000); ?>)"><?php /* Milliseconds wait */ ?>
        <div id="biginfo">
            <h1>OAuth 2.0 - <?php echo $title; ?></h1>
            <p>
                Connecting to <?php echo us_substr($url, 0, 60); ?>&#8230;<br /><br />
                <span style="display:none;" id="loadinfo" class="dialog_make_load48" title="Loading..."></span>
            </p>
            <form id="us_oauth_start" action="<?php echo $url; ?>"  method="POST">
                <input type="hidden" name="onetime" id="onetime" value="<?php echo $onetime; ?>" />
                <input type="hidden" name="serial" id="serial" value="<?php echo $serial; ?>" />
                <input type="hidden" name="ustoken" id="ustoken" value="<?php echo $ustoken; ?>" />
                <input type="hidden" name="returnurl" id="returnurl" value="<?php echo $returnurl; ?>" />
                <input type="hidden" name="challenge" id="challenge" value="<?php echo $challenge; ?>" />
            </form>
        </div>
    </body>
</html>
