<fieldset class="borderbottom">
    {include file='r/hidden.tpl' name="personalapp_edit"}{* What entry do we edit - If empty = add *}
    {include file='r/date.tpl' name="personalapp_date" title="personalapp_date" class="required dateUS"
        filter_extra='onfocus="$(this).data(\'old_date\', $(this).val());" onchange="personalapp.on_change_date();"'}

    {include file='r/hidden.tpl' name="personalapp_app_type"}
    {include file='r/hidden.tpl' name="personalapp_staff"}
    {include file='r/hidden.tpl' name="personalapp_staff_to_name"}

    {include file='r/timefromto.tpl' name="personalapp_time" title="personalapp_time" class="timeUS timeto"
        deactivate_possible=TRUE}

    {* include file='r/time.tpl' name="personalapp_from" title="personalapp_from" collapse='formcoll'
        class="timeUS follow-id:personalapp_to timefrom" deactivate_possible=TRUE}
    {include file='r/time.tpl' name="personalapp_to" title="personalapp_to" collapse='formcoll' class="timeUS timeto" *}

    {include file='r/datetime.tpl' name="personalapp_notify" title="personalapp_notify_date" class=""
        deactivate_possible=TRUE}

    {include file='r/radio_color.tpl' name="personalapp_state_color" title='personalapp_state_color'
    list=$state_color_list id="id" text="name" color="color"
    default=50
    noempty=TRUE}
</fieldset>

<fieldset class="borderbottom">
    {include file='r/radio.tpl' name="personalapp_status" title="personalapp_status" collapse='formcoll'
        list=$personalapp_status_list id="id" text="name" class="required"}

    {include file='r/checkbox.tpl' name="personalapp_private" title="personalapp_private" collapse='formcoll'}

    {include file='r/select-project.tpl' name="personalapp_project" title="personalapp_project" class="is_project required"
        list=$projects_list id="id" text="project"
        add_icons_file="project" filter_favourite_list=$projects_favourite_list}

    {include file='r/many.tpl' name="personalapp_multistaff" title="personalapp_staff"
    add_method="personalapp.multistaff.add_open"
    class="removeable required"}

    {include file='r/input.tpl' name='personalapp_location' title="{$i.personalapp_location}"
        class="addressinput fulltext_search t-mid" maxlength=255
        add_icons_file="project_participants"
        filter_project_participants_project_field="personalapp_project"}

    {include file='r/many.tpl' name="personalapp_participants" title="personalapp_participants"
        add_method="personalapp.participants.add_open"
        class="removeable sortable"}
</fieldset>

<fieldset class="borderbottom">
    {include file='r/input.tpl' name="personalapp_summary" title="personalapp_summary" class="t-long required t-task"}
    {include file='r/textarea.tpl' name="personalapp_comment" title="personalapp_comment" class="t-long t-task"}

    {include file='r/input.tpl' name='personalapp_url' title="{$i.basic_url}"
        class="t-long" type="url" maxlength=8000}

</fieldset>

<fieldset id="multiday_section" class="borderbottom">
    <legend>{$i.basic_several_days}</legend>

    {include file='r/input.tpl' name="personalapp_several_days_day" title="personalapp_several_days_day" class='follow-id:personalapp_several_days_last_date' deactivate=TRUE
    collapse='formcoll' deactivate_possible=TRUE filter_extra="onchange=\"personalapp.multiday.update_multiday_periodical_dates();\""}

    {include file='r/date.tpl' name="personalapp_several_days_last_date" title="personalapp_until" class="dateUS" collapse='formcoll' hide=TRUE
    filter_extra="onchange=\"personalapp.multiday.update_multiday_days();\""}

</fieldset>

<fieldset id="periodical_section" class="noborder">
    <legend>{$i.basic_periodical}</legend>

    {include file='r/all_x_times.tpl' name="personalapp_periodical" title="personalapp_all2" deactivate_possible=TRUE collapse='formcoll' deactivate=TRUE
    class='follow-id:personalapp_periodical_last_date' filter_extra="onchange=\"personalapp.multiday.update_multiday_periodical_dates();\""}

    {include file='r/date.tpl' name="personalapp_periodical_last_date" title="personalapp_until" class="dateUS" collapse='formcoll' hide=TRUE
    filter_extra="onchange=\"personalapp.multiday.validate_multiday_periodical();\""}

</fieldset>

