<table style="width:100%">
    <thead>
        <tr>
            <th class="edtdelp-btn noprint">
                {include file="r_basic/print.tpl"}
            </th>
            <th scope="col">{$i.correspondence_attachment}</th>
            <th scope="col">{$i.correspondence_attach_desc}</th>
            <th scope="col">{$i.correspondence_security}</th>
        </tr>
    </thead>
    <tbody>
    {foreach from=$attachments item="attachment"}
        <tr>
            <td class="noprint">
                {if $corr_no_edit_send && $correspondence->outbox_times>=1}
                {else}
                    {if !isset($correspondence->object_is_editable) || $correspondence->object_is_editable}    
                        <span class="dialog_make_btn16 edit smallbtns ui-corner-all"
                            onclick="correspondence.attachment.save_description('{$correspondence_id}', {$attachment->id}, '{base64_encode($attachment->description)}')"
                            title="{$i.basic_edit}"></span>
                        <span class="dialog_make_btn16 delete smallbtns ui-corner-all"
                            onclick="correspondence.attachment.delete_item({$attachment->id})"
                            title="{$i.basic_delete}"></span>
                    {/if}
                {/if}
            </td>
            <td>
                {if !empty($attachment->drawing_id)}
                    <a style="text-decoration:none;" title="{$i.basic_drawingandproductdirectory}"
                       href="{site_url url="start/open/drawingandproductdirectory/index/$corratt_xjxcookie/view/{$attachment->drawing_id}"}"
                       onclick="window.open(this.href); return false;"><span class="dialog_make_btn16 drawings ui-corner-all"></span></a>
                {/if}
                {if !empty($attachment->filename)}
                    {if strtolower(substr($attachment->path, 0, 7)) === 'o365://' && (!isset($attachment->object_is_editable) || $attachment->object_is_editable)}
                                {filelink_html($attachment->path, 'correspondence_attachment', $attachment->id)}
                    {elseif $attachment->is_us_document && (!isset($attachment->object_is_editable) || $attachment->object_is_editable)}{*}US file attachment{*}
                        <span class="dialog_make_btn16 print smallbtns ui-corner-all"
                            onclick="fullPopup.viewurl('{site_url url="start/open/correspondence_actions/open_us_attachment/`$corratt_xjxcookie`/`$attachment->id`"}')"
                            title="{$i.correspondence_print} - {basename($attachment->path)|escape:'html'}"></span>
                    {elseif (!isset($attachment->object_is_editable) || $attachment->object_is_editable)}{*}Normal file attachment{*}
                        {filelink_html($attachment->path)}
                    {/if} 
                    {$attachment->filename}
                {/if}
            </td>
            <td>{$attachment->description}</td>
            <td>
                {if $attachment->security<3}
                    {security value=$attachment->security add_title=true} 
                    {if !$attachment->security_zip && $attachment->file_ext neq 'html'}(X2 Security){/if}
                {/if}
            </td>
        </tr>
    {/foreach}
    </tbody>
</table>