{if !$for_user}
    <div>
        {if !$dav_install_status.use_https && !$dav_install_status.use_http}
            <div class="warning ui-corner-all">
                {$i.pages_dav_no_connect|markdown}
            </div>
        {else if !$dav_install_status.use_https}
            <div class="warning ui-corner-all">
                {$i.pages_dav_no_https|markdown}
            </div>
        {/if}
        
        <p>
            <span class="dialog_make_text_btn ui-corner-all"
                onclick="window.open('https://webservices.untermstrich.com/h4/de:dav:start'); return false;">
                <span class="dialog_make_btn16 help"></span>
                {$i.basic_help}
            </span> 

            <a class="dialog_make_text_btn ui-corner-all" onclick="window.open(this.href); return false;" href="{site_url('webdav')}">WebDAV {$i.basic_view}</a>
        </p>
    </div>
{else}
    {if !$dav_install_status.use_https && !$dav_install_status.use_http}
        <div class="warningsmall warningborder ui-corner-all">
            {$i.pages_dav_no_connect|markdown}
        </div>
    {/if}
{/if}
{if $has_right_dav or $has_right_mgmt}
    <div {if !$for_user}style="margin-top: 15px;"{/if}>
        {include file='r/input.tpl' name="login_dav_url1" title="DAV Server" default=$dav_install_status.server
            readonly=true class="t-midsmall"
            main_style="background: rgba(255, 255, 255, 0.8);" labelclass="label1"}
        {if !$for_user}
            <div class="warningsmall ui-corner-all">
                {$i.pages_dav_ical|markdown}
            </div>
        {/if}
        {if $has_right_dav}
            {include file='r/input.tpl' name="login_dav_username" title="auth_username" default=$login_data_username 
                readonly=true class="t-small"
                main_style="background: rgba(255, 255, 255, 0.8);" labelclass="label1"}
            {if empty($login_data_username)}
                <div class="warningsmall warningborder ui-corner-all">
                    {$i.pages_dav_has_no_username|markdown}
                </div>
            {/if}
        {else}
            <div class="warningsmall warningborder ui-corner-all">
                {$i.pages_dav_has_no_right|markdown}
            </div>
        {/if}
    </div>
    <div {if !$for_user}style="margin-top: 15px;"{else}style="margin-top: 8px;"{/if}>
        {if $dav_calendar_active}
            {include file='r/input.tpl' name="login_caldav_url1" title="CalDAV `$i.basic_personalappointmentplaner`" default=$dav_caldav_url1
                readonly=true class="t-midsmall" add_icons_file="openhref"
                main_style="padding: 2px; background: rgba(255, 255, 255, 0.8);" labelclass="label1"}
            <a class="dialog_make_text_btn ui-corner-all" 
                href="{site_url url="reportportlet/`$xjxcookie`/dav_info/get_cdsp/Termine.cdsp"}">
                    {$i.basic_personalappointmentplaner}.cdsp {$i.basic_download}
            </a>

            {include file='r/input.tpl' name="login_caldav_url2" title="CalDAV `$i.basic_opentasks`" default=$dav_caldav_url2 
                readonly=true class="t-midsmall" add_icons_file="openhref"
                main_style="padding: 2px; background: rgba(255, 255, 255, 0.8);" labelclass="label1"}
        {else}
            CalDAV {$i.basic_inactive}<br />
        {/if}

        {if $dav_card_active}
            {include file='r/input.tpl' name="login_carddav_url1" title="CardDAV `$i.basic_addressesandcontacts`" default=$dav_carddav_url1
                readonly=true class="t-midsmall" add_icons_file="openhref"
                main_style="padding: 2px; background: rgba(255, 255, 255, 0.8);" labelclass="label1"}
        {else}
            CardDAV {$i.basic_inactive}<br />
        {/if}

        {if $appoi_fallback_project_id eq false}
            <div class="warningsmall ui-corner-all">
                {$i.pages_dav_no_appoi_fallback_project|markdown}
            </div>
        {/if}

        {if !$for_user}
            {if $dav_install_status.use_https}
                <div class="warningsmall ui-corner-all">
                    {$i.pages_dav_https|markdown}
                </div>
            {/if}
        {/if}
    </div>
    <details class="small-info" style="margin-top: 10px;">
        <summary>{$i.basic_view_more}</summary>
        {include file='r/input.tpl' name="login_webdav_url" title="WebDAV Url" default=$dav_webdav_url
            readonly=true class="t-mid" add_icons_file="openhref"
            main_style="background: rgba(255, 255, 255, 0.8);" labelclass="label4"}
        <p>
            Sync token {$i.basic_addressesandcontacts}: <kbd>{$dav_info_card_synctoken}</kbd><br />
            Sync token {$i.basic_personalappointmentplaner}: <kbd>{$dav_info_appoi_synctoken}</kbd><br />
            Sync token {$i.basic_opentasks}: <kbd>{$dav_info_task_synctoken}</kbd><br />
            CardDAV nur für folgende Kategorie: 
                {if $system_sync_only_category_addresses}<kbd>{$system_sync_only_category_addresses}</kbd>{/if} | 
                {if $staff_sync_only_category_addresses}<kbd>{$staff_sync_only_category_addresses}</kbd>{/if}
            <br />

        </p>
    </details>
{else}
    <div class="warningsmall warningborder ui-corner-all">
        {$i.pages_dav_has_no_right|markdown}
    </div>
{/if}