<table class="col2btn">
    <tr>
        <td>{$i.drawings_project}</td>
        <td>{$drawing->project}</td>
    </tr>
    {if $drawing->transmittal_form_name neq ''}
        <tr>
            <td>{$i.drawings_inout_dn_id}</td>
            <td>{$drawing->transmittal_form_name}</td>
        </tr>
    {/if}
    {if $drawing->amount>0}
        <tr>
            <td>{$i.drawings_inout_amount}</td>
            <td>{$drawing->amount}</td>
        </tr>
    {/if}
    {if $drawing->staff_name neq ''}
        <tr>
            <td>{$i.drawings_inout_sender}</td>
            <td>{$drawing->staff_name}</td>
        </tr>
    {/if}
    {if $drawing->purpose neq ''}
        <tr>
            <td>{$i.drawings_purpose}</td>
            <td>{$drawing->purpose}</td>
        </tr>
    {/if}
    {if $drawing->comment neq ''}
        <tr>
            <td>{$i.drawings_inout_dn_comment}</td>
            <td>{$drawing->comment}</td>
        </tr>
    {/if}
    {if $drawing->remarks neq ''}
        <tr>
            <td>{$i.drawings_inout_dn_remarks}</td>
            <td>{$drawing->remarks}</td>
        </tr>
    {/if}
    <tr>
        <td>{$i.drawings_inout_recipients}</td>
        <td>
            <div class="many">
                {foreach from=$drawing->recipients item=recipient key=index}
                    <p {if $index==0}class="address" title="{$i.drawings_inout_main_recipient}"{/if}>
                        <a class="smallbtns"
                            href="{site_url url="start/open/addressesandcontacts/index/$xjxcookie/view/{$recipient->address_id}/"}"
                            onclick="usComm.loadPage('addressesandcontacts','index', 'view', {$recipient->address_id}); return false;"
                            >{$recipient->address_name|truncate:80:"..."}</a>
                    </p>
                {foreachelse}
                    &nbsp;
                {/foreach}
            </div>
        </td>
    </tr>
    <tr>
        <td>{$i.drawings_inout_drawing_ids}</td>
        <td>
            <div class="many">
                {foreach from=$drawing->drawings item=drawing_item key=index}
                    <p>
                        <a class="smallbtns"
                            href="{site_url url="start/open/drawingandproductdirectory/index/$xjxcookie/view/{$drawing_item->drawing_id}/"}"
                            onclick="drawings_drawings.hover_update_do({$drawing_item->drawing_id}); return false;"
                            >{$drawing_item->drawing_plan_info|truncate:80:"..."}</a>
                    </p>
                {foreachelse}
                    &nbsp;
                {/foreach}
            </div>
        </td>
    </tr>
    {if $drawing->print_purpose neq ''}
    <tr>
        <td>{$i.drawings_inout_dn_print_purpose}</td>
        <td>{$drawing->print_purpose}</td>
    </tr>
    {/if}
    
    </tr>
        <td>{$i.basic_correspondence}</td>
        <td>
            <div class="many frstbtn">
                {foreach from=$corr_list item=corr_item key=index}
                    <p>
                        <a href="{site_url url="start/open/correspondence/index/$xjxcookie/view/{$corr_item->id}/"}"
                           onclick="window.open(this.href); return false;"
                           class="dialog_make_btn16 correspondence smallbtns ui-corner-all" title="{$i.basic_correspondence}"></a>

                        {additional_button type="correspondence_edit_document" value=$corr_item}
                        {$corr_item->subject|truncate:50:"..."}
                    </p>
                {foreachelse}
                    &nbsp;
                {/foreach}
            </div>
        </td>
    </tr>    
    
    </tr>
        <td>{$i.basic_mailoutbox}</td>
        <td>
            <div class="many frstbtn">
                {foreach from=$out_list item=out_item key=index}
                    <p class="tooltip" id="out_{$out_item->id}">
                        <a href="{site_url url="start/open/mailinboxandoutbox/index/$xjxcookie/viewout/{$out_item->id}/"}"
                           onclick="window.open(this.href); return false;"
                           class="dialog_make_btn16 inoutbox smallbtns ui-corner-all" title="{$i.basic_mailoutbox}"></a>

                        {$out_item->content|truncate:50:"..."}
                        ({$out_item->dispatch_mode_name|truncate:50:"..."})
                    </p>
                    <div id="out_{$out_item->id}_data" class="tooltip_data">
                        {foreach from=$out_item->attachment_files item=attachment_file}
                            {$attachment_file->description|truncate:50:"..."} - {$attachment_file->path|truncate:250:"..."}<br />
                        {/foreach}
                    </div>
                {foreachelse}
                    &nbsp;
                {/foreach}
            </div>
        </td>
    </tr>    
    
    <tr>
        <td>{$i.basic_created_date}</td>
        <td>{$drawing->created_date->us_date()}</td>
    </tr>
    <tr>
        <td>{$i.basic_created_by}</td>
        <td>{$drawing->created_by_name}</td>
    </tr>
    <tr>
        <td>{$i.basic_change_date}</td>
        <td>{$drawing->change_date->us_date()}</td>
    </tr>
    <tr>
        <td>{$i.basic_changed_by}</td>
        <td>{$drawing->changed_by_name}</td>
    </tr>
</table>