{include file='r/hidden.tpl' name="invoice_format" default=$invoice_format}

{if !$correspondence_has_bought && $use_existing_correspondence !== "true"}
    <div class="warningsmall ui-corner-all">{$i.fees_save_type_corr_no_bought_zug}</div>
{elseif !$correspondence_has_right}
    <div class="warningsmall ui-corner-all">{$i.fees_save_type_corr_no_rights_zug}</div>
{else}
    <fieldset class="borderbottom">
        {include file='r/select.tpl' name="zugferd_invoice_version"
            title="fees_invoice_version" collapse='formcoll'
            list=$invoice_versions id="id" text="title" default=$invoice_version
            class="required t-mid" noempty=TRUE}
        {include file='r/select.tpl' name="zugferd_document_type"
            title="fees_invoice_document_type" collapse='formcoll'
            list=$document_types id="id" text="title" default=$document_type
            class="required t-mid" noempty=TRUE}
    </fieldset>
    <fieldset class="borderbottom">
        <h3>{$i.fees_fee_biller} <small>(BG-4)</small></h3>
        {include file='r/ajaxselect.tpl' name='zugferd_seller_address'
            title="fees_fee_address" id="id" text="name" collapse='formcoll'
            default_id=$seller_address_id
            default=$seller_address class="required addressselect fulltext_search t-mid"
            add_icons_file='warning' past_span_text='<small>(BG-5)</small>'}

        {include file='r/select.tpl' name="zugferd_fee_account_id"
            title="fees_fee_account" collapse='formcoll'
            list=$fee_accounts id="id" text="name" default=$fee_account_id
            class="required t-mid" noempty=TRUE
            add_icons_file='warning' past_span_text='<small>(BG-16)</small>'}
            
        {include file='r/input.tpl' name="zugferd_seller_address_endpoint_id"
            title="fees_fee_address_endpoint_id"
            default=$seller_address_endpoint_id text="name" class="t-mid"
            add_icons_file='warning' past_span_text='<small>(BT-34)</small>'}
    </fieldset>
    <fieldset class="borderbottom">
        <h3>{$i.fees_fee_recipient} <small>(BG-7)</small></h3>
        {include file='r/ajaxselect.tpl' name='zugferd_buyer_address'
            title="fees_fee_address" id="id" text="name"
            default_id=$buyer_address_id
            default=$buyer_address class="required addressselect fulltext_search t-mid"
            add_icons_file='warning' past_span_text='<small>(BG-8)</small>'}
            
        {include file='r/input.tpl' name="zugferd_buyer_address_endpoint_id"
            title="fees_fee_address_endpoint_id"
            default=$buyer_address_endpoint_id text="name" class="t-mid"
            add_icons_file='warning' past_span_text='<small>(BT-49)</small>'}
    </fieldset>
    <fieldset class="borderbottom">
        {include file='r/datefromto.tpl' name="zugferd_order_period"
            title="fees_fee_period" collapse='formcoll'
            default=$period_dates text="name" class="dateUS t-small"
            add_icons_file='warning' past_span_text='<small>(BG-26)</small>'}
        
        {include file='r/select.tpl' name="zugferd_vat_category_code"
            title="fees_vat_category_code" collapse='formcoll'
            list=$vat_category_codes id="id" text="title" default=$vat_category_code
            filter_extra='title="(UNTDID 5305)"'
            class="required t-mid" noempty=TRUE
            add_icons_file='warning' past_span_text='<small>(BT-151)</small>'}
    </fieldset>
    <fieldset class="borderbottom">
        <h3>{$i.fees_order}</h3>
        {include file='r/input.tpl' name="zugferd_buyer_reference"
            title="fees_fee_buyer_reference"
            default=$buyer_reference text="name" class="required t-mid"
            add_icons_file='warning' past_span_text='<small>(BT-10)</small>'}
        {include file='r/input.tpl' name="zugferd_order_reference"
            title="fees_fee_reference_number"
            default=$order_reference text="name" class="t-mid"
            add_icons_file='warning' past_span_text='<small>(BT-13)</small>'}
    </fieldset>

    <fieldset class="borderbottom">
        <h3>{$i.fees_fee_attachments} <small>(BT-125)</small></h3>
        {include file='r/file.tpl' name="e_invoice_attachment_upload_1" title="{$i.fees_fee_attachment} 1"
            allow_delete=TRUE targettype="files" targetdata="temp" labelclass="label2"
            allow_info=false collapse='formcoll'}
        {include file='r/file.tpl' name="e_invoice_attachment_upload_2" title="{$i.fees_fee_attachment} 2"
            allow_delete=TRUE targettype="files" targetdata="temp" labelclass="label2"
            allow_info=false collapse='formcoll'}
        {include file='r/file.tpl' name="e_invoice_attachment_upload_3" title="{$i.fees_fee_attachment} 3"
            allow_delete=TRUE targettype="files" targetdata="temp" labelclass="label2"
            allow_info=false collapse='formcoll'}
        {include file='r/file.tpl' name="e_invoice_attachment_upload_4" title="{$i.fees_fee_attachment} 4"
            allow_delete=TRUE targettype="files" targetdata="temp" labelclass="label2"
            allow_info=false collapse='formcoll'}
    </fieldset>

    <fieldset class="borderbottom">
        {include file='r/select.tpl' name="save_type"
            title="fees_save_type" 
            list=$save_types id="id" text="name" default=$save_type
            collapse='formcoll' class="required on_change_update ocu-p:feeadmin ocu-m:update_zugferd_save_types {if $use_existing_correspondence}ocu-f:{$use_existing_correspondence}{/if}" noempty=TRUE}
        {if !$correspondence_has_bought}
            <span class="warningsmaller ui-corner-all" style="opacity: 0.5; scale: 0.7;">{$i.fees_save_type_corr_no_bought}</span>
        {/if}
        
        <div id="e_invoice_correspondence_inputs">
            {include file='Feeadmin/e_invoice/zugferd_correspondence.tpl'
                save_type=$save_type subject=$subject}
        </div>
        
        {if $use_existing_correspondence == "true"}
            {include file='r/hidden.tpl' name="existing_correspondence_type" default=$existing_correspondence_type}
        {else}
            <span class="warningsmaller ui-corner-all">{$i.fees_save_type_corr_zug_info}</span>
        {/if}
    </fieldset>
{/if}