<table class="dashed">
    <thead>
        <tr>
            <th>&nbsp;</th>
            <th title="{$i.fees_sum_value}" class="floatval">{$i.fees_sum_value}</th>
            <th title="{$i.fees_sum_value_pre_tax}" class="floatval">{$i.fees_sum_value_pre_tax}</th>
            <th title="{$i.fees_sum_remited_after_tax}" class="floatval">{$i.fees_sum_remited_after_tax}</th>
            <th title="{$i.fees_sum_remited}" class="floatval">{$i.fees_sum_remited}</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td title="{$i.fees_planned}" class="title">{$i.fees_planned}</td>
            <td title="{$i.fees_planned} {$i.fees_sum_value}" class="floatval">{float_to_usnumber($feeinfo->planned->sum_value)}</td>
            <td title="{$i.fees_planned} {$i.fees_sum_value_pre_tax}" class="floatval">{float_to_usnumber($feeinfo->planned->sum_value_pre_tax)}</td>
            <td title="{$i.fees_planned} {$i.fees_sum_remited_after_tax}" class="floatval">{float_to_usnumber($feeinfo->planned->sum_remited_after_tax)}</td>
            <td title="{$i.fees_planned} {$i.fees_sum_remited}" class="floatval">{float_to_usnumber($feeinfo->planned->sum_remited)}</td>
        </tr>
        <tr>
            <td title="{$i.fees_invoiced}" class="title">{$i.fees_invoiced}</td>
            <td title="{$i.fees_invoiced} {$i.fees_sum_value}" class="floatval">{float_to_usnumber($feeinfo->invoiced->sum_value)}</td>
            <td title="{$i.fees_invoiced} {$i.fees_sum_value_pre_tax}" class="floatval">{float_to_usnumber($feeinfo->invoiced->sum_value_pre_tax)}</td>
            <td title="{$i.fees_invoiced} {$i.fees_sum_remited_after_tax}" class="floatval">{float_to_usnumber($feeinfo->invoiced->sum_remited_after_tax)}</td>
            <td title="{$i.fees_invoiced} {$i.fees_sum_remited}" class="floatval">{float_to_usnumber($feeinfo->invoiced->sum_remited)}</td>
        </tr>
        <tr>
            <td title="{$i.fees_invoiced_open}" class="title">{$i.fees_invoiced_open}</td>
            <td title="{$i.fees_invoiced_open} {$i.fees_sum_value}" class="floatval">{float_to_usnumber($feeinfo->invoiced_open_only->sum_value)}</td>
            <td title="{$i.fees_invoiced_open} {$i.fees_sum_value_pre_tax}" class="floatval">{float_to_usnumber($feeinfo->invoiced_open_only->sum_value_pre_tax)}</td>
            <td title="{$i.fees_invoiced_open} {$i.fees_sum_remited_after_tax}" class="floatval">{float_to_usnumber($feeinfo->invoiced_open_only->sum_remited_after_tax)}</td>
            <td title="{$i.fees_invoiced_open} {$i.fees_sum_remited}" class="floatval">{float_to_usnumber($feeinfo->invoiced_open_only->sum_remited)}</td>
        </tr>
    {if $date_from != ''}
        <tr>
            <td colspan=5>{$i.reporting_time_period}: {$date_from} - {$date_to}</td>
        </tr>
    
    {/if}
    </tbody>
</table>