<table class="dashed">
    <tr>
        <th class="floatval">{$i.fees_month}</th>
        <th class="floatval">{$i.fees_sum_value}</th>
        <th class="floatval">{$i.fees_sum_value_pre_tax}</th>
        <th class="floatval">{$i.fees_invoiced_open_before_tax}</th>
        {if $fees_planned}
            <th class="floatval">{$i.fees_sum_planned}</th>
        {/if}
    </tr>
{foreach item="monthly_fee" from=$feeinfo}
    <tr>
        <th title="{$i.fees_month}" class="floatval">
            {assign var=month value=$monthly_fee->month_value|string_format:"%02s"}
            {assign var=key value="basic_month_"|cat:$month}
            {$i.$key}
        </th>
        <td title="{$i.fees_sum_value}" class="floatval">
            {if isset($monthly_fee->sum_value)}{float_to_usnumber($monthly_fee->sum_value)}{else}-{/if}
        </td>
        <td title="{$i.fees_sum_value_pre_tax}" class="floatval">
            {if isset($monthly_fee->sum_value_pre_tax)}{float_to_usnumber($monthly_fee->sum_value_pre_tax)}{else}-{/if}
        </td>
        <td title="{$i.fees_invoiced_open_before_tax}" class="floatval">
            {if isset($monthly_fee->open_fees_value)}{float_to_usnumber($monthly_fee->open_fees_value)}{else}-{/if}
        </td>
        {if $fees_planned}
            <td title="{$i.fees_sum_planned}" class="floatval">
                {if isset($monthly_fee->planned_fees_value)}{float_to_usnumber($monthly_fee->planned_fees_value)}{else}-{/if}
            </td>
        {/if}
    </tr>
{/foreach}
    {if $fees_year != ''}
        <tr>
            <td colspan=5>{$i.reporting_time_period}: {$fees_year}</td>
        </tr>
    {/if}
</table>