<table>
    <tr>
        <td>{$i.holidayadmin_balance}</td>
        <td>{float_to_usnumber($vacation->balance)}</td>
    </tr>
    <tr>
        <td>{$i.holidayadmin_days}</td>
        <td {if $vacation->is_absent}style="text-decoration: line-through;"{/if}>{float_to_usnumber($vacation->days)}</td>
    </tr>
    <tr>
        <td>{$i.basic_from}</td>
        <td>{$vacation->start_date->us_date()}</td>
    </tr>
    <tr>
        <td>{$i.basic_to}</td>
        <td>{$vacation->end_date->us_date()}</td>
    </tr>
    <tr>
        <td>{$i.holidayadmin_purpose}</td>
        <td>{$vacation->comment}</td>
    </tr>
    <tr>
        <td>{$i.holidayadmin_created_date}</td>
        <td>{$vacation->created_date->us_date()}</td>
    </tr>
    <tr>
        <td>{$i.holidayadmin_created_by}</td>
        <td>{$vacation->created_by_id_name}</td>
    </tr>
    <tr>
        <td>{$i.holidayadmin_change_date}</td>
        <td>{$vacation->change_date->us_date()}</td>
    </tr>
    <tr>
        <td>{$i.holidayadmin_changed_by}</td>
        <td>{$vacation->changed_by_id_name}</td>
    </tr>

    <tr>
        <td>{$i.holidayadmin_status}</td>
        <td>
            {if $vacation->holiday_is_ok}
                <span style="background-color: #33EE33; color: #FFFFFF; padding: 1px 2px;">{$i.holidayadmin_holiday_ok}</span>
            {else if $vacation->status__approved}
                <span style="background-color: #6666FF; color: #FFFFFF; padding: 1px 2px;">{$i.holidayadmin_ok}</span>
            {else if $vacation->is_submitted}
                {$i.holidayadmin_applied}
            {else if $vacation->is_refused}
                <span style="background-color: #FF0000; color: #FFFFFF; padding: 1px 2px;">{$i.holidayadmin_refused}</span>
            {/if}
            {if $vacation->is_ok_pre}
                <br /><span style="color: #33EE33; padding: 1px 2px;">{$i.holidayadmin_is_ok_pre}</span>
            {/if}
        </td>
    </tr>
    <tr>
        <td>{$i.holidayadmin_absent_holiday}</td>
        <td>
            {vacation_type value=$vacation->type}
            {if $vacation->is_absent}
                {if $vacation->is_absent_social}
                    {$i.holidayadmin_absent_social_yes}
                {else}
                    {$i.holidayadmin_absent_social_no}
                {/if}
            {/if}
        </td>
    </tr>
    {if $vacation->increased}
        <tr>
            <td>{$i.holidayadmin_increased}</td>
            <td>{boolview value=$vacation->increased}</td>
        </tr>
    {/if}
    
    <tr>
        <td>{$i.holidayadmin_project}</td>
        <td>{$vacation->project}</td>
    </tr>
    <tr>
        <td>{$i.basic_staff}</td>
        <td>{$vacation->staff_id_name}</td>
    </tr>
    {if isset($vacation_modifications)}    
        <tr>
            <td>{$i.portlet_d_modifications}</td>
            <td>
                <ul>
                    {foreach item="modification" from=$vacation_modifications}
                         <li>
                            <small>
                                {$modification->date->us_date_time()}<br />
                                {$modification->staff}<br />

                                {if isset($modification->info_items.start_date)}{us_substr($modification->info_items.start_date,0,10)}{else}???{/if} - 
                                {if isset($modification->info_items.end_date)}{us_substr($modification->info_items.end_date,0,10)}{else}???{/if}
                                <small title="{$i.holidayadmin_days}">({if isset($modification->info_items.days)}{float_to_usnumber($modification->info_items.days)}{else}???{/if})</small><br />
                                {$i.holidayadmin_purpose}: {if isset($modification->info_items.comment)}{$modification->info_items.comment}{else}???{/if}<br />

                                {$i.holidayadmin_status}:
                                {if isset($modification->info_items.holiday_is_ok) && $modification->info_items.holiday_is_ok eq 1}
                                    <small style="background-color: #33EE33; color: #FFFFFF; padding: 1px 2px;">{$i.holidayadmin_holiday_ok}</small>
                                {else if isset($modification->info_items.is_submitted) && isset($modification->info_items.is_refused) && $modification->info_items.is_submitted eq 0 && $modification->info_items.is_refused eq 0}
                                    <small style="background-color: #6666FF; color: #FFFFFF; padding: 1px 2px;">{$i.holidayadmin_ok}</small>
                                {else if isset($modification->info_items.is_submitted) && $modification->info_items.is_submitted eq 1}
                                    {$i.holidayadmin_applied}
                                {else if isset($modification->info_items.is_refused) && $modification->info_items.is_refused eq 1}
                                    <small style="background-color: #FF0000; color: #FFFFFF; padding: 1px 2px;">{$i.holidayadmin_refused}</small>
                                {else}
                                    -
                                {/if}
                                {if isset($modification->info_items.is_ok_pre) && $modification->info_items.is_ok_pre eq 1}
                                    <br /><small style="color: #33EE33; padding: 1px 2px;">{$i.holidayadmin_is_ok_pre}</small>
                                {/if}

                                {if isset($modification->info_items.is_absent) && $modification->info_items.is_absent eq 1}
                                    {if isset($modification->info_items.is_absent_social) && $modification->info_items.is_absent_social eq 1}
                                        <br />{$i.holidayadmin_absent_social_yes}
                                    {else}
                                        <br />{$i.holidayadmin_absent_social_no}
                                    {/if}
                                {/if}
                            </small>
                         </li>
                    {/foreach}
                </ul>   
            </td>
        </tr>
    {/if}
</table>