{function name=active_inactive}
    {if !isset($yes)}
        {assign var="yes" value="masterdatamanagement_safety_status_active"}
    {/if}    
    {if !isset($no)}
        {assign var="no" value="masterdatamanagement_safety_status_inactive"}
    {/if}    
    <span style="font-weight:bold; color: {if $value === TRUE}green">{$i.$yes}{else}red">{$i.$no}{/if}</span>
{/function}

<h2><em>{$i.masterdatamanagement_maintenance}</em> - {$i.masterdatamanagement_maintenance_tasks}

    <span class="dialog_make_text_btn ui-corner-all" onclick="$(this).hide(); masterdatamanagement.view('maintenance_tasks');">
        <span class="dialog_make_btn16 update ui-corner-all"></span>
        {$i.basic_update}
    </span>
</h2>

<div class="story">
    {if $need_confirm === TRUE}
        <div class="warningsmall ui-corner-all">
            <span >{$i.masterdatamanagement_tasks_confirm}</span><br />
            <a class="dialog_make_text_btn ui-corner-all" onclick="if(basicForm.requestBigConfirm(''))masterdatamanagement.view('maintenance_tasks.save_confirm');">
                <span class="dialog_make_btn16 ok ui-corner-all"></span>
                {$i.masterdatamanagement_tasks_confirm1}
            </a>        
        </div>
        <div class="warningsmall ui-corner-all">
            {$i.masterdatamanagement_tasks_confirm2}
        </div>
    {/if}

    {if count($o365_mail_no_oauth) > 0}
        <h3 style="color:red">{$i.auth_oauth_no_o365mail}</h3>
        <ul>
            {foreach $o365_mail_no_oauth as $o365_mail_account}
                <li>{$o365_mail_account->email}</li>
            {/foreach}  
        </ul>      
    {/if}
   
    <h3>{$i.masterdatamanagement_tasks_database}</h3>
    <ul>
        <li>
            {$i.masterdatamanagement_tasks_database1}<br />
            {$i.masterdatamanagement_tasks_database2}
            {if $saas_db_action}
                <a class="dialog_make_text_btn warningsmall warningedit ui-corner-all" title="{$i.basic_portlets} - {$saas_db_text}"
                    onclick="{$saas_db_action}">{$saas_db_text}</a>
            {else}
                <a href="https://webservices.untermstrich.com/h4/{$language_short}:faq:mysql_backup"
                    class="dialog_make_text_btn ui-corner-all" title="{$i.basic_help}"
                    onclick="window.open(this.href); return false;"><span class="dialog_make_btn16 help"></span> {$saas_db_text}</a>
            {/if}
        </li>
    </ul>
        
    <h3>{$i.masterdatamanagement_tasks_holidays}</h3>    
    <ul>
        <li>
            <h4>{$i.masterdatamanagement_tasks_holidays_rates}</h4>
            {$i.masterdatamanagement_tasks_holidays2}<br />
            {if count($holiday_rates_without_values) > 0}
                <span style="font-weight: bold; color:red">{$tasks_holidays3}</span>
                <ul style="max-height: 50vh; overflow: auto;">
                    {foreach $holiday_rates_without_values as $missing_rate}
                        <li><span class="dialog_make_text_btn warningsmall warningedit ui-corner-all" 
                            title="{$i.basic_masterdatamanagement} - {$i.masterdatamanagement_md_holiday_rates}"
                            onclick="masterdatamanagement.view('md_holiday_rates', false, false, true)">{$missing_rate->name}</span></li>
                    {/foreach}
                </ul>
            {else}
                {$tasks_holidays3}
                <div style="font-weight:bold; color:green">
                    {$i.basic_no_result1}
                </div>
            {/if}
        </li>
        <li>
            <h4>{$i.masterdatamanagement_tasks_holidays4}</h4>
            {if count($staff_missing_rates) > 0}
                <ul style="max-height: 50vh; overflow: auto;">
                    {foreach $staff_missing_rates as $staff_missing_rate}
                    <li>
                        <span 
                        {if $has_staffadmin_right}
                            class="dialog_make_text_btn warningsmall warningedit ui-corner-all"
                            title="{$i.basic_staffadmin}"
                            onclick="usComm.loadPage('staffadmin','index', 'view', '{$staff_missing_rate->id}')"
                        {/if} >{$staff_missing_rate->staff_name}</span>
                    </li>
                    {/foreach}
                </ul>
            {else}
                <div style="font-weight:bold; color:green">
                    {$i.basic_no_result1}
                </div>
            {/if}
        </li>
        <li>
            <h4>{$i.masterdatamanagement_seasons_greetings}</h4>
            <ul>
                <li>
                    <div id="exp_seasons_greetings" {if !$seasons_greetings}style="display:none;"{/if}>
                        {$i.masterdatamanagement_tasks_seasons_greetings}<br />
                        <span onclick="masterdatamanagement.view('web_config.userinterface', false, false, true)" class="dialog_make_text_btn warningsmall warningedit ui-corner-all"
                              title="{$i.basic_masterdatamanagement} - {$i['masterdatamanagement_web_config.userinterface']}">
                            {$i["masterdatamanagement_web_config.userinterface"]} - {$i.masterdatamanagement_seasons_greetings}
                        </span>            
                    </div>
                    {$i.masterdatamanagement_safety_status}: {active_inactive value=!$seasons_greetings yes="masterdatamanagement_safety_status_inactive" no="masterdatamanagement_safety_status_active"}
                    {if !$seasons_greetings}
                        <a class="dialog_make_text_btn ui-corner-all" style="margin-left: 5px;" onclick="$('#exp_seasons_greetings').show();$(this).hide();">{$i.basic_more|lower}...</a>
                    {/if}
                </li>
            </ul>
        </li>
    </ul>        

    <h3>{$i.masterdatamanagement_tasks_employee}</h3>
    <ul>
        <li>{$i.masterdatamanagement_tasks_employee1}</li>
        <ul>
            <li>{$i.masterdatamanagement_tasks_employee2}</li>
        </ul>
    </ul>
    
    <h3>{$i.masterdatamanagement_tasks_employee3}</h3>
    <ul>
        <li>{$i.masterdatamanagement_tasks_employee4}</li>
        <ul>
            <li>{$i.masterdatamanagement_tasks_employee5}</li>
        </ul>
    </ul>

    <h3>{$i.masterdatamanagement_tasks_konfig}</h3>
    <ul>
        <li>{$i.masterdatamanagement_tasks_konfig1}</li>
    </ul>    
    
    {if $last_confirmed_date !== null && $last_confirmed_staff !== FALSE}
        <p style="padding-top: 10px;">
            {$i.masterdatamanagement_tasks_last_confirmed_on}: {$last_confirmed_date->us_date()}<br />
            {$i.masterdatamanagement_tasks_last_confirmed_by}: {$last_confirmed_staff->staff_name}
        </p>
    {/if}     
        
    {if $need_confirm === TRUE}
        <div class="warningsmall ui-corner-all">
            <span >{$i.masterdatamanagement_tasks_confirm}</span><br />
            <a class="dialog_make_text_btn ui-corner-all" onclick="if(basicForm.requestBigConfirm(''))masterdatamanagement.view('maintenance_tasks.save_confirm');">
                <span class="dialog_make_btn16 ok ui-corner-all"></span>
                {$i.masterdatamanagement_tasks_confirm1}
            </a>        
        </div>
    {/if}  
</div>
