<form action="{site_url url="mobile/open/mobile_opta/change/"}" method="post" id="optaform" data-ajax="false">
    {include file='r/hidden.tpl' name="opentasks_edit" default=$opentask->id}{* What entry do we edit - If empty = add *}

    <div data-role="fieldcontain">
        <label for="opentasks_multistaff">{$i.opentasks_todo_name}:</label>
        {include file='r/select-only.tpl' name="opentasks_todo_id" default=$opentask->todo_id
            noempty=1 filter_extra="required data-native-menu='false'" class="required" 
            list=$opta_staff_list id="id" text="staff_name"}
    </div>
    
    {include file='Mobile/opta/opta_edit_only.tpl'}
    
    
    <div data-role="fieldcontain">
        <label for="opta_address">{$i.opentasks_address}:</label>
        {if !empty($opentask->address_id)}
            <a data-role="button" href="{site_url url="mobile/open/mobile_addrs/item/`$opentask->address_id`"}" data-rel="dialog" data-icon="info" data-theme="e" data-transition="pop">
            {$opentask->address_name|truncate:80:"..."}
            </a>
        {else}
            -
        {/if}
    </div>
        
    <fieldset data-role="controlgroup" data-type="horizontal" class="radio_smaller" disabled="disabled">
        <legend>{$i.opentasks_private_or_mgmt}:</legend>
        
        <label for="opta_private_or_mgmt_2" class="label3">
            <input name="opta_private_or_mgmt" id="opta_private_or_mgmt_2" disabled="disabled" type="radio" value="2" {if $opentask->is_private}checked="checked"{/if} />
            {$i.opentasks_is_private2}
        </label>
        <label for="opta_private_or_mgmt_3" class="label3">
            <input name="opta_private_or_mgmt" id="opta_private_or_mgmt_3" disabled="disabled" type="radio" value="3" {if $opentask->need_mgmt_right}checked="checked"{/if} />
            {$i.opentasks_need_mgmt_right2}
        </label>

    </fieldset>

    <div data-role="fieldcontain">
        <label for="opentasks_confirm_done">{$i.opentasks_confirm_done}:</label>
        <select name="opentasks_confirm_done" id="opentasks_confirm_done" data-role="slider">
            <option value="" selected="true">{$i.basic_no}</option>
            <option value="yes">{$i.basic_yes}</option>
        </select> 
    </div>

    <fieldset id="opentasks_done" class="ui-body-c" style="padding: 0 10px 0 10px;">
        <div data-role="fieldcontain">
            <label for="opentasks_done_annotation">{$i.opentasks_done_annotation}:</label>
            <textarea name="opentasks_done_annotation" id="opentasks_done_annotation"
               placeholder="{$i.opentasks_done_annotation}" data-theme="c"></textarea>
        </div>

        <div data-role="fieldcontain">
            <label for="opentasks_feedback">{$i.opentasks_feedback}:</label>
            <select name="opentasks_feedback" id="opentasks_feedback" data-role="slider" data-theme="c">
                <option value="" selected="true">{$i.basic_no}</option>
                <option value="yes">{$i.basic_yes}</option>
            </select> 
        </div>
    </fieldset>

    <fieldset data-role="controlgroup" id="optaform_submit">
        <button data-icon="check" type="submit">{$i.basic_save}</button>

        <a href="{site_url url="mobile/open/mobile_opta/index/"}" data-role="button" data-rel="back"
            data-icon="delete" data-dom-cache="false"
            data-transition="pop">{$i.basic_cancel}</a>
    </fieldset>
</form>
