{assign var='title' value=$i.basic_personalappointmentplaner}
{include file='Mobile/r_basic/htmlheader.tpl'}

<style type="text/css">
    .calendar_state70-icon .ui-icon-info {
        background-color: {$theme->calendar_state70};
    }
    .calendar_state60-icon .ui-icon-info {
        background-color: {$theme->calendar_state60};
    }
    .calendar_state50-icon .ui-icon-info {
        background-color: {$theme->calendar_state50};
    }
    .calendar_state40-icon .ui-icon-info {
        background-color: {$theme->calendar_state40};
    }
    .calendar_state30-icon .ui-icon-info {
        background-color: {$theme->calendar_state30};
    }
</style>

    <div data-role="page" id="persapppage" data-theme="a" data-dom-cache="false">
        {if isset($page_script)}
            <script type="text/javascript">
                {$page_script}
            </script>
        {/if}

        {include file='Mobile/r_basic/header.tpl'}

        <div data-role="header" data-theme="d" data-position="inline">
            <a href="{site_url url="mobile/open/mobile_persapp/add_appoint/"}?r={uniqid()}" data-dom-cache="false"
                data-role="button" data-icon="plus" data-rel="dialog" data-transition="pop">{$i.basic_add}</a>
            <h1></h1>
            <form action="{site_url url="mobile/open/mobile_persapp/index/"}" method="post" id="persappform" data-transition="fade" class="ui-btn-right">
                <div  style="float:left;">
                {include file='r/select-only.tpl' name="persapp_staff" default=$persapp_staff
                    noempty=1 filter_extra="required" class="required" maxtextlength=25
                    list=$persapp_staff_list id="id" text="staff_name"}
                </div>
                <div id="persappform_submit" style="float:right;">
                    <button type="submit" data-icon="refresh" data-iconpos="notext">{$i.basic_view}</button>
                </div>
            </form>
        </div>
            
        <div data-role="content">
            <ul data-filter="true" data-filter-placeholder="{$i.filter_filter_items}" data-role="listview">
                {foreach item="persapp" from=$personalappointments}
                    {assign var='state_color' value="calendar_state`$persapp->state_color_id`"}
                    {assign var='status_style' value=''}
                    {if $persapp->status eq 20}{assign var='status_style' value='font-style:italic; opacity: 0.8;'}{/if}
                    {if $persapp->status eq 30}{assign var='status_style' value='text-decoration:line-through; opacity: 0.6;'}{/if}
                    <li {if $persapp->is_new}data-icon="star"{else}data-icon="info"{/if}
                        {if $persapp->date->mysqlday() eq $today->mysqlday()}data-theme="e"{/if}
                        class="calendar_state{$persapp->state_color_id}-icon"
                        style="box-shadow: inset 0 -1px 1px {$theme->$state_color};">
                        <a href="{site_url url="mobile/open/mobile_persapp/item/`$persapp->id`"}" data-rel="dialog" data-transition="pop">
                            {if $persapp->status eq 20}<div class="ui-icon ui-icon-grid" style="left: 5px; margin-top:-1.2em; opacity:0.8; background-color:#edea4e;"></div>{/if}
                            {if $persapp->status eq 30}<div class="ui-icon ui-icon-minus" style="left: 5px; margin-top:-1.2em; opacity:0.5; background-color:#ff8383;"></div>{/if}
                            <h3 class="ui-li-heading" style="padding-left: 10px;">
                                <span style="{$status_style} display: inline-block; padding: 0 5px 0 5px;" class="ui-corner-all">
                                    {$persapp->date->us_date()}
                                    {if !$persapp->fullday}
                                        | {$persapp->daytime_from->format('H:i')} - {$persapp->daytime_to->format('H:i')}
                                    {/if}
                                </span>
                                {if $persapp->is_new} !!{/if}
                            </h3>

                            <p class="ui-li-desc" style="{$status_style} padding: 0 5px 0 5px;">
                                {$persapp->comment|truncate:40}
                            </p>
                        </a>
                    </li>
                {/foreach}
            </ul>
        </div><!-- /content -->

        {include file='Mobile/r_basic/footer.tpl'}

    </div><!-- /page -->
    
{include file='Mobile/r_basic/htmlfooter.tpl'}