{include file='Reports/basics/_filterinfo.tpl' filterinfos=$filterinfo valid_filterinfo=TRUE show_always=TRUE}

<table class="dashed">
<tr>
    <th>{$i.reporting_rep_project}</th>
    <th>{$i.reporting_rep_work_package_name}</th>
    <th class="floatval">{$i.reporting_rep_total_hours}</th>
    <th class="floatval">{$i.reporting_rep_fee_hours}</th>
    <th class="floatval">{$i.reporting_rep_total_hours} %</th>
    <th class="floatval">{$i.reporting_rep_costs}</th>
    <th class="floatval">{$i.reporting_rep_fee_costs}</th>
    <th class="floatval">{$i.reporting_rep_fee_internal}</th>
    <th class="floatval">{$i.reporting_rep_costs} %</th>
</tr>    
{foreach item="fee" from=$fees}
    <tr>
        <td title="{$i.reporting_rep_project}">{$fee->project_name}</td>
        <td title="{$i.reporting_rep_work_package_name}">{$fee->work_package_name}</td>
        <td title="{$i.reporting_rep_total_hours}" class="floatval">{float_to_usnumber($fee->total_hours,2)}</td>
        <td title="{$i.reporting_rep_fee_hours}" class="floatval">{float_to_usnumber($fee->fee_hours,2)}</td>

        {if $fee->fee_hours!=0}
            <td title="{$i.reporting_rep_total_hours} %" class="floatval">{float_to_usnumber($fee->hour_percentage*100,2)}&nbsp;%</td>
        {else}
            <td title="{$i.reporting_rep_total_hours} %" class="floatval" style="color:red; text-align:center;">-</td>
        {/if}            

        <td title="{$i.reporting_rep_costs}" class="floatval">{float_to_usnumber($fee->total_costs,2)}</td>
        <td title="{$i.reporting_rep_fee_costs}" class="floatval">{float_to_usnumber($fee->fee_costs,2)}</td>
        <td title="{$i.reporting_rep_fee_internal}" class="floatval">{float_to_usnumber($fee->fee_internal,2)}</td>

        {if $fee->fee_internal!=0}
            <td title="{$i.reporting_rep_costs} %" class="floatval">{float_to_usnumber($fee->fee_percentage*100,2)}&nbsp;%</td>
        {else}
            <td title="{$i.reporting_rep_costs} %" class="floatval" style="color:red; text-align:center;">-</td>
        {/if}

    </tr>
{/foreach}
</table>