{include file='Reports/basics/_filterinfo.tpl' filterinfos=$filterinfo valid_filterinfo=TRUE show_always=TRUE}

<table class="dashed">
<tr>
    <th>{$i.reporting_rep_project}</th>
    <th class="floatval">{$i.reporting_rep_total_hours}</th>
    <th class="floatval">{$i.reporting_rep_fee_hours}</th>
    <th class="floatval">{$i.reporting_rep_total_hours} %</th>
    <th class="floatval">{$i.reporting_rep_costs}</th>
    <th class="floatval">{$i.reporting_rep_fee_costs}</th>
    <th class="floatval">{$i.reporting_rep_fee_internal}</th>
    <th class="floatval">{$i.reporting_rep_costs} %</th>
</tr>
{foreach item="project" from=$projects}
    <tr>
        <td title="{$i.reporting_rep_project}">{$project->project_name}</td>
        <td title="{$i.reporting_rep_total_hours}" class="floatval">{float_to_usnumber($project->total_hours,2)}</td>
        <td title="{$i.reporting_rep_fee_hours}" class="floatval">{float_to_usnumber($project->fee_hours,2)}</td>
        <td title="{$i.reporting_rep_total_hours} %" class="floatval">{if $project->fee_hours<>0}{float_to_usnumber($project->hour_percentage*100,2)}&nbsp;%{else}-{/if}</td>
        <td title="{$i.reporting_rep_costs}" class="floatval">{float_to_usnumber($project->total_costs,2)}</td>
        <td title="{$i.reporting_rep_fee_costs}" class="floatval">{float_to_usnumber($project->fee_costs,2)}</td>
        <td title="{$i.reporting_rep_fee_internal}" class="floatval">{float_to_usnumber($project->fee_internal,2)}</td>
        <td title="{$i.reporting_rep_costs} %" class="floatval">{float_to_usnumber($project->fee_percentage*100,2)}&nbsp;%</td>
    </tr>
{/foreach}
</table>