{include file='Reports/basics/_filterinfo.tpl' filterinfos=$filterinfo valid_filterinfo=TRUE show_always=TRUE}

<table class="dashed">
    <tr>
        <th class="floatval"></th>
        <th class="floatval">{$i.reporting_hours}</th>
        <th class="floatval">{$i.reporting_rep_x_time_costs}</th>
        <th class="floatval">{$i.reporting_rep_x_travel_costs}</th>
        <th class="floatval">{$i.reporting_rep_x_extra_costs}</th>
        <th class="floatval">{$i.reporting_rep_costs}</th>
    </tr>
    <tr>
        <th class="floatval hoverhelp" title="{$i.filter_no_indirect_costs}">{$i.reporting_productive}</th>
        <td title="{$i.reporting_hours} {$i.reporting_productive}" class="floatval">{float_to_usnumber($productivity_hours,2)}</td>
        <td title="{$i.reporting_rep_x_time_costs} {$i.reporting_productive}" class="floatval">{float_to_usnumber($productivity_costs,2)}</td>
        <td title="{$i.reporting_rep_x_travel_costs} {$i.reporting_productive}" class="floatval">{float_to_usnumber($productivity_travels,2)}</td>
        <td title="{$i.reporting_rep_x_extra_costs} {$i.reporting_productive}" class="floatval">{float_to_usnumber($productivity_extras,2)}</td>
        <td title="{$i.reporting_rep_costs} {$i.reporting_productive}" class="floatval">{float_to_usnumber($productivity_externalexpenses,2)}</td>
    </tr>
    <tr>
        <th class="floatval hoverhelp" title="{$i.reporting_rep_x_total} - {$i.reporting_productive}">{$i.reporting_not_productive}</th>
        <td title="{$i.reporting_hours} {$i.reporting_not_productive}" class="floatval">{float_to_usnumber($total_hours-$productivity_hours,2)}</td>
        <td title="{$i.reporting_rep_x_time_costs} {$i.reporting_not_productive}" class="floatval">{float_to_usnumber($total_costs-$productivity_costs,2)}</td>
        <td title="{$i.reporting_rep_x_travel_costs} {$i.reporting_not_productive}" class="floatval">{float_to_usnumber($total_travels-$productivity_travels,2)}</td>
        <td title="{$i.reporting_rep_x_extra_costs} {$i.reporting_not_productive}" class="floatval">{float_to_usnumber($total_extras-$productivity_extras,2)}</td>
        <td title="{$i.reporting_rep_costs} {$i.reporting_not_productive}" class="floatval">{float_to_usnumber($total_externalexpenses-$productivity_externalexpenses,2)}</td>
    </tr>
    <tr>
        <th class="floatval">{$i.reporting_rep_x_total}</th>
        <td title="{$i.reporting_rep_x_total} {$i.reporting_hours}" class="floatval">{float_to_usnumber($total_hours,2)}</td>
        <td title="{$i.reporting_rep_x_total} {$i.reporting_rep_x_time_costs}" class="floatval">{float_to_usnumber($total_costs,2)}</td>
        <td title="{$i.reporting_rep_x_total} {$i.reporting_rep_x_travel_costs}" class="floatval">{float_to_usnumber($total_travels,2)}</td>
        <td title="{$i.reporting_rep_x_total} {$i.reporting_rep_x_extra_costs}" class="floatval">{float_to_usnumber($total_extras,2)}</td>
        <td title="{$i.reporting_rep_x_total} {$i.reporting_rep_costs}" class="floatval">{float_to_usnumber($total_externalexpenses,2)}</td>
    </tr>
    <tr>
        <th class="floatval hoverhelp" title="{$i.reporting_not_productive}/{$i.reporting_productive}">{$i.reporting_factor_prod_noprod}</th>
        <td title="{$i.reporting_factor_prod_noprod} {$i.reporting_hours}" class="floatval">{if $productivity_hours<>0}{float_to_usnumber(($total_hours-$productivity_hours)/$productivity_hours*100,2)}&nbsp;%{else}-{/if}</td>
        <td title="{$i.reporting_factor_prod_noprod} {$i.reporting_rep_x_time_costs}" class="floatval">{if $productivity_costs<>0}{float_to_usnumber(($total_costs-$productivity_costs)/$productivity_costs*100,2)}&nbsp;%{else}-{/if}</td>
        <td title="{$i.reporting_factor_prod_noprod} {$i.reporting_rep_x_travel_costs}" class="floatval">{if $productivity_travels<>0}{float_to_usnumber(($total_travels-$productivity_travels)/$productivity_travels*100,2)}&nbsp;%{else}-{/if}</td>
        <td title="{$i.reporting_factor_prod_noprod} {$i.reporting_rep_x_extra_costs}" class="floatval">{if $productivity_extras<>0}{float_to_usnumber(($total_extras-$productivity_extras)/$productivity_extras*100,2)}&nbsp;%{else}-{/if}</td>
        <td title="{$i.reporting_factor_prod_noprod} {$i.reporting_rep_costs}" class="floatval">{if $productivity_externalexpenses<>0}{float_to_usnumber(($total_externalexpenses-$productivity_externalexpenses)/$productivity_externalexpenses*100,2)}&nbsp;%{else}-{/if}</td>
    </tr>
    <tr>
        <th class="floatval hoverhelp" title="{$i.reporting_productive}/{$i.reporting_rep_x_total}">{$i.reporting_factor_prod_total}</th>
        <td title="{$i.reporting_factor_prod_total} {$i.reporting_hours}" class="floatval">{if $total_hours<>0}{float_to_usnumber($productivity_hours/$total_hours*100,2)}&nbsp;%{else}-{/if}</td>
        <td title="{$i.reporting_factor_prod_total} {$i.reporting_rep_x_time_costs}" class="floatval">{if $total_costs<>0}{float_to_usnumber($productivity_costs/$total_costs*100,2)}&nbsp;%{else}-{/if}</td>
        <td title="{$i.reporting_factor_prod_total} {$i.reporting_rep_x_travel_costs}" class="floatval">{if $total_travels<>0}{float_to_usnumber($productivity_travels/$total_travels*100,2)}&nbsp;%{else}-{/if}</td>
        <td title="{$i.reporting_factor_prod_total} {$i.reporting_rep_x_extra_costs}" class="floatval">{if $total_extras<>0}{float_to_usnumber($productivity_extras/$total_extras*100,2)}&nbsp;%{else}-{/if}</td>
        <td title="{$i.reporting_factor_prod_total} {$i.reporting_rep_costs}" class="floatval">{if $total_externalexpenses<>0}{float_to_usnumber($productivity_externalexpenses/$total_externalexpenses*100,2)}&nbsp;%{else}-{/if}</td>
   
    </tr>
    <tr>
        <th class="floatval hoverhelp" title="{$i.reporting_rep_x_total} {$i.reporting_rep_x_time_costs}/{$i.reporting_hours}">{$i.reporting_average_costs_per_hour}</th>
        <th class="floatval" colspan="2">{if $total_hours<>0}{float_to_usnumber($total_costs/$total_hours,2)}&nbsp;{$currency}{else}-{/if}</th>
        <td colspan="3"></td>
    </tr>
</table>
        