<table class="dashed">
    <thead>
        <tr>
            <th class="floatval">{$i.filter_project}</th>
            <th class="floatval">{$i.reporting_hours}</th>
            {if $has_right_admin}
                <th></th>
            {/if}
        </tr>
    </thead>
    <tbody>
        {$total = 0}
        {foreach item="prod" from=$productivities}
            {$total = $total + $prod->total}
            <tr>
                <td class="smallbtns" onclick="$('#defaultproject').val({$prod->id});" title="{$i.basic_set_default_project}">{$prod->project}</td>
                <td class="floatval">{float_to_usnumber($prod->total,2)}</td>
                {if $has_right_admin}
                    <td style="min-width:35px;">{*
                        *}{is_add2indirect_costs value=$prod->is_add_to_indirect_costs title=$i.projectadmin_is_add_to_indirect_costs}{*
                        *}{is_calc_from_expenses value=$prod->is_calc_from_expenses title=$i.projectadmin_is_calc_from_expenses}{*
                        *}{is_included_in_time_sheet value=$prod->is_included_in_time_sheet title=$i.projectadmin_is_included_in_time_sheet}{*
                        *}{isprivate value=$prod->is_private_project title=$i.projectadmin_is_private_project}{*
                    *}</td>
                {/if}
            </tr>
        {/foreach}
    </tbody>
    <tfoot>
        <tr>
            <th>{$i.reporting_rep_x_total}</th>
            <th class="floatval" style="text-align:right;">{float_to_usnumber($total,2)}</th>
            {if $has_right_admin}
                <th></th>
            {/if}
        </tr>
        {if $date_from != ''}
            <tr>
                <td colspan=3>{$i.reporting_time_period}: {$date_from} - {$date_to}</td>
            </tr>  
        {/if}
    </tfoot>
</table>
{if $filter_project_manager}<p><span style="margin-bottom:20px; display:inline-block;" class="warningsmall ui-corner-all">{$i.reporting_only_project_manager}</span></p>{/if}
{if $filter_division_manager}<p><span style="margin-bottom:20px; display:inline-block;" class="warningsmall ui-corner-all">{$i.reporting_only_division_manager}</span></p>{/if}
