<form onsubmit="return false;" action="" id="report_outputportlet_form" class="tableconfig">
    <fieldset class="borderbottom">
        {include file='r/hidden.tpl' name='report_outputportlet_xml_id' default=$report_outputportlet_xml_id}
        {include file='r/hidden.tpl' name='report_outputportlet_item' default=$report_outputportlet_item}
        
        {include file='r/input.tpl' name='report_outputportlet_title' title="reporting_report_output_title"
            class="required t-mid" maxlength=90 default=$report_outputportlet_title}
        
        {if $report_outputportlet_item}
            <a onclick="evaluation.report_outputportlet.delete_report(this);" class="dialog_make_text_btn ui-corner-all">
                <span class="dialog_make_btn16 delete ui-corner-all"></span>{$i.reporting_report_delete}
            </a>
        {/if}
            
        {if $multitenancy_active}
            {include file='r/select.tpl' name="report_outputportlet_company" title="basic_company"
                default=$report_outputportlet_company_id
                list=$companies id='id' text='name'}
        {/if}
    </fieldset>
    
    
    <table id="report_outputportlet_config">
    <thead>
        <tr>
            <th class="">
            </th>
            <th class="column_description">{$i.tableconfig_columnname}</th>
            <th class="visible">{$i.tableconfig_visible}</th>
            <th class="width">{$i.tableconfig_width}</th>
            <th class="">{$i.tableconfig_sort_by}</th>
        </tr>
    </thead>
    <tbody class="sortable">
        {foreach key=fieldname item=fieldinfos from=$report_header}
            <tr id="{$fieldname}">
                <td>
                    <div style="white-space:nowrap">
                        <span onclick="tableconfig.move_down(this);" class="dialog_make_btn16 move_down smallbtns ui-corner-all" title=""></span>
                        <span onclick="tableconfig.move_up(this);" class="dialog_make_btn16 move_up smallbtns ui-corner-all" title=""></span>
                    </div>
                </td>
                
                <td class="column_description">
                {if {$fieldinfos.lang}}
                    {$i.{$fieldinfos.lang}}
                {else}
                    {$fieldinfos.title}
                {/if}
                :</td>
                
                <td class="visible">
                    {include file='r/checkbox-only.tpl' name="`$fieldname`_visible" default=$fieldinfos.visible}
                </td>

                <td class="width">
                    <input type="text" class="required tableconfig_width" name="{$fieldname}_width" value="{$fieldinfos.width}">
                </td>
                
                <td class="sort">
                    {$i.tableconfig_sort_by}
                    {include file='r/checkbox-only.tpl' name="`$fieldname`_sort_by" default=$fieldinfos.sort_by}
                    {$i.tableconfig_sort}
                    {include file='r/checkbox-only.tpl' name="`$fieldname`_sort_order" default=$fieldinfos.sort_order}
                </td>

            </tr>
        {/foreach}
    </tbody>
    </table>
    
</form>