<div class="">
    <table id="normal_working_hours_list">
        <thead>
            <tr>
                <th class="edtdelp-btn noprint">
                    <span class="dialog_make_btn16 add smallbtns ui-corner-all"
                        onclick="staffadmin.normal_working_hours.add();"
                        title="{$i.basic_add}"></span>
                </th>
                <th scope="col">{$i.basic_from}</th>
                <th scope="col">{$i.basic_to}</th>
                <th scope="col">{$i.basic_monday_short}</th>
                <th scope="col">{$i.basic_tuesday_short}</th>
                <th scope="col">{$i.basic_wednesday_short}</th>
                <th scope="col">{$i.basic_thursday_short}</th>
                <th scope="col">{$i.basic_friday_short}</th>
                <th scope="col">{$i.basic_saturday_short}</th>
                <th scope="col">{$i.basic_sunday_short}</th>
                <th scope="col">{$i.basic_total}</th>
                <th scope="col">
                    {$i.staffadmin_description}
                    {include file="r_basic/print.tpl" print_btn_extra='style="float:right; margin-left:1vw;"'}
                </th>
            </tr>
        </thead>
        <tbody>
        {foreach from=$normal_working_hours item="item"}
            <tr>
                <td class="noprint">
                    <span class="dialog_make_btn16 edit smallbtns ui-corner-all"
                        onclick="staffadmin.normal_working_hours.edit({$item->id}, this);"
                        title="{$i.basic_edit}"></span>
                    <span class="dialog_make_btn16 delete smallbtns ui-corner-all"
                        onclick="staffadmin.normal_working_hours.delete_entry({$item->id});"
                        title="{$i.basic_delete}"></span>
                </td>
                <td>{$item->from_date->us_date()}</td>
                <td>{$item->to_date->us_date()}</td>
                <td>{float_to_usnumber($item->norm_work_mon)}</td>
                <td>{float_to_usnumber($item->norm_work_tue)}</td>
                <td>{float_to_usnumber($item->norm_work_wed)}</td>
                <td>{float_to_usnumber($item->norm_work_thu)}</td>
                <td>{float_to_usnumber($item->norm_work_fri)}</td>
                <td>{float_to_usnumber($item->norm_work_sat)}</td>
                <td>{float_to_usnumber($item->norm_work_sun)}</td>
                <td>{float_to_usnumber($item->norm_work_sum)}</td>
                <td>{$item->description}</td>
            </tr>
        {/foreach}
        </tbody>
    </table>
</div>

<form id="staffadmin_form_nwh" style="display:none"
    action=""  method="POST" enctype="multipart/form-data"
    onsubmit="staffadmin.normal_working_hours.save(); return false;">
    <input type="submit" style="display:none;visibility:hidden;" />
    <fieldset class="bordertop noprint">
        {include file='r/hidden.tpl' name="staffadmin_nwh_edit"}{* What entry do we edit - If empty = add *}

         {include file='r/date.tpl' name="staffadmin_nwh_from_date" title="basic_from" collapse='formcol' class="required dateUS"}
         {include file='r/date.tpl' name="staffadmin_nwh_to_date" title="basic_to" collapse='formcol' class="dateUS"}

         {include file='r/input.tpl' name="staffadmin_nwh_norm_work_mon" title="basic_monday_short" collapse='' class=""}
         {include file='r/input.tpl' name="staffadmin_nwh_norm_work_tue" title="basic_tuesday_short" collapse='' class=""}
         {include file='r/input.tpl' name="staffadmin_nwh_norm_work_wed" title="basic_wednesday_short" collapse='' class=""}
         {include file='r/input.tpl' name="staffadmin_nwh_norm_work_thu" title="basic_thursday_short" collapse='' class=""}
         {include file='r/input.tpl' name="staffadmin_nwh_norm_work_fri" title="basic_friday_short" collapse='' class=""}
         {include file='r/input.tpl' name="staffadmin_nwh_norm_work_sat" title="basic_saturday_short" collapse='' class=""}
         {include file='r/input.tpl' name="staffadmin_nwh_norm_work_sun" title="basic_sunday_short" collapse='' class=""}
         {include file='r/input.tpl' name="staffadmin_nwh_norm_work_sum" title="basic_total" collapse='' class="" readonly=TRUE}
         
         {include file='r/textarea.tpl' name="staffadmin_nwh_description" title="staffadmin_description" class="t-mid"}

        <a class="dialog_make_text_btn ui-corner-all" onclick="staffadmin.normal_working_hours.save();">
                <span class="dialog_make_btn16 ok ui-corner-all"></span>
                {$i.basic_save}
            </a>
    </fieldset>
</form>