<div id="inforight">
    <div class="rightblockcontent-element">
        <h2>{if $si_multicurrency}{$i.basic_multicurrency}{else}{$i.basic_currency}{/if}</h2>
        {if $si_multicurrency}
            {$i.basic_active}: 
            {if $si_project_use_currency}{$i.basic_yes}{else}{$i.basic_no}{/if}
        {/if}
        <p>
            {$i.basic_syscurr}:
            {$si_currencies_global}
        </p>
    </div>
    
    <div class="rightblockcontent-element">
        <h2>{$i.basic_multitenancy}</h2>
        <p>
            {$i.basic_active}: 
            {if $si_multitenancy_info->getUse()}{$i.basic_yes}{else}{$i.basic_no}{/if}
        </p>
        <p>
            {$i.basic_company}: 
            {$si_multitenancy_info->getUser_company_name()} ({$si_multitenancy_info->getUser_company_id()})
        </p>
    </div>
    
    <div class="rightblockcontent-element">
        <h2>{$i.basic_multilingual}</h2>
        <p>
            {$i.basic_language}: 
            {$si_multilingual_lang}
        </p>
        <p>
            {$i.basic_syslanguage}: 
            {$si_multilingual_system}
        </p>
    </div>
    
    <div class="rightblockcontent-element">
        <h2>{$i.basic_call}</h2>
        <p style="background-color: rgba(248, 248, 248, 0.5);">{$si_sys_phone.part1}
            {strip}
            <span style="color:#FFAAAA;">{$si_sys_phone.prefix}</span>
            <span style="color:#999999;">0123456789</span>
            <span style="color:#AAFFAA;">{$si_sys_phone.suffix}</span>
            <span style="color:#FFAAAA;">{$si_sys_phone.part2}</span>
            {/strip}
        </p>
        <h2>TAPI</h2>
        <p>
            {if isset($si_sys_phone.tapi_direct) && $si_sys_phone.tapi_direct}
                {$si_sys_phone.tapi_line}
            {else}
                {$i.basic_active}: {$i.basic_no}
            {/if}
        </p>
    </div>

    <div class="rightblockcontent-element">
        <h2>{$i.basic_ldap}</h2>
        {if !empty($si_ldap_host) && !empty($si_ldap_dn)}
            <p>
                {$i.basic_ldap_host}:
                <small>{$si_ldap_host}</small>
            </p>
            <p>
                {$i.basic_ldap_port}:
                <small>{$si_ldap_port}</small>
            </p>
            <p>
                {$i.basic_ldap_dn}:
                <small>{$si_ldap_dn}</small>
            </p>
        {else}
            {$i.basic_no}
        {/if}
    </div>

    {include file='User_options/right_userinfo.tpl'}

    {if $si_us_rights_mode>1}
        <div class="rightblockcontent-element">
            <ul style="list-style-type: none;">
                <li>
                    SaaS rights mode:
                    {$si_us_rights_mode}
                </li>
            </ul>
        </div>
    {/if}
    
</div>