<!DOCTYPE html>
<html lang="{$language_short}">

    <head>
        <meta charset="utf-8" />
        <meta content="width=device-width, initial-scale=1" name="viewport" />
        <meta content="Web site created using create-react-app" name="description" />
        <title>{$i.basic_title}</title>
        
        <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/basic__{$us_version_ue}.css"}">
        <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/icons__{$us_version_ue}.css"}">
        <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/ui.basic__{$us_version_ue}.css"}">
        <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/fullcalendar__{$us_version_ue}.css"}">
        <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/dhtmlxgantt__{$us_version_ue}.css"}">
        <link rel="stylesheet" as="style" href="{site_url url="$css_path/print__{$us_version_ue}.css"}" media="print">
{*        
*}
        <script type="text/javascript">
            us_adblock = false;
            
            ussettings = new Object();
            ussettings.base_url = '{base_url()}';
            ussettings.xsrf = '{$xsrf}';
            ussettings.unique = '{$unique}';
            ussettings.us_version_ue = '{$us_version_ue}';
            ussettings.theme_settings = {$theme_settings};
            ussettings.datelocale = '{$user_options->datelocale}';
            ussettings.datesetting = '{$user_options->datesetting}';
            ussettings.numberlocale = '{$user_options->numberlocale}';
            
            {foreach from=$headers item="header"}
                {$header}
            {/foreach}
        </script>
        
        <script type="text/javascript" src="{site_url url="$js_path/xajax_js/xajax_core.js"}"></script>
        {if $js_path eq 'js'}
            {*<script type="text/javascript" src="{site_url url="$js_path/jquery/jquery-1callerror__{$us_version_ue}.js"}"></script>*}
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery-2.2.4__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery-migrate-1.4.1__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery-ui-new1__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery-ui-timepicker-addon__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery-ustrich__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.ui.touch-punch__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.validate__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.form__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.cookie__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.tooltip__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.tooltipster__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.colorbox__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.address_select__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.colorpicker__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.fileupload__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.fileupload-ui__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.jstree__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.jgrowl__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.tableedit__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.reportedit__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.xcolor__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.titlealert__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.geolocation__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.md5__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.calculator__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.tablesorter__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.reporting_fillodsxlsxdesign__{$us_version_ue}.js"}"></script>
        {else}
            <script type="text/javascript" src="{site_url url="$js_path/jquery__{$us_version_ue}.js"}"></script>
        {/if}
        
        <script type="text/javascript" src="{site_url url="$js_path/$language.lang__{$us_version_ue}.js"}"></script>
        
        {if $js_path eq 'js'}
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/moment__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/atob_btoa__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/basicForm__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/basicForm_project__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/broadcast-channel__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/clipboard__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/dialogMessage__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/dateTime__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/documentReady__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/editablePopup__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/errorSmall__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/evaluation__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/filesaver__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/filter__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/tableconfig__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/fullPopup__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/i18nDateAware__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/i18nFloatAware__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/jQuery_validator_method__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/manageProjects__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/main__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/nextFeeNumberPopup__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/taskDescriptionsPopup__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/usComm__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/userOptions__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/us_markdown__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/tableeditpop__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/webApp__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/dhtmlxgantt__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/dhtmlxgantt_marker__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/ustrich/shake__{$us_version_ue}.js"}"></script>
        {else}
            <script type="text/javascript" src="{site_url url="$js_path/ustrich__{$us_version_ue}.js"}"></script>
        {/if}
        <script type="text/javascript" src="{site_url url="$js_path/$language.gantt.lang__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/translations/`$language_short`__{$us_version_ue}.js"}"></script>

        <script type="text/javascript" src="{site_url url="$js_path/chart__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/mustache__{$us_version_ue}.js"}"></script>
        {if $js_path eq 'js'}
            <script type="text/javascript" src="{site_url url="$js_path/raphael/b.raphael__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/raphael/b.raphael.serialize__{$us_version_ue}.js"}"></script>
            <script type="text/javascript" src="{site_url url="$js_path/raphael/g.raphael__{$us_version_ue}.js"}"></script>
        {else}
            <script type="text/javascript" src="{site_url url="$js_path/raphael__{$us_version_ue}.js"}"></script>
        {/if}
        
        <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/build__{$us_version_ue}.css"}">
        <script defer="defer" type="text/javascript" src="{site_url url="$js_path/build__{$us_version_ue}.js"}"></script>
    </head>

    <body>
        <noscript>You need to enable JavaScript to run this app.</noscript>
        <div id="root">...</div>
    </body>

</html>