<pd4ml:page.break ifSpaceBelowLessThan=400>
<table style="border-color: {$border_color_table}; margin-bottom: 10px;">
    <colgroup>
        <col style="width: 36mm;" />
        <col style="width: 84mm;" />
        <col style="width: 36mm;" />
        <col style="width: 84mm;" />
    </colgroup>
    <thead>
        <tr>
            <th colspan="4" style="text-align: left; background-color: {$background_color_heading}">
                {$row.name}
                {if $row.comp_supp}
                    <br />
                    {$row.comp_supp}
                {/if}
            </th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>{$i.reporting_rep_id}</td>
            <td>{$row.id}</td>
            <td colspan="2"></td>
        </tr>        
        <tr>
            <td>{$i.reporting_rep_title}</td>
            <td>{$row.title}</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td>{$i.reporting_rep_academic_title}</td>
            <td>{$row.academic_title}</td>
            <td>{$i.reporting_rep_phone1}</td>
            <td>{$row.phone1}</td>
        </tr>
        <tr>
            <td>{$i.reporting_rep_first_name}</td>
            <td>{$row.first_name}</td>
            <td>{$i.reporting_rep_phone2}</td>
            <td>{$row.phone2}</td>
        </tr>
        <tr>
            <td>{$i.reporting_rep_contact_person}</td>
            <td>{$row.contact_person}</td>
            <td>{$i.reporting_rep_fax}</td>
            <td>{$row.fax}</td>
        </tr>
        <tr>
            <td>{$i.reporting_rep_master_title}</td>
            <td>{$row.master_title}</td>
            <td>{$i.reporting_rep_mobile_phone}</td>
            <td>{$row.mobile_phone}</td>
        </tr>        
        <tr>
            <td>{$i.reporting_rep_street}</td>
            <td>{$row.street}</td>
            <td>{$i.reporting_rep_email}</td>
            <td>{$row.email}</td>
        </tr>
        <tr>
            <td>{$i.reporting_rep_street2}</td>
            <td>{$row.street2}</td>
            <td>{$i.reporting_rep_url}</td>
            <td>{$row.url}</td>
        </tr>        
        <tr>
            <td>{$i.reporting_rep_town}</td>
            <td>{$row.town}</td>
            <td>{$i.reporting_rep_vat}</td>
            <td>{$row.vat}</td>
        </tr>
        <tr>
            <td>{$i.reporting_rep_zip}</td>
            <td>{$row.zip}</td>
            {if $row.creditor_no eq ''}
                <td colspan="2"></td>
            {else}
                <td>{$i.reporting_rep_creditor_no}</td>
                <td>{$row.creditor_no}</td>
            {/if}
        </tr>
        <tr>
            <td>{$i.reporting_rep_country}</td>
            <td>{$row.country}</td>
            {if $row.debtor_no eq ''}
                <td colspan="2"></td>
            {else}
                <td>{$i.reporting_rep_debtor_no}</td>
                <td>{$row.debtor_no}</td>
            {/if}
        </tr>
    </tbody>
</table>

{if (count($row.description) > 0)}
    <table style="border-color: {$border_color_table}; margin-bottom: 10px;">
        <colgroup>
            <col style="width: 120mm;" />
            <col style="width: 30mm;" />
            <col style="width: 90mm;" />
        </colgroup>
        <thead>
            <tr>
                <th style="text-align: left; background-color: {$background_color_subheading}; font-weight:{$font_weight_subheading};">
                    {$i.reporting_rep_description}
                </th>
                <th style="text-align: left; background-color: {$background_color_subheading}; font-weight:{$font_weight_subheading};">
                    {$i.reporting_rep_date}
                </th>
                <th style="text-align: left; background-color: {$background_color_subheading}; font-weight:{$font_weight_subheading};">
                    {$i.reporting_rep_project}
                </th>
            </tr>
        </thead>
        <tbody>
            {foreach item=field from=$row.description}
                <tr>
                    <td>{*
                        *}{$field.description}{*
                    *}</td>
                    <td>{*
                        *}{$field.created_date.usdate}{*
                    *}</td>
                    <td>{*
                        *}{$field.project}{*
                    *}</td>
                </tr>
            {/foreach}
        </tbody>
    </table>
{/if}

{if (count($row_addi) > 0)}
    <table cellpadding="2" border="1" style="border-color: {$border_color_table}; margin-bottom: 15px;">
        <colgroup>
            <col style="width: 70mm;" />
            <col style="width: 170mm;" />
        </colgroup>
        <thead>
            <tr>
                <th style="text-align: left; background-color: {$background_color_subheading}; font-weight:{$font_weight_subheading};">
                    {$i.reporting_rep_addi_key}
                </th>
                <th style="text-align: left; background-color: {$background_color_subheading}; font-weight:{$font_weight_subheading};">
                    {$i.reporting_rep_addi_value}
                </th>
            </tr>
        </thead>
        <tbody>
            {foreach item=field from=$row_addi}
                <tr>
                    <td>{*
                        *}{$field.title}{*
                    *}</td>
                    <td>{*
                        *}{reportview field=$field}{*
                    *}</td>
                </tr>
            {/foreach}
        </tbody>
    </table>
{/if}