<?php
$lang['langkey'] = 'de';
$lang['help'] = 'untermStrich Hilfe';
$lang['admin_has_to'] = 'Wenn Sie nicht das Recht haben, das System zu ändern, müssen Sie ihren Administrator bitten, das System zu ändern.';
$lang['fulltest'] = 'Systemtest';
$lang['step'] = 'SCHRITT';
$lang['next'] = 'WEITER > >';
$lang['start_installer'] = 'untermStrich X Installer starten > >';

$lang['installer_note'] = '&#8226; Wenn Sie bereits einen "Datenpfad" aus einer früheren Installation haben, geben Sie bitte diesen an.<br />'.
        '&#8226; Wenn Sie ein neues System installieren, geben Sie bitte den Pfad an, in dem Sie Ihre Dokumente ablegen möchten.<br />'.
        '<br />Beispiele: <kbd>x:\data\</kbd> or <kbd>\\\\server\\share</kbd> or <kbd>/data</kbd><br />'.
        '<br /><em>Achtung:</em> Wenn Sie mit einen Server verbunden sind - dieser Pfade muss auf dem Server und nicht auf Ihrem lokalen Rechner verfügbar sein.<br />'.
        '<br /><em>Achtung:</em> Der Datenpfad muss <em>existieren</em> und vom System <em>beschreibbar</em> sein. Linux z.b.: 777.<br />'.
        '<br /><em>Achtung:</em> Verwenden Sie für Netzwerkfreigaben keine Laufwerksbuchstaben (<kbd>x:\</kbd>). Verwenden Sie stattdessen den UNC-Pfad (<kbd>\\\\server\\share</kbd>).';

$lang['datapath'] = 'Datenpfad';
$lang['language'] = 'Standard Sprache';
$lang['datelocale'] = 'Standard Datumsformat';
$lang['numberlocale'] = 'Standard Zahlenformat';

$lang['license'] = 'Lizenzschlüssel';
$lang['auth_invalid_license']   = 'Die Lizenz ist ungültig.';

$lang['error_files_exists1'] = 'Die folgende(n) Dateie(n) existieren(t):';
$lang['error_files_exists2'] = 'Bitte entfernen / benennen Sie die Datei(en) um, wenn Sie untermStrich komplett neu installieren möchten.';
$lang['error_dirs_not_writeable1'] = 'Die folgenden Verzeichnisse sind nicht beschreibbar:';
$lang['error_dirs_not_writeable2'] = 'Bitte stellen Sie sicher, dass die Verzeichnisse beschreibbar sind (<kbd>chmod 777 ###</kbd>).';
$lang['error_version1'] = 'Sie müssen die folgende Software aktualisieren:';
$lang['error_version2'] = 'Bitte aktualisieren Sie die Software.';

$lang['no_install'] = 'Bitte installieren Sie zuvor untermStrich Version 9 und geben Sie den dazugehörigen Datenpfad an.';
$lang['mode_install'] = 'Sie werden eine <em>neue</em> Installation durchführen.';

$lang['start_install'] = 'Installation starten > >';
$lang['update_info'] = 'BITTE BEACHTEN: <br />&#8226; Es dürfen keine Benutzer an untermStrich angemeldet sein. <br />&#8226; Sämtliche Benutzer werden automatisch vom System abgemeldet. <br />&#8226; Sie sollten sämtliche Benutzer auffordern, die Daten zu speichern und untermStrich zu beenden, da es ansonsten zu <em>Datenverlusten kommt</em>.';
$lang['start_update'] = 'Update starten > >';
$lang['done_proceed'] = 'untermStrich starten';

$lang['db_db'] = 'Datenbank';
$lang['db_server'] = 'Datenbank Server IP';
$lang['db_port'] = 'Server Port';
$lang['db_us_username'] = 'untermStrich Datenbank-Benutzername';
$lang['db_username'] = 'Administrativer Benutzer';
$lang['db_password'] = 'Passwort';
$lang['db_name'] = 'Datenbankname';

$lang_wait_info = 'benötigt einige Zeit.<br />Achten Sie auf die Statusanzeige Ihres Browsers und brechen Sie den Vorgang <em>nicht</em> ab.';
$lang['setup_time'] = '<em>Achtung:</em> Die Installation '.$lang_wait_info;
$lang['update_time'] = '<em>Achtung:</em> Das Update '.$lang_wait_info;

$lang['wait'] = 'Bitte warten';
$lang['final_setup'] = 'Die Installation war: ';
$lang['final_update'] = 'Das Update war: ';
$lang['default_login'] = 'Das Kennwort für den Benutzer "Administrator" ist: <tt>admin</tt><br />Bitte sofort ändern!';
$lang['move_dotenv'] = '<em>Achtung:</em> Ziehen Sie aus Gründen der Sicherheit in Betracht die Datei "%s" in den Ordner "%s" zu verschieben und stellen Sie sicher, dass diese Datei vom Apache Webserver lesbar ist!';

$lang['start_install_portlets'] = 'Butler installieren > >';
$lang['do_install_portlets'] = 'Butler installieren';
$lang['add_hoai'] = 'HOAI Butler installieren';
$lang['install_portlets_note1'] = 'Es werden nun noch einige Standard Butler installiert.';
$lang['install_portlets_note2'] = 'Sie können diese Butler später unter <i>Konfigura­tion - Butler Aktualisierung</i> aktualisieren.';

$lang['final'] = 'Abgeschlossen';