<table>
    <thead>
        <tr>
            <th rowspan="2" class="edtdelp-btn noprint">
                {if $view_edit}
                <span class="dialog_make_btn16 add smallbtns ui-corner-all"
                    onclick="addressesandcontacts.description.add();"
                    title="{$i.basic_add}"></span>
                {include file="r_basic/print.tpl"}
                {/if}
            </th>
            <th scope="col" style="width:15%">{$i.basic_staff}</th>
            <th rowspan="2" scope="col">{$i.addresses_description}</th>
            <th scope="col" style="width:10%">{$i.addresses_description_security}</th>
            {if $parents}<th rowspan="2" scope="col" style="width:15%">{$i.addresses_address}</th>{/if}
            <th rowspan="2" scope="col" style="width:260px" title="(Butler CRM)">{$i.basic_call2}</th>
        </tr>
        <tr>
            <th scope="col">{$i.addresses_created_date}</th>
            <th scope="col">{$i.addresses_description_project}</th>
        </tr>        
    </thead>
    <tbody>
    {foreach from=$descriptions item="item"}
        {assign var="seckey" value="addresses_description_r`$item->security`"}
        <tr>
            <td rowspan="2" class="noprint">
                <span class="dialog_make_btn16 edit smallbtns ui-corner-all"
                    onclick="addressesandcontacts.description.edit({$item->id});"
                    title="{$i.basic_edit}"></span>
                <span class="dialog_make_btn16 delete smallbtns ui-corner-all"
                    onclick="addressesandcontacts.description.delete_entry('{$address_id}', '{$field_id}', {$item->id});"
                    title="{$i.basic_delete}"></span>
            </td>
            <td>{$item->staff_name}</td>
            <td rowspan="2" ><span style="max-height:100px; overflow:auto; display:block;">{$item->description|nl2br|truncate:500:"..."}</span></td>
            <td>{$i.$seckey}</td>
            {if $parents}<td rowspan="2" >{$item->address_name}</td>{/if}
            <td>
            {if isset($item->call_date_from) && is_object($item->call_date_from) && $item->call_date_from instanceof UsDateTime && is_object($item->call_date_to) && $item->call_date_to instanceof UsDateTime}
                {$item->call_date_from->us_date_time()}&nbsp;&nbsp;-&nbsp;&nbsp;{$item->call_date_to->us_date_time()}
            {/if}
            </td>
        </tr>
        <tr>
            <td>{$item->created_date->us_date()}</td>
            <td>{$item->project}</td>
            <td>
                <div class="ui-corner-all callinfoblock" style="display: inline-block; margin-right: 3px; padding:2px;">
                    {if empty($addr_sys_phone.part1) || $call_is_mobile}
                        {$item->call_phone|torealphone:1}
                    {else}
                        {$item->call_phone|tocallphone:$addr_sys_phone:$i:1:$address_id}
                    {/if}
                    {$item->call_phone|toskypehone:$address_id}
                    {if !$addr_sys_tapi_data}{$item->call_phone|totapiphone:$addr_sys_phone}{else}
                    {$item->call_phone|totapiphone2:$addr_sys_phone}{/if}
                </div>                    
                {if $item->call_active_call !== NULL && $item->call_received !== NULL}
                    {$i.addresses_active_call}: 
                    {boolview value=$item->call_active_call elem_type='span'}
                    &nbsp;
                    {$i.addresses_received}: 
                    {boolview value=$item->call_received elem_type='span'}          
                {/if}
            </td>
        </tr>
    {/foreach}
    </tbody>
</table>