<fieldset class="blockhalf leftblock">
    {include file='r/hidden.tpl' name="addresses_edit"}{* What entry do we edit - If empty = add *}
    {include file='r/hidden.tpl' name="addresses_parent_id"}{* Only valid when adding a new one *}
    {include file='r/hidden.tpl' name="addresses_sub_address_list"}{* Sub address allocation list *}
    {include file='r/hidden.tpl' name="addresses_duplicate_old_id"}{* Dup. old ID *}
    {include file='r/hidden.tpl' name="addresses_duplicate_children"}{* Dup. children *}
    {include file='r/input.tpl' name="addresses_name" title="addresses_name"
        class="required t-mid" add_iconsleft_file="derive_checkbox" maxlength=150}
    {include file='r/textarea.tpl' name="addresses_comp_supp" title="addresses_comp_supp"
        class="t-mid" add_iconsleft_file="derive_checkbox" maxlength=150}
    {include file='r/input.tpl' name="addresses_title" title="addresses_title"
        class="" add_iconsleft_file="derive_checkbox" maxlength=90}
    {include file='r/input.tpl' name="addresses_academic_title" title="addresses_academic_title"
        class="" add_iconsleft_file="derive_checkbox" maxlength=50}
    {include file='r/input.tpl' name="addresses_first_name" title="addresses_first_name"
        class="t-mid" add_iconsleft_file="derive_checkbox" maxlength=30}
    {include file='r/input.tpl' name="addresses_contact_person" title="addresses_contact_person"
        class="t-mid" add_iconsleft_file="derive_checkbox" maxlength=50}
    {include file='r/input.tpl' name="addresses_master_title" title="addresses_master_title"
        class="" add_iconsleft_file="derive_checkbox" maxlength=50}            
    {include file='r/input.tpl' name="addresses_street" title="addresses_street"
        class="t-mid" add_iconsleft_file="derive_checkbox" maxlength=255}
    {include file='r/input.tpl' name="addresses_street2" title="addresses_street2"
        class="t-mid" add_iconsleft_file="derive_checkbox" maxlength=255}        
    {include file='r/input-zip-town.tpl' name="addresses_zip_town" title="addresses_zip_town"
        add_iconsleft_file="derive_checkbox"}
    {include file='r/select.tpl' name="addresses_country" title="addresses_country"
        list=$addresses_countries_list id="name_id" text="full_name"
        add_iconsleft_file="derive_checkbox" class="t-town-country"}
    {include file='r/input.tpl' name="addresses_phone1" title="addresses_phone1"
        add_iconsleft_file="derive_checkbox" maxlength=50}
    {include file='r/input.tpl' name="addresses_phone2" title="addresses_phone2"
        add_iconsleft_file="derive_checkbox" maxlength=50}
    {include file='r/input.tpl' name="addresses_mobile_phone" title="addresses_mobile_phone"
        add_iconsleft_file="derive_checkbox" maxlength=50}
    {include file='r/input.tpl' name="addresses_fax" title="addresses_fax"
        add_iconsleft_file="derive_checkbox" maxlength=50}
    
    {if $forms_addresses_modem_show}
        {include file='r/input.tpl' name="addresses_modem" title="addresses_modem"
            class="t-mid" add_iconsleft_file="derive_checkbox" maxlength=100}
    {/if}
    {include file='r/input.tpl' name="addresses_url" title="addresses_url"
        class="t-mid" add_iconsleft_file="derive_checkbox" type="url" maxlength=8000}
    {include file='r/input.tpl' name="addresses_email" title="addresses_email"
        class="t-mid" add_iconsleft_file="derive_checkbox" type="email" maxlength=255}
    {include file='r/input.tpl' name="addresses_vat" title="addresses_vat"
        class="" add_iconsleft_file="derive_checkbox" maxlength=50}
    {if $forms_addresses_creditor_show}
        {include file='r/input.tpl' name="addresses_creditor_no" title="addresses_creditor_no"
            class="" labelclass="label5" maxlength=50}
        {include file='r/input.tpl' name="addresses_debtor_no" title="addresses_debtor_no"
            class="" labelclass="label5" maxlength=50}
    {/if}
</fieldset>
<fieldset class="blockhalf">    
    <a href="https://webservices.untermstrich.com/h4/{$language_short}:addresses:process:subaddresses" 
       onclick="window.open(this.href); return false;" style="float: right; position: relative; margin-top: -20px; margin-right: -10px;"
       class="dialog_make_text_btn ui-corner-all">
        <span class="dialog_make_btn16 help"></span> {$i.addresses_subaddresses_help}
    </a>
    
    {include file='r/many.tpl' name="addresses_categories" title="addresses_categories"
        add_method="addressesandcontacts.category_add_open"
        class="removeable required"
        add_iconsleft_file="derive_checkbox"}
    
    <hr />
    {include file='r/many.tpl' name="addresses_relations" title="addresses_relations"
        labelclass="label5"
        readonly="true" add_iconsleft_file="addresses_relations_add"}
    
    {include file='r/many.tpl' name="addresses_description" title="addresses_description"
        labelclass="label5"
        readonly="true" add_iconsleft_file="addresses_description_add"}
    
    {include file='r/file.tpl' name="addresses_image" title="addresses_image" targettype="image" targetdata="address"}

    {include file='r/textarea.tpl' name="addresses_comment_main_all" title="addresses_comment_main_all" class="t-long t-task" show_selector_link="true"}
    
    {if $forms_addresses_longitude_show}
        <hr />
        {include file='r/input.tpl' name="addresses_longitude" title="addresses_longitude"
            class="numberi18n" maxlength=50 add_iconsleft_file="derive_checkbox" add_icons_file='warning' past_span_text=$i.addresses_lonlattype}
        {include file='r/input.tpl' name="addresses_latitude" title="addresses_latitude"
            class="numberi18n" maxlength=50 add_iconsleft_file="derive_checkbox" add_icons_file='openstreetmap'}
    {/if}
    
    <hr />
    {include file='r/checkbox.tpl' name="addresses_active" title="addresses_active"
        class="" add_iconsleft_file="derive_checkbox"}
    <hr />
    {include file='r/date.tpl' name="addresses_dsgvo_delete_date" 
        title="addresses_dsgvo_delete_date" class="dateUS" labelclass="label5"}
    {include file='r/textarea.tpl' name="addresses_dsgvo_data_from" 
        title="addresses_dsgvo_data_from" class="t-mid t-task smallestheight" labelclass="label5" show_selector_link="true"}
    
    <span onclick="addressesandcontacts.save_derive_default();"
        class="dialog_make_text_btn hideforviewonly ui-corner-all"
        id="save_derive_default">
        <span class="dialog_make_btn16 ok smallbtns ui-corner-all"></span>
        {$i.addresses_save_derive_default}
    </span>
</fieldset>
        
{include file='Basic/edit_popform_addi.tpl' edit_addi_list=$addresses_addi_list  
    edit_addi_section='addresses' edit_addi_target='address' edit_addi_collapse='formcoll'}

