{if !$no_allocation}
<table class="dashed">
    <tr class="smallbtns">
        <th>{$i.reporting_b_project}</th>
        <th>{$i.reporting_rep_work_package_name}</th>
        <th>{$i.reporting_rep_old_time_from}</th>
        <th>{$i.reporting_rep_old_time_to}</th>
        <th>{$i.reporting_skill_proportion_hours}</th>
        <th>{$i.reporting_available_hours}</th>
    </tr>
    {foreach item="project" from=$projects}
        <tr class="smallbtns">
            <td>{$project->project_name}</td>
            {foreach item="work_package" from=$work_packages}
                {if $work_package->project_id === $project->project_id}
                    <tr>
                        <td></td>
                        <td>{$work_package->wp_name}</td>                    
                        <td title="{$i.reporting_rep_old_time_from}">{$work_package->start}</td>
                        <td title="{$i.reporting_rep_old_time_to}">{$work_package->end}</td>
                        <td title="{$i.reporting_skill_proportion_hours}">{isfloat maxf=$maxf value=$work_package->proportion_hours}</td> 
                        <td title="{$i.reporting_available_hours}">{isfloat maxf=$maxf value=$work_package->available_hours}</td>
                    </tr> 
                {/if} 
            {/foreach}
        </tr>
    {/foreach}    
</table>
{else}
    {$i.reporting_no_allocation}
{/if}
