<table style="max-width:100%; margin: 10px 0px 0px 0px;" id="calcexp_level_of_completion_fees_input_table">
    <thead>
    <tr>
        <th style="min-width:200px" rowspan="2">{$i.projectadmin_work_package}</th>
        {if $allocations_ontop->with_hoai}
            <th style="min-width:20px" rowspan="2"></th>
        {/if}
        <th style="min-width:110px" rowspan="2">{$i.offers_management_costs_view}</th>
        <th style="min-width:110px" colspan="2">
            {if $allocations_ontop->status eq Payments_model::S_INVOICED}
                {$i.calcexp_already_invoiced_before}
            {else}
                {$i.calcexp_already_invoiced}
            {/if}
        </th>
        <th style="min-width:140px" rowspan="2">
            {$i.calcexp_billable} %
            &nbsp;
            {include file='r/select-only.tpl' name="calcexp_level_of_completion_billable_mode" title="" 
            list=$billable_mode_list id="id" text="name"
            filter_extra="onchange='calculateaccordingexpenditure_level_of_completion.calc_billable(this);'"
            class=""}
        </th>
        <th style="min-width:140px" rowspan="2">
            {if !isset($payment) || $payment->object_is_editable}
                {$i.calcexp_billable_value_curr}
            {else}
                {$i.calcexp_billable_value}
            {/if}
            {if !$project_use_currency}
                {$project_global_currency}
            {else}
                {$allocations_ontop->currency_name}
            {/if}
        </th>
        <th style="min-width:110px; background: rgba(220, 220, 255, 0.4);" rowspan="2">{$i.offers_management_fee_supplement}</th>
        <th style="min-width:60px; background: rgba(255, 255, 200, 0.4);" rowspan="2">{$i.offers_management_extras_in_currency}</th>
        <th style="min-width:60px; background: rgba(255, 200, 200, 0.4);" rowspan="2">{$i.offers_management_rebate_in_currency}</th>
        {if $has_repetition}
            <th style="min-width:60px;" rowspan="2">{$i.offers_management_repetition}</th>
        {/if}
    </tr>
    <tr>
        <th>
            {if !$project_use_currency}
                {$project_global_currency}
            {else}
                {$allocations_ontop->currency_name}
            {/if}
        </th>
        <th>%</th>
    </tr>
    </thead>
    <tbody>
    {$sum_billable_value=0}{$sum_billable_value_otcurr=0}{$sum_costs=0}{$sum_costs_otcurr=0}{$sum_already_invoiced=0}{$sum_already_invoiced_otcurr=0}
    {foreach item="allocation" from=$allocations}
        {assign var="billable_name" value="calcexp_level_of_completion_billable_`$allocation->id`"}
        {assign var="billable_value_name" value="calcexp_level_of_completion_billable_value_`$allocation->id`"}
        {assign var="billable_supplement_name" value="calcexp_level_of_completion_billable_supplement_`$allocation->id`"}
        {assign var="billable_extras_name" value="calcexp_level_of_completion_billable_extras_`$allocation->id`"}
        {assign var="billable_rebate_name" value="calcexp_level_of_completion_billable_rebate_`$allocation->id`"}
        {assign var="billable_repetition_name" value="calcexp_level_of_completion_billable_repetition_`$allocation->id`"}
        {$sum_billable_value=$sum_billable_value+$allocation->currently_billable_value}
        {$sum_billable_value_otcurr=$sum_billable_value_otcurr+$allocation->currently_billable_value_otcurr}
        {$sum_billable_supplement=$sum_billable_supplement+$allocation->currently_billable_supplement_val}
        {$sum_billable_supplement_otcurr=$sum_billable_supplement_otcurr+$allocation->currently_billable_supplement_otcurr}
        {$sum_billable_extras=$sum_billable_extras+$allocation->currently_billable_extras_val}
        {$sum_billable_extras_otcurr=$sum_billable_extras_otcurr+$allocation->currently_billable_extras_otcurr}
        {$sum_billable_rebate=$sum_billable_rebate+$allocation->currently_billable_rebate_val}
        {$sum_billable_rebate_otcurr=$sum_billable_rebate_otcurr+$allocation->currently_billable_rebate_otcurr}
        {$sum_billable_repetition=$sum_billable_repetition+$allocation->currently_billable_repetition_val}
        {$sum_billable_repetition_otcurr=$sum_billable_repetition_otcurr+$allocation->currently_billable_repetition_otcurr}
        {$sum_costs=$sum_costs+$allocation->costs_view}
        {$sum_costs_otcurr=$sum_costs_otcurr+$allocation->costs_otcurr}
        {$sum_already_invoiced=$sum_already_invoiced+$allocation->already_invoiced}
        {$sum_already_invoiced_otcurr=$sum_already_invoiced_otcurr+$allocation->already_invoiced_otcurr}
        <tr {if $allocation->subs_active<=0 || !$allocation->is_to_print}class="inactive_state"{/if}>
            <td style="white-space: nowrap;">
                {$allocation->work_package_name}
            </td>
            {if $allocations_ontop->with_hoai}
                <td style="text-align:right; white-space: nowrap;" title="hoai_percentage">
                    {if $allocation->has_hoai_percentage || $allocation->hoai_percentage>0}
                        {isfloat value=$allocation->hoai_percentage}%
                    {/if}
                </td>
            {/if}
            <td style="text-align:right; white-space: nowrap;" title="costs_view">{* ## Honorar ## *}
                {if !$project_use_currency}
                    {isfloat value=$allocation->costs_view}
                {else}
                    {isfloat value=$allocation->costs_otcurr}
                {/if}
            </td>
            <td style="text-align:right; white-space: nowrap;" title="already_invoiced">{* ## Bereits verrechnet ## *}
                {if !$project_use_currency}
                    {isfloat value=$allocation->already_invoiced}
                {else}
                    {isfloat value=$allocation->already_invoiced_otcurr}
                {/if}
            </td>
            <td style="text-align:right; white-space: nowrap;" title="percentage_max_invoiced">{* ## Bereits verrechnet % ## *}
                {isfloat value=$allocation->already_max_percentage*100}%
            </td>
            <td style="text-align:right; white-space: nowrap;">{* ## Abrechenbar % ## *}
                {if $allocations_ontop->with_hoai}
                    {include file='r/table_input.tpl' name="`$billable_name`_siemon" 
                        filter_extra="data-hoai_percentage='`$allocation->hoai_percentage`' title='Siemon'"
                        class="numberi18n t-smaller" readonly=true
                        add_icons_file='warning' past_span_text='%' default={islongfloat value=$allocation->currently_total_hoai_percentage}}
                {/if}
                {include file='r/table_input.tpl' name=$billable_name
                    filter_extra="onchange='calculateaccordingexpenditure_level_of_completion.update_value_info(this, true);'
                        data-costs='`$allocation->costs_view`'
                        data-costs_supplement='`$allocation->costs_supplement_view`'
                        data-costs_extras_amount='`$allocation->costs_extras_amount`'
                        data-costs_rebate_amount='`$allocation->costs_rebate_amount`'
                        data-costs_repetition='`$allocation->rep_total`'
                        data-costs_otcurr='`$allocation->costs_otcurr`'
                        data-costs_supplement_otcurr='`$allocation->costs_otcurr`'
                        data-costs_extras_otcurr='`$allocation->costs_extras_amount_otcurr`'
                        data-costs_rebate_otcurr='`$allocation->costs_rebate_amount_otcurr`'
                        data-costs_repetition_otcurr='`$allocation->rep_total_otcurr`'
                        data-already='`$allocation->already_invoiced`'
                        data-already_supplement='`$allocation->already_invoiced_supplement`'
                        data-already_extras='`$allocation->already_invoiced_extras`'
                        data-already_rebate='`$allocation->already_invoiced_rebate`'
                        data-already_repetition='`$allocation->already_invoiced_repetition`'
                        data-already_otcurr='`$allocation->already_invoiced_otcurr`'
                        data-already_supplement_otcurr='`$allocation->already_invoiced_supplement_otcurr`'
                        data-already_extras_otcurr='`$allocation->already_invoiced_extras_otcurr`'
                        data-already_rebate_otcurr='`$allocation->already_invoiced_rebate_otcurr`'
                        data-already_repetition_otcurr='`$allocation->already_invoiced_repetition_otcurr`'
                        data-percentage_already='`$allocation->percentage_max_invoiced`'
                        data-extras_is_percentage='`$allocation->costs_extras_is_percentage`'
                        data-rebate_is_percentage='`$allocation->costs_rebate_is_percentage`'
                        data-cl='`$allocation->completion_level`'
                        data-cost_used='`$allocation->cost_used`'
                        data-hours_used='`$allocation->hours_used`'"
                    class="billable_percentage numberi18n calculator t-small"
                    add_icons_file='warning' past_span_text='%' default={islongfloat value=$allocation->payment_percentage*100}}
            </td>
            <td style="text-align:right; white-space: nowrap;">{* ## Abzurechnender Betrag ## *}
                {if !$project_use_currency}
                    {$currently_billable_value=$allocation->currently_billable_value}
                {else}
                    {$currently_billable_value=$allocation->currently_billable_value_otcurr}
                {/if}
                {include file='r/table_input.tpl' name=$billable_value_name
                    filter_extra="onchange='calculateaccordingexpenditure_level_of_completion.update_value_info(this, true);'"
                    class="billable_value numberi18n calculator t-small"
                    default={isfloat value=$currently_billable_value}}
            </td>
            {* ## Zuschläge ## *}
            <td id="{$billable_supplement_name}" class="billable_supplement" style="text-align:right; background: rgba(220, 220, 255, 0.4); white-space: nowrap;" title="costs_supplementview">
                {if !$project_use_currency}
                    {isfloat value=$allocation->currently_billable_supplement_val}
                {else}
                    {isfloat value=$allocation->currently_billable_supplement_otcurr}
                {/if}
            </td>
            {* ## Nebenkosten ## *}
            <td id="{$billable_extras_name}" class="billable_extras" style="text-align:right; background: rgba(255, 255, 200, 0.4);">
                {if !$project_use_currency}
                    {isfloat value=$allocation->currently_billable_extras_val}
                {else}
                    {isfloat value=$allocation->currently_billable_extras_otcurr}
                {/if}
            </td>
            {* ## Rabatt ## *}
            <td id="{$billable_rebate_name}" class="billable_rebate" style="text-align:right; background: rgba(255, 200, 200, 0.4);">
                {if !$project_use_currency}
                    {isfloat value=$allocation->currently_billable_rebate_val}
                {else}
                    {isfloat value=$allocation->currently_billable_rebate_otcurr}
                {/if}
            </td>
            {* ## Wiederholungen ## *}
            {if $has_repetition}
                <td id="{$billable_repetition_name}" class="billable_repetition" style="text-align:right;">
                    {if !$project_use_currency}
                        {isfloat value=$allocation->currently_billable_repetition_val}
                    {else}
                        {isfloat value=$allocation->currently_billable_repetition_otcurr}
                    {/if}
                </td>
            {else}
                <td id="{$billable_repetition_name}" class="billable_repetition" style="display: none;"></td>
            {/if}
        </tr>
    {/foreach}
    <tfoot>
        <th {if $allocations_ontop->with_hoai}colspan="2"{/if}>
            {$i.basic_total}
        </th>
        <th style="text-align:right;">{* ## Honorar Summe ## *}
            {if !$project_use_currency}
                {isfloat value=$sum_costs}
            {else}
                {isfloat value=$sum_costs_otcurr}
            {/if}
        </th>
        <th colspan="2" style="text-align:right;">{* ## Bereits verrechnet ## *}
            {if !$project_use_currency}
                {isfloat value=$sum_already_invoiced}
            {else}
                {isfloat value=$sum_already_invoiced_otcurr}
            {/if}
        </th>
        <th></th>
        <th style="text-align:right;" id="calcexp_level_of_completion_sum_billable_value">{* ## Abzurechnender Betrag Summe ## *}
            {if !$project_use_currency}
                {isfloat value=$sum_billable_value}
            {else}
                {isfloat value=$sum_billable_value_otcurr}
            {/if}
        </th>
        <th style="text-align:right;" id="calcexp_level_of_completion_sum_billable_supplement">{* ## Abzurechnender Betrag Summe ## *}
            {if !$project_use_currency}
                {isfloat value=$sum_billable_supplement}
            {else}
                {isfloat value=$sum_billable_supplement_otcurr}
            {/if}
        </th>
        <th style="text-align:right;" id="calcexp_level_of_completion_sum_billable_extras">{* ## Abzurechnender Betrag Summe ## *}
            {if !$project_use_currency}
                {isfloat value=$sum_billable_extras}
            {else}
                {isfloat value=$sum_billable_extras_otcurr}
            {/if}
        </th>
        <th style="text-align:right;" id="calcexp_level_of_completion_sum_billable_rebate">{* ## Abzurechnender Betrag Summe ## *}
            {if !$project_use_currency}
                {isfloat value=$sum_billable_rebate}
            {else}
                {isfloat value=$sum_billable_rebate_otcurr}
            {/if}
        </th>
        {if $has_repetition}
            <th style="text-align:right;" id="calcexp_level_of_completion_sum_billable_repetition">{* ## Wiederholungen Summe ## *}
                {if !$project_use_currency}
                    {isfloat value=$sum_billable_repetition}
                {else}
                    {isfloat value=$sum_billable_repetition_otcurr}
                {/if}
            </th>
        {/if}
    </tfoot>
    </tbody>
</table>
{if $allocations_ontop->with_old_hoai}
    <div class="warningsmall ui-corner-all" style="margin-top:5px">
        {$i.calcexp_is_hoai}
    </div>
{/if}