<table style="max-width:100%; min-width: 85%;">
    <tr>
        <th style="background-color:rgba(200,255,200,0.25); min-width:120px;">{$i.offers_management_offer_no}</th>
        <td style="text-align:center; min-width:120px;">{$payment->offer_no}</td>
        
        <th style="background-color:rgba(200,255,200,0.25); min-width:120px;">{$i.offers_management_name}</th>
        <td style="text-align:left; font-size:0.9em; min-width:120px;">{$payment->offer_name}</td>
        
        <th style="background-color:rgba(200,255,200,0.25); min-width:120px;">{$i.offers_management_project}</th>
        <td style="text-align:center; min-width:120px;">{if isset($project_offer)}{$project_offer->project}{/if}</td>
    </tr>
    <tr>
        <th style="background-color:rgba(200,255,200,0.25);">{$i.offers_management_date}</th>
        <td style="text-align:center;">{$payment->offer_date->us_date()}</td>
        <th style="background-color:rgba(200,255,200,0.25);">{$i.offers_management_costs_sum}</th>
        <td style="text-align:center;">{isfloat value=$payment->costs_sum}</td>
        
        <th style="background-color:rgba(200,255,200,0.25);">{$i.calcexp_due_days}</th>
        <td style="text-align:center;">{$payment->due_date->us_date()} ({$payment->due_days})</td>
    </tr>
    <tr>
        {if $payment->from_date->is_null() && $payment->to_date->is_null()}
            <td colspan="6" style="border: 0 none;"></td>
        {else}
            <th colspan="2"><h5>{$i.calcexp_fee_period}:</h5></th>
            <th style="background-color:rgba(200,255,200,0.25); min-width:10em">{$i.filter_from_date}</th>
            <td style="text-align:center; min-width:10em">{$payment->from_date->us_date()}</td>
            <th style="background-color:rgba(200,255,200,0.25); min-width:10em">{$i.filter_to_date}</th>
            <td style="text-align:center; min-width:10em" id="level_of_completion_to_date">{$payment->to_date->us_date()}</td>
        {/if}
    </tr>
    <tr>
        <th style="background-color:rgba(200,255,200,0.25);">{$i.calcexp_fee_type}</th>
        <td style="text-align:center;">{payment_fee_type value=$payment->fee_type}</td>
        <td colspan="2" style="text-align:center;">{$payment->correspondence_type_name}</td>
        
        {if $payment->round eq 0}
            <td colspan="2" style="border: 0 none;"></td>
        {else}
            <th>{$i.calcexp_round}</th>
            <td style="text-align:center;">
                {isfloat value=$payment->round_info.0} - {$roundval="calcexp_round_`$payment->round`"}{$i.$roundval}
            </td>
        {/if}
    </tr>
    {if $payment->discount neq 0}
        <tr>
            <th>{$i.correspondence_discount}</th>
            <td style="text-align:center;">{isfloat value=$payment->discount*100}%</td>
            
            <th>{$i.correspondence_discount_days}</th>
            <td style="text-align:center;">
                {$payment->discount_days}
            </td>
            
            <td colspan="2" style="border: 0 none;"></td>
        </tr>
    {/if}
    {if !$payment->approved_date->is_null()}
        <tr>
            <th style="background-color:rgba(255,255,200,0.4);">{$i.calcexp_approve}</th>
            <td colspan="3" style="text-align:center;">
                {$payment->approved_by_name}
                ({$payment->approved_date->us_date()})
            </td>
        </tr>
    {/if}
</table>