<h4>{$i.calcexp_already_invoiced}</h4>
<div id="inforight">    
    <table>
        {if $project_use_currency}
            <thead>
                <tr>
                    <th></th>
                    <th style="min-width:2em;">{$i.calcexp_already_invoiced}</th>
                    <th class="global_currency" style="min-width:2em;">{$project_global_currency} {$i.calcexp_from_offer}</th>
                    <th class="global_currency" style="min-width:2em;">{$project_global_currency} {$i.calcexp_from_payment}</th>
                    <th style="min-width:2em;">{$project_offer->currency_name}</th>
                </tr>
            </thead>
        {/if}
        <tbody>
        {$sum_value=0}{$sum_value_offer=0}{$sum_value_otcurr=0}
        {if $project_use_currency}
            {$sum_costs_view=0}{$sum_costs_otcurr=0}
        {/if}
        {foreach item="allocation" from=$allocations}
            <tr>
                <td>
                    {$allocation->work_package_name}
                </td>
                {if $allocation->is_fee_area}
                    <td style="min-width:2em; text-align:right;">{isfloat value=$allocation->percentage_max_invoiced*100}%</td>
                    {if $project_use_currency}
                        {$sum_costs_view=$sum_costs_view+$allocation->costs_view}
                        {$sum_costs_otcurr=$sum_costs_otcurr+$allocation->costs_otcurr}
                        {if $allocation->costs_otcurr>0} 
                            {$exchange_rate = $allocation->costs_view/$allocation->costs_otcurr}
                        {else}
                            {$exchange_rate = 1}
                        {/if}
                        {$sum_value_offer=$sum_value_offer+($exchange_rate*$allocation->value_invoiced_otcurr)}
                        <td class="global_currency" style="min-width:2em; text-align:right;">{isfloat value=$exchange_rate*$allocation->value_invoiced_otcurr}</td>
                    {/if}
                    <td {if $project_use_currency}class="global_currency"{/if} style="min-width:2em; text-align:right;">
                        {$sum_value=$sum_value+$allocation->value_invoiced}
                        {isfloat value=$allocation->value_invoiced}
                    </td>
                    {if $project_use_currency}
                        {$sum_value_otcurr=$sum_value_otcurr+$allocation->value_invoiced_otcurr}
                        <td style="min-width:2em; text-align:right;">
                            {isfloat value=$allocation->value_invoiced_otcurr}
                        </td>
                    {/if}
                {else}
                    <td colspan="{if $project_use_currency}4{else}2{/if}"></td>
                {/if}
            </tr>
        {/foreach}
        </tbody>
        <tfoot>
            {if $project_use_currency}
                {if $sum_costs_otcurr>0} 
                    {$exchange_rate = $sum_costs_view/$sum_costs_otcurr}
                {else}
                    {$exchange_rate = 1}
                {/if}
            {/if}
            {if $sum_value_ontop>0.001 || $sum_value_ontop<-0.001}
                <tr>
                    <th>{$i.basic_total}</th>
                    {if $project_use_currency}
                        <th colspan="2" style="min-width:2em; text-align:right;">{isfloat value=$sum_value_offer}</th>
                    {/if}
                    <th {if $project_use_currency}class="global_currency"{else} colspan="2"{/if} style="min-width:2em; text-align:right;">{isfloat value=$sum_value}</th>
                    {if $project_use_currency}
                        <th style="min-width:2em; text-align:right;">{isfloat value=$sum_value_otcurr}</th>
                    {/if}
                </tr>
                <tr>
                    <th>{$i.calcexp_supplements} / {$i.calcexp_hoai_rebate}</th>
                    {if $project_use_currency}
                        <th colspan="2" style="min-width:2em; text-align:right;"></th>
                    {/if}
                    <td {if $project_use_currency}class="global_currency"{else} colspan="2"{/if} style="min-width:2em; text-align:right;">{isfloat value=$sum_value_ontop}</td>
                    {if $project_use_currency}
                        <th style="min-width:2em; text-align:right;">{isfloat value=$sum_value_ontop/$exchange_rate}</th>
                    {/if}
                </tr>
            {/if}
            <tr>
                <th>{$i.basic_total}</th>
                {if $project_use_currency}
                    <th colspan="2" style="min-width:2em; text-align:right;"></th>
                {/if}
                <th {if $project_use_currency}class="global_currency"{else} colspan="2"{/if}  style="min-width:2em; text-align:right;">{isfloat value=$sum_value+$sum_value_ontop}</th>
                {if $project_use_currency}
                    <th style="min-width:2em; text-align:right;">{isfloat value=$sum_value_otcurr+($sum_value_ontop/$exchange_rate)}</th>
                {/if}
            </tr>
        </tfoot>
    </table>
</div>