<table>
    <tr>
        <td style="background-color:rgba(200,255,200,0.25);">{$i.offers_management_offer_no}</td>
        <td>{$payment->offer_no}</td>
    </tr>
    <tr>
        <td style="background-color:rgba(200,255,200,0.25);">{$i.offers_management_name}</td>
        <td>{$payment->offer_name}</td>
    </tr>
    <tr>
        <td style="background-color:rgba(200,255,200,0.25);">{$i.offers_management_date}</td>
        <td>{$payment->offer_date->us_date()}</td>
    </tr>
    {if $payment->costs_sum_rep > 0}
        <tr>
            <td style="background-color:rgba(200,255,200,0.25);">{$i.offers_management_costs_sum}</td>
            <td>{isfloat value=$payment->costs_sum_with_rep}</td>
        </tr>
        <tr>
            <td style="background-color:rgba(200,255,200,0.25);">{$i.offers_management_costs_sum_no_rep}</td>
            <td>{isfloat value=$payment->costs_sum}</td>
        </tr>
    {else}
        <tr>
            <td style="background-color:rgba(200,255,200,0.25);">{$i.offers_management_costs_sum}</td>
            <td>{isfloat value=$payment->costs_sum}</td>
        </tr>
    {/if}
    {if $project_use_currency && $payment->costs_sum_otcurr!=null}
        <tr>
            <td style="background:rgba(210, 250, 255, 0.3);">{if is_null($project_offer->currency_name)}{$i.offers_management_currency}{else}{$project_offer->currency_name}{/if} {$i.offers_management_costs_sum}</td>
            <td>{float_to_usnumber($payment->costs_sum_otcurr)} {$project_offer->currency_abbreviation}</td>
        </tr>
        <tr>
            <td style="background:rgba(210, 250, 255, 0.3);">{$i.projectadmin_exchange_rate}</td>
            <td title="value/value_otcurr">{if $payment->costs_sum_otcurr > 0}{isfloat value=$payment->costs_view_sum/$payment->costs_sum_otcurr maxf=4} {else} {isfloat value=0 maxf=4} {/if}</td>
        </tr> 
    {/if}

    <tr>
        <td>{$i.calcexp_already_invoiced}</td>
        <td>{isfloat value=$payment->value_invoiced} {$project_global_currency}</td>
    </tr>
    {if $project_use_currency}
        <tr>
            <td>{$i.calcexp_already_invoiced} {$i.correspondence_fee_currency}</td>
            <td>{isfloat value=$payment->value_invoiced_otcurr} {$project_offer->currency_abbreviation}</td>
        </tr>
    {/if}
    <tr>
        <td rowspan="2">{$i.calcexp_fee_type}</td>
        <td>{payment_fee_type value=$payment->fee_type}</td>
    </tr>
    <tr>
        <td>{$payment->correspondence_type_name}</td>
    </tr>
    <tr>
        <td>{$i.correspondence_vat}</td>
        <td>{isfloat value=$payment->vat*100}%</td>
    </tr>
    {if $payment->round neq 0}
        <tr>
            <td>
                {$i.calcexp_round}
                {if $payment->round_gross neq 0}
                    & {$i.calcexp_round_gross}
                {/if}
            </td>
            <td>
                {isfloat value=$payment->round_info[0]}
            </td>
        </tr>
    {/if}
    {if $payment->status eq 20}
        <tr>
            <td>{$i.correspondence_fee_no}</td>
            <td>{$payment->fee_no}</td>
        </tr>
        <tr>
            <td>{$i.correspondence_fee_date}</td>
            <td>{$payment->fee_date->us_date()}</td>
        </tr>
        <tr title="{$i.correspondence_bill_no1} {$payment->offer_no}">
            <td>{$i.correspondence_bill_no}</td>
            <td>{$payment->bill_no}</td>
        </tr>
    {/if}
    <tr>
        <td>{$i.calcexp_payment_status}</td>
        <td>
            {payment_status value=$payment->status}
            {$payment->invoice_date->us_date_time()}
        </td>
    </tr>
    <tr>
        <td rowspan="2">{$i.calcexp_due_days}</td>
        <td>{$payment->due_days}</td>
    </tr>
    <tr>
        <td>
        {if $payment->due_days>0}{$payment->due_date->us_date()}{/if}
        </td>
    </tr>
    <tr>
        <td>{$i.correspondence_discount}</td>
        <td>{isfloat value=$payment->discount*100}%</td>
    </tr>
    {if $payment->discount neq 0}
        <tr>
            <td rowspan="2">{$i.correspondence_discount_days}</td>
            <td>{$payment->discount_days}</td>
        </tr>
        <tr>
            <td>{$payment->discount_date->us_date()}</td>
        </tr>
    {/if}
    <tr>
        <th></th>
        <th><h6>{$i.calcexp_fee_period}</h6></th>
    </tr>
    <tr title="{$i.calcexp_fee_period}">
        <td>{$i.filter_from_date}</td>
        <td>{$payment->from_date->us_date()}</td>
    </tr>
    <tr title="{$i.calcexp_fee_period}">
        <td>{$i.filter_to_date}</td>
        <td>{$payment->to_date->us_date()}</td>
    </tr>

    <tr>
        <td rowspan="2">{$i.calcexp_approve}</td>
        <td>{$payment->approved_date->us_date()}</td>
    </tr>
    <tr>
        <td>{$payment->approved_by_name}</td>
    </tr>
    
    <tr>
        <td>{$i.basic_created_by}</td>
        <td>{$payment->created_by_name}</td>
    </tr>     
    <tr>
        <td>{$i.basic_created_date}</td>
        <td>{$payment->created_date->us_date()}</td>
    </tr>    
    <tr>
        <td>{$i.basic_changed_by}</td>
        <td>{$payment->changed_by_name}</td>
    </tr>      
    <tr>
        <td>{$i.basic_change_date}</td>
        <td>{$payment->change_date->us_date()}</td>
    </tr>
    {if !empty($corr_list)}
        </tr>
            <td>{$i.basic_correspondence}/{$i.basic_feeadmin}</td>
            <td>
                <div class="many">
                    {foreach from=$corr_list item=corr_item key=index}
                        <p class="shadow_block4">
                            <a href="{site_url url="start/open/correspondence/index/$xjxcookie/view/{$corr_item->id}/"}"
                               onclick="window.open(this.href); return false;"
                               class="dialog_make_btn16 correspondence smallbtns ui-corner-all" title="{$i.basic_correspondence}"></a>

                            {additional_button type="correspondence_edit_document" value=$corr_item}
                            {$corr_item->subject|truncate:50:"..."}
                        </p>
                        {if !empty($corr_item->fees)}
                            {foreach from=$corr_item->fees item=fee_item key=index}
                                <p class="shadow_block2">
                                    <a href="{site_url url="start/open/feeadmin/index/$xjxcookie/view/{$fee_item->id}/"}"
                                       onclick="window.open(this.href); return false;"
                                       class="dialog_make_btn16 fees smallbtns ui-corner-all" title="{$i.basic_feeadmin}"></a>
                                    {if $show_ebInterface || $show_zugferd || $show_xRechnung || $show_fatturaPA}
                                        <a href="{site_url url="start/open/feeadmin/index/$xjxcookie/e_invoice/{$payment->id}/{$fee_item->id}/"}"
                                           onclick="window.open(this.href); return false;"
                                           class="dialog_make_btn16 e_invoice smallbtns ui-corner-all" title="{$i.basic_create_e_invoice}"></a>
                                    {/if}

                                    {$fee_item->fee_no|truncate:50:"..."} | {isfloat value=$fee_item->value}
                                </p>
                            {foreachelse}
                                &nbsp;
                            {/foreach}
                        {/if}
                    {foreachelse}
                        &nbsp;
                    {/foreach}
                </div>
            </td>
        </tr>
    {/if}
</table>
