<div id="{$id}_data" class="tooltip_data">
    <div class="portlet_tooltip">
    <table>
    <tbody>
        <tr>
            <td>{$lang.holidayadmin_type}:</td>
            <td>{if $data->is_absent}{$lang.holidayadmin_type_absent}{else}{$lang.holidayadmin_holiday}{/if}</td>
        </tr>
        <tr>
            <td>{$lang.holidayadmin_holidays}:</td>
            <td>{float_to_usnumber(abs($data->days), 2)}</td>
        </tr>
        {if isset($data->sum_day_off)}
            <tr>
                <td>{$lang.holidayadmin_real_days}:</td>
                <td>
                    <span class="{if abs($data->days) < abs($data->sum_day_off)}inforedrowlike{/if}">
                        {float_to_usnumber(abs($data->sum_day_off), 2)}
                    </span>
                </td>
            </tr>
        {/if}
        <tr>
            <td>{$lang.holidayadmin_purpose}:</td>
            <td>{$data->comment|truncate:100}</td>
        </tr>
        <tr>
            <td>{$i.holidayadmin_status}:</td>
            <td>
                {if $vacation->holiday_is_ok}
                    <span style="background-color: #33EE33; color: #FFFFFF; padding: 1px 2px;">{$i.holidayadmin_holiday_ok}</span>
                {else if $vacation->status__approved}
                    <span style="background-color: #6666FF; color: #FFFFFF; padding: 1px 2px;">{$i.holidayadmin_ok}</span>
                {else if $vacation->is_submitted}
                    {$i.holidayadmin_applied}
                {else if $vacation->is_refused}
                    <span style="background-color: #FF0000; color: #FFFFFF; padding: 1px 2px;">{$i.holidayadmin_refused}</span>
                {/if}
                {if $vacation->is_ok_pre}
                    <br /><span style="color: #33EE33; padding: 1px 2px;">{$i.holidayadmin_is_ok_pre}</span>
                {/if}
            </td>
        </tr>
    </tbody>
    </table>
    </div>
</div>