{assign var="js_check_uncheck" value="
    var cbs = $(this).closest('div').find('input[type=checkbox]');
    var cbs_checked = $(this).closest('div').find('input[type=checkbox]:checked');
    if (cbs_checked.length === cbs.length) {
        $(cbs).prop('checked', false);
    } else {
        $(cbs).prop('checked', true);
    }
"}
{assign var="js_check_approve_refuse" value="
    var full_portlet_id = $(this).closest('div.portlet').attr('id');
    var cbs = $(this).closest('div').find('input[type=checkbox]');
    var cbs_checked = $(this).closest('div').find('input[type=checkbox]:checked');
    if (cbs_checked.length <= 0) {
        alert(lang_basic.nothing_selected);
    } else {
        var ids = [];
        $(cbs_checked).each(function(){
            var tmp = $(this).attr('id');
            var a_tmp = tmp.split('_');
            ids.push(parseInt(a_tmp[a_tmp.length-1], 10));
        });

        var ok = confirm(lang_basic.are_you_sure);
        if (!ok) {
            return
        }

        if (approve==='pre') {
            openx('portlet', 'unconfirmed_vacations', 'approve_pre', full_portlet_id, ids);
        } else if (approve) {
            openx('portlet', 'unconfirmed_vacations', 'approve', full_portlet_id, ids);
        } else {
            openx('portlet', 'unconfirmed_vacations', 'refuse', full_portlet_id, ids);
        }
    }
"}

<table class="list" style="margin-top:25px">
{foreach item="vacation" from=$vacations}
    <tr id="portlet_unconfirmed_vacations_{$vacation->id}" class="portlettooltip smallbtns">
        <td><span class="dialog_make_btn14 unconfirmed_vacations">x</span></td>
        {if $vacation_is_ok_pre_show}
            <td>
                {if $vacation->is_ok_pre}
                    <span class="dialog_make_btn14 yes" title="{$i.holidayadmin_is_ok_pre}">p</span>
                {/if}
            </td>
        {/if}
        {if $user_can_approve}
            <td>
                {include file='r/checkbox-only.tpl' name="check_vacation_{$vacation->id}"}
            </td>
        {/if}
        <td>
            {if abs($vacation->days) neq abs($vacation->sum_day_off)}
                <span title="{$i.holidayadmin_holidays}">{float_to_usnumber(abs($vacation->days), 2)}</span>{*
                *}&nbsp;<span class="{if abs($vacation->days) < abs($vacation->sum_day_off)}inforedrowlike{/if}" 
                      title="{$i.holidayadmin_real_days}">{float_to_usnumber(abs($vacation->sum_day_off), 2)}</span>
            {else}
                <span title="{$i.holidayadmin_holidays}">{float_to_usnumber(abs($vacation->days), 2)}</span>
            {/if}
        </td>
        <td>
            {if $vacation->start_date->format("Y") eq $vacation->start_date->format("Y")}
                {$vacation->start_date->us_shortdate()}&nbsp;-&nbsp;{$vacation->end_date->us_date()}
            {else}
                {$vacation->start_date->us_date()}&nbsp;-&nbsp;{$vacation->end_date->us_date()}
            {/if}
            
        </td>
        <td style="width:100%">
            {$vacation->staff_id_name}&nbsp;{*
            *}<span onclick="usComm.loadPage('holidayadmin','index', 'view', {$vacation->id})" class="dialog_make_btn16 edit ui-corner-all smallbtns"></span>
            {include file='Holidayadmin/_portlet_tooltip.tpl' id="portlet_unconfirmed_vacations_{$vacation->id}" data=$vacation lang=$i}
        </td>
    </tr>
{/foreach}
</table>
{if $user_can_approve && count($vacations) > 0}
    <a id="test" class="dialog_make_text_btn ui-corner-all" onclick="{$js_check_uncheck}">{$i.basic_select_all_none}</a>
    <a class="dialog_make_text_btn ui-corner-all" onclick="var approve='pre'; {$js_check_approve_refuse}">{$i.filter_approved_pre}</a>
    <a class="dialog_make_text_btn ui-corner-all" onclick="var approve=true; {$js_check_approve_refuse}">{$i.filter_approved}</a>
    <a class="dialog_make_text_btn ui-corner-all" onclick="var approve=false; {$js_check_approve_refuse}">{$i.filter_refused}</a>
{/if}