{assign var='title' value=$i.basic_addressesandcontacts}
{include file='Mobile/r_basic/htmlheader.tpl'}

    <div data-role="page" id="start" data-theme="a" data-dom-cache="false">

        <div data-role="header">
            <h1>{$title}</h1>
        </div><!-- /header -->
        
        <div data-role="content">
            
            <table stlye="table-layout:fixed; empty-cells:show;">
                <colgroup>
                    <col style="width: 40%;"></col>
                    <col style="width: 60%;"></col>
                </colgroup>
                <tbody>
                    <tr {if $address_info_derived->name}class="infobluerow"{/if}>
                        <td>{$i.addresses_name}</td>
                        <td>{$address_info->name}</td>
                    </tr>
                    <tr {if $address_info_derived->comp_supp}class="infobluerow"{/if}>
                        <td>{$i.addresses_comp_supp}</td>
                        <td>{$address_info->comp_supp}</td>
                    </tr>

                    <tr {if $address_info_derived->title}class="infobluerow"{/if}>
                        <td>{$i.addresses_title}</td>
                        <td>{$address_info->title}</td>
                    </tr>
                    <tr {if $address_info_derived->academic_title}class="infobluerow"{/if}>
                        <td>{$i.addresses_academic_title}</td>
                        <td>{$address_info->academic_title}</td>
                    </tr>
                    <tr {if $address_info_derived->first_name}class="infobluerow"{/if}>
                        <td>{$i.addresses_first_name}</td>
                        <td>{$address_info->first_name}</td>
                    </tr>
                    <tr {if $address_info_derived->contact_person}class="infobluerow"{/if}>
                        <td>{$i.addresses_contact_person}</td>
                        <td>{$address_info->contact_person}</td>
                    </tr>
                    <tr {if $address_info_derived->master_title}class="infobluerow"{/if}>
                        <td>{$i.addresses_master_title}</td>
                        <td>{$address_info->master_title}</td>
                    </tr>                       
                    <tr {if $address_info_derived->street}class="infobluerow"{/if}>
                        <td>{$i.addresses_street}</td>
                        <td>{$address_info->street}</td>
                    </tr>
                    <tr {if $address_info_derived->street2}class="infobluerow"{/if}>
                        <td>{$i.addresses_street2}</td>
                        <td>{$address_info->street2}</td>
                    </tr>                    
                    <tr {if $address_info_derived->zip_town}class="infobluerow"{/if}>
                        <td>
                            {$i.addresses_zip} / {$i.addresses_town}
                            <a href="{$address_info->maps_url}" data-rel="dialog" data-transition="pop" target="ustrichmapwin"
                                data-role="button" data-icon="search" data-iconpos="notext" style="float:right;"
                                class="ui-no-margin" title="{$i.addresses_view_mapping}"></a>
                        </td>
                        <td><span>{$address_info->zip}</span> <span>{$address_info->town}</span></td>
                    </tr>
                    <tr {if $address_info_derived->country}class="infobluerow"{/if}>
                        <td>{$i.addresses_country}</td>
                        <td>{$address_info->country}</td>
                    </tr>
                    <tr {if $address_info_derived->phone1}class="infobluerow"{/if}>
                        <td>
                            {$i.addresses_phone1}
                        </td>
                        <td>
                            {$address_info->phone1|torealphone}
                        </td>
                    </tr>
                    <tr {if $address_info_derived->phone2}class="infobluerow"{/if}>
                        <td>
                            {$i.addresses_phone2}
                        </td>
                        <td>
                            {$address_info->phone2|torealphone}
                        </td>
                    </tr>
                    <tr {if $address_info_derived->mobile_phone}class="infobluerow"{/if}>
                        <td>
                            {$i.addresses_mobile_phone}
                        </td>
                        <td>
                            {$address_info->mobile_phone|torealphone}
                        </td>
                    </tr>
                    <tr {if $address_info_derived->fax}class="infobluerow"{/if}>
                        <td>
                            {$i.addresses_fax}
                        </td>
                        <td>
                            {$address_info->fax|torealphone}
                        </td>
                    </tr>
                    <tr {if $address_info_derived->modem}class="infobluerow"{/if}>
                        <td>{$i.addresses_modem}</td>
                        <td>
                            {$address_info->modem}
                        </td>
                    </tr>
                    <tr {if $address_info_derived->url}class="infobluerow"{/if}>
                        <td>
                            {$i.addresses_url}
                        </td>
                        <td><a href="{$address_info->real_url}" data-rel="external" target="ustrichextwin">{$address_info->url}</a>
                        </td>
                    </tr>
                    <tr {if $address_info_derived->email}class="infobluerow"{/if}>
                        <td>
                            {$i.addresses_email}
                            <a href="{emailsimple email=$address_info->email address_id=$address_info->id force_mailto=true}"
                                data-role="button" data-icon="forward" data-iconpos="notext" style="float:right;"
                                class="ui-no-margin"></a>
                        </td>
                        <td>
                            <a href="{emailsimple email=$address_info->email address_id=$address_info->id}" class="email">{$address_info->email}</a>
                        </td>
                    </tr>
                    <tr {if $address_info_derived->vat}class="infobluerow"{/if}>
                        <td>{$i.addresses_vat}</td>
                        <td>{$address_info->vat}</td>
                    </tr>
                    <tr>
                        <td>
                            {$i.addresses_relations}
                        </td>
                        <td>
                            <ul data-role="listview" data-filter="true" data-filter-placeholder="{$i.filter_filter_items}">
                                {foreach from=$address_info->relations item=relation}
                                    <li>
                                        <h4>{$relation->date->us_date()}{if $relation->from_staff_name} - {$relation->from_staff_name|truncate:80:"..."}{/if}</h4>
                                        <p>
                                            {if $relation->address_name && !$relation->direct}{$relation->address_name|truncate:80:"..."}<br />{/if}
                                            {$relation->description|truncate:100:"..."}<br />
                                            {if $relation->from_address_name && $relation->direct}{$relation->from_address_name|truncate:80:"..."}<br />{/if}
                                        </p>
                                    </li>
                                {/foreach}
                            </ul>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            {$i.addresses_description}
                        </td>
                        <td>
                            <ul data-role="listview" data-filter="true" data-filter-placeholder="{$i.filter_filter_items}">
                                {foreach from=$address_info->description item=description}
                                    <li>
                                        <h4>{$description->created_date->us_date()}</h4>
                                        <p>{$description->description|truncate:200:"..."}</p>
                                    </li>
                                {/foreach}
                            </ul>
                        </td>
                    </tr>
                    <tr {if $address_info_derived->categories}class="infobluerow"{/if}>
                        <td>{$i.addresses_categories}</td>
                        <td>
                            <ul data-role="listview">
                                {foreach from=$address_info->categories item=category}
                                    <li>
                                        <h4>{$category->name|truncate:35:"..."}</h4>
                                    </li>
                                {/foreach}
                            </ul>
                        </td>
                    </tr>
                    <tr>
                        <td>{$i.addresses_image}</td>
                        <td>
                            <span class="preview">
                                {if $address_info->image}
                                    {img_html uri=$address_info->image_uri class='photo ui-corner-all'}
                                {else}
                                    &nbsp;
                                {/if}
                            </span>
                        </td>
                    </tr>
                    {foreach from=$address_info->addi_fields item=field}
                        <tr>
                            {if $field->type eq US_exmodel::T_BLOCK}
                                <th colspan="2" style="text-align:center;">{$field->name}</th>
                            {else}
                                <td>{$field->name}</td>
                                <td>
                                    {assign var='field_id' value=$field->field}
                                    {addiview field=$field value=$address_info->$field_id item=$address_info}
                                </td>
                            {/if}
                        </tr>
                    {/foreach}
                    <tr {if $address_info_derived->active}class="infobluerow"{/if}>
                        <td>{$i.addresses_active}</td>
                        <td>{boolview value=$address_info->active}</td>
                    </tr>
                </tbody>
            </table>
                    
            <a href="{site_url url="mobile/open/mobile_addrs/index/"}" data-role="button" data-rel="back"
                data-icon="delete" data-dom-cache="false"
                data-transition="pop">{$i.basic_close_btn}</a>
            
        </div><!-- /content -->

    </div><!-- /page -->

{include file='Mobile/r_basic/htmlfooter.tpl'}