    <div data-role="fieldcontain">
        <label for="personalapp_date">{$i.personalapp_date}:<br /></label>
        <input name="personalapp_date" id="personalapp_date" type="date" required="true" data-role="datebox" value="{$personalapp->daytime_from->us_date()}"
           placeholder="{$i.personalapp_date}" {if !$personalapp_allow_edit}disabled="disabled"{/if}
           data-options='{literal}{"mode": "calbox", "calStartDay": 1, "calTodayButton": true, "highDays": [5, 6]}{/literal}'>
    </div>

    <div data-role="fieldcontain">
        <label for="personalapp_time_yn">{$i.personalapp_time}:</label>
        <select name="personalapp_time_yn" id="personalapp_time_yn" data-role="slider" {if !$personalapp_allow_edit}disabled="disabled"{/if}>
            <option value="" {if $personalapp->fullday}selected="true"{/if}>{$i.basic_no}</option>
            <option value="yes" {if !$personalapp->fullday}selected="true"{/if}>{$i.basic_yes}</option>
        </select> 
    </div>

    <fieldset data-role="fieldcontain" id="personalapp_time_set" class="ui-grid-a" {if $personalapp->fullday}style="display: none;"{/if}>
        <div class="ui-hide-label ui-block-a" style="text-align: center;">
            <label for="personalapp_time__from">{$i.personalapp_from}:</label>
            <input name="personalapp_time__from" id="personalapp_time__from" type="text" data-role="datebox" value="{$personalapp->daytime_from->us_stime()}"
               placeholder="{$i.personalapp_from}"  required="true" class="time" {if !$personalapp_allow_edit}disabled="disabled"{/if}
               data-options='{if $mobile_time_flip}{literal}{"mode": "timeflipbox", "minuteStep": 5}{/literal}{else}{literal}{"mode": "timebox", "minuteStep": 5}{/literal}{/if}'>
        </div>

        <div class="ui-hide-label ui-block-b" style="text-align: center;">
            <label for="personalapp_time__to">{$i.personalapp_to}:</label>
            <input name="personalapp_time__to" id="personalapp_time__to" type="text" data-role="datebox" value="{$personalapp->daytime_to->us_stime()}"
               placeholder="{$i.personalapp_to}"  required="true" class="time" {if !$personalapp_allow_edit}disabled="disabled"{/if}
               data-options='{if $mobile_time_flip}{literal}{"mode": "timeflipbox", "minuteStep": 5}{/literal}{else}{literal}{"mode": "timebox", "minuteStep": 5}{/literal}{/if}'>
        </div>
    </fieldset>

    <fieldset data-role="controlgroup" data-type="horizontal" class="radio_smaller" {if !$personalapp_allow_edit}disabled="disabled"{/if}>
        <div data-role="fieldcontain">
            {include file='r/radio_color-only.tpl' name="personalapp_state_color" default=$personalapp->state_color_id
                readonly=!$personalapp_allow_edit
                list=$state_color_list id="id" text="name" color="color" filter_extra='required'}
        </div>
    </fieldset>
    <hr /><!-- -------------------------------------------------------------------------------------------------------------------- -->

    <fieldset data-role="controlgroup" data-type="horizontal" class="radio_smallest">
        {include file='r/radio-only.tpl' name="personalapp_status" default=$personalapp->status
            list=$personalapp_status_list id="id" text="name" filter_extra='required'}
    </fieldset>

    <div data-role="fieldcontain">
        <label for="personalapp_private">{$i.personalapp_private}:</label>
        <select name="personalapp_private" id="personalapp_private" data-role="slider" {if !$personalapp_allow_edit}disabled="disabled"{/if}>
            <option value="" {if !$personalapp->is_private}selected="true"{/if}>{$i.basic_no}</option>
            <option value="yes" {if $personalapp->is_private}selected="true"{/if}>{$i.basic_yes}</option>
        </select> 
    </div>

    <div data-role="fieldcontain">
        <label for="personalapp_project">{$i.personalapp_project}:</label>
        {include file='r/select-only.tpl' name="personalapp_project" default=$personalapp->project_id
            noempty=1 filter_extra="required" class="required"
            readonly=!$personalapp_allow_edit
            list=$appoint_proj_list id="id" text="project"}
    </div>

    <div data-role="fieldcontain">
        <label for="personalapp_location">{$i.personalapp_location}:</label>
        <input name="personalapp_location" id="personalapp_location" type="text" maxlength=255  {if !$personalapp_allow_edit}disabled="disabled"{/if}
           placeholder="{$i.personalapp_location}" value="{$personalapp->location}" />
    </div>
    
    {if !$personalapp->is_private || $curr_user_id==$personalapp->staff_to_id}
        <div data-role="fieldcontain" class="ui-hide-label">
            <label for="personalapp_comment">{$i.personalapp_comment}:</label>
            <textarea name="personalapp_comment" id="personalapp_comment" required="true"  {if !$personalapp_allow_edit}disabled="disabled"{/if}
               placeholder="{$i.personalapp_comment}">{$personalapp->comment}</textarea>
        </div>
    {/if}