<!DOCTYPE html> 
<html> 
<head>
    <meta charset="utf-8" />
    
    <meta name="robots" content="noindex,nofollow" />
    <title>{$title}</title> 
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no"> 
    
    <script type="text/javascript">ussettings = new Object();</script>
    
    <link rel="stylesheet" type="text/css" href="{site_url url="$mobile_path/jquery.mobile.structure.min__{$us_version_ue}.css"}" />
    <link rel="stylesheet" type="text/css" href="{site_url url="$mobile_path/jquery.mobile.datebox.min__{$us_version_ue}.css"}" />
    <link rel="stylesheet" type="text/css" href="{site_url url="$mobile_path/us.min__{$us_version_ue}.css"}" />
    <script type="text/javascript" src="{site_url url="$mobile_path/jquery__{$us_version_ue}.js"}"></script>
    <script type="text/javascript" src="{site_url url="$mobile_path/jquery.mobile.min__{$us_version_ue}.js"}"></script>
    <script type="text/javascript" src="{site_url url="$mobile_path/jquery.mobile.datebox.min__{$us_version_ue}.js"}"></script>
    {if $language_short neq 'en'}
        <script type="text/javascript" src="{site_url url="$mobile_path/jquery.mobile.datebox.i8n.`$language_short`__{$us_version_ue}.js"}"></script>
    {/if}
    <script type="text/javascript" src="{site_url url="$mobile_path/jquery.validate__{$us_version_ue}.js"}"></script>
    
    <script type="text/javascript" src="{site_url url="$js_path/page_centric/timelogging__{$us_version_ue}.js"}"></script>
    
    {* FOR IPHONE and other mobiles *}
    <link rel="apple-touch-icon" sizes="24x24" href="{site_url url="images/logo/ic_24x24.png"}"/>
    <link rel="apple-touch-icon" sizes="32x32" href="{site_url url="images/logo/ic_32x32.png"}"/>
    <link rel="apple-touch-icon" sizes="48x48" href="{site_url url="images/logo/ic_48x48.png"}"/>
    <link rel="apple-touch-icon" href="{site_url url="images/logo/ic_57x57.png"}"/>
    <link rel="apple-touch-icon" sizes="72x72" href="{site_url url="images/logo/ic_72x72.png"}"/>
    <link rel="apple-touch-icon" sizes="114x114" href="{site_url url="images/logo/ic_114x114.png"}"/>
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="black" />
    <link rel="apple-touch-startup-image" href="{site_url url="images/logo/startup.png"}"/>
    <meta name="format-detection" content="telephone=no">
    
    <link rel="shortcut icon" href="{site_url url="favicon.ico"}" type="image/x-icon" id="shortcut_ico" />
    
    <script type="text/javascript">
    {if isset($is_login_page)}
        {* ------------------------------------------------------------------------------------- *}
        {* Show add to home screen info on iOS                                                   *}
        if ('standalone' in navigator && !navigator.standalone && (/iphone|ipod|ipad/gi).test(navigator.platform) && (/Safari/i).test(navigator.appVersion)) {
            var addToHomeConfig = {
                startDelay: 100,
                touchIcon: true
            };
            document.write('<link rel="stylesheet" href="{site_url url="$mobile_path/add2home.css"}">');
            document.write('<script type="application\/javascript" src="{site_url url="$mobile_path/add2home.js"}" charset="utf-8"><\/s' + 'cript>');
        }
    {/if}
        {* ------------------------------------------------------------------------------------- *}
        {* Set translation and order for datebox                                                 *}
        jQuery.extend(jQuery.mobile.datebox.prototype.options.lang.{$language_short}, {
            timeFormat: 24,
            dateFieldOrder: {us_json_encode($translates_date.orderstring)},
            dateFormat: '{$translates_date.formatstring}'
        });
        jQuery.extend(jQuery.mobile.datebox.prototype.options, {
            useLang: '{$language_short}'
        });
        
        $(document).bind("mobileinit", function(){
            $.mobile.touchOverflowEnabled = true;
        });
    </script>

    
</head> 
<body> 
