<table class="dashed">
    <thead>
        <tr>
            <th rowspan="2">{$i.reporting_rep_project}</th>
            <th rowspan="2">{$i.reporting_rep_work_area}</th>
            <th class="floatval" rowspan="2">{$i.reporting_rep_fee_hours}</th>
            <th class="floatval" colspan="2">{$i.reporting_rep_threshold}</th>
            <th class="floatval" colspan="2">{$i.reporting_rep_total_hours}</th>
        </tr>
        <tr>
            <th class="floatval">%</th>
            <th class="floatval">{$i.reporting_hours}</th>
            <th class="floatval">%</th>
            <th class="floatval">{$i.reporting_hours}</th>
        </tr>
    </thead>
{foreach item="data_row" from=$data_list}
    <tr {if $data_row->total_hours_pctg>1}class="inforedrow"{/if}>
        <td title="{$i.reporting_rep_project}">{$data_row->project}</td>
        <td title="{$i.reporting_rep_work_area}">{$data_row->work_area}</td>
        <td title="{$i.reporting_rep_fee_hours}" class="floatval">{float_to_usnumber($data_row->planned_hours,2)}</td>
        <td title="{$i.reporting_rep_threshold}" class="floatval">{float_to_usnumber($data_row->threshold*100,2)}&nbsp;%</td>
        <td title="{$i.reporting_rep_total_hours}" class="floatval">{float_to_usnumber($data_row->threshold_hours,2)}</td>
        <td title="{$i.reporting_hours}" class="floatval">{float_to_usnumber($data_row->total_hours_pctg*100,2)}&nbsp;%</td>
        <td title="{$i.reporting_hours}" class="floatval">{float_to_usnumber($data_row->total_hours,2)}</td>
    </tr>
{/foreach}
</table>