<fieldset class="borderbottom">
    {include file='r/hidden.tpl' name="projectadmin_edit"}{* What entry do we edit - If empty = add *}
    {include file='r/hidden.tpl' name="projectadmin_old_id"}{* On duplicate, it's the ID of the source project *}
    {include file='r/input.tpl' name="projectadmin_project_name" title="projectadmin_project" class="required t-long" maxlength=100}
    
    {include file='r/input.tpl' name="projectadmin_project_number" title="projectadmin_project_number" collapse='formcoll' class="" maxlength=20
        add_icons_file="next_number" next_dialog_id="project"}
    {include file='r/select.tpl' name="projectadmin_project_category" title="projectadmin_project_category" list=$project_category_list id="id" text="name" collapse='formcoll' class=""}

    {include file='r/textarea.tpl' name="projectadmin_purpose" title="projectadmin_purpose" collapse='formcoll' class="t-mid"}
    {include file='r/file.tpl' name="projectadmin_photo_file" title="projectadmin_photo_file" collapse='formcoll' targettype="image" targetdata="project"}

    {include file='r/input.tpl' name="projectadmin_location" title="projectadmin_location" class="t-long" maxlength=255}

    {include file='r/date.tpl' name="projectadmin_start_date" title="projectadmin_start_date" collapse='formcoll' class="dateUS" 
        add_icons_file="basic_icon" add_icons_class="dialog_make_btn16 overtime smallbtns ui-corner-all" add_icons_title=$i.projectadmin_get_min_date add_icons_onclick="projectadmin.set_date_time_entry(this);"}
    {include file='r/date.tpl' name="projectadmin_end_date" title="projectadmin_end_date" collapse='formcoll' class="dateUS"
        add_icons_file="basic_icon" add_icons_class="dialog_make_btn16 overtime smallbtns ui-corner-all" add_icons_title=$i.projectadmin_get_max_date add_icons_onclick="projectadmin.set_date_time_entry(this);"}

    {if empty($project_manager_list)}
        <!-- Empty project_manager_list -->
    {else}
        {include file='r/select.tpl' name="projectadmin_project_manager" title="projectadmin_project_manager" 
            list=$project_manager_list id="id" text="staff_name" collapse='formcoll' class=""}
        {include file='r/select.tpl' name="projectadmin_division_manager" title=$trans_division_manager
            list=$project_division_list id="id" text="staff_name" collapse='formcoll' class=""}
    {/if}
    <hr />
    
    {if $project_office_in_charge_show}{$client_collapse='formcoll'}{else}{$client_collapse=''}{/if}
    {include file='r/ajaxselect.tpl' name='projectadmin_client' title="projectadmin_client" class="addressselect fulltext_search t-mid" collapse=$client_collapse}
    
    {if $project_office_in_charge_show}
        {include file='r/ajaxselect.tpl' name='projectadmin_office_in_charge' title="projectadmin_office_in_charge" class="addressselect fulltext_search t-mid" collapse='formcoll'}
    {/if}
    <hr />

    {include file='r/checkbox.tpl' name="projectadmin_is_add_to_indirect_costs" title="projectadmin_is_add_to_indirect_costs" collapse='formcoll' labelclass="label2"}
    {include file='r/checkbox.tpl' name="projectadmin_is_private_project" title="projectadmin_is_private_project" collapse='formcoll' labelclass="label2"}
</fieldset>
<fieldset class="noborder">
    {include file='r/checkbox_big.tpl' name="projectadmin_show_work_package_preset" title="projectadmin_show_work_package_preset" hide=true}
</fieldset>    
<fieldset class="borderbottom" id ="project_work_package_fieldset">
    {include file='r/select.tpl' title="projectadmin_work_package_record"
        name="projectadmin_work_package_preset" list=$tree_list id="id" text="tree_name" noempty=TRUE pstyle="vertical-align:top;"
        collapse='formcoll' class="required"
        filter_extra="onchange='projectadmin.get_tree_structure();'"}
    {include file='r/many.tpl' name="projectadmin_tree_structure" title="projectadmin_tree_structure" collapse='formcoll' readonly="true" ignore_viewonly=true}
</fieldset>
<fieldset class="borderbottom">
    {if empty($project_phase_list)}
        <!-- Empty project_phase_list -->
    {else}
        {include file='r/select.tpl' name="projectadmin_project_phase" title="projectadmin_project_phase" collapse='formcoll'
            list=$project_phase_list id="id" text="name"}
    {/if}

    {if $project_archive_show}
        {include file='r/select_add_edit_delete.tpl' name="projectadmin_project_archive" title="projectadmin_project_archive" 
            list=$project_archive_list id="id" text="name" add_edit_delete_section="projectadmin"
            collapse='formcoll'}
    {/if}
    {include file='r/date.tpl' name="projectadmin_safekeeping_period" title="projectadmin_safekeeping_period" collapse='formcoll'
        class="dateUS" labelclass="label2"}
</fieldset>
{if $has_mgmt_right}
    <fieldset class="noborder">
        <legend style="padding-bottom: 0;">{$i.offers_management_project_offers}/{$i.projectadmin_calcexp_level_of_completion}:</legend>
        {include file='r/input.tpl' name="projectadmin_default_extras" title="projectadmin_default_extras" 
            class="numberi18n t-small"}
        <hr style="width: 95%;" style="clear:both;" />
        {include file='r/input.tpl' name="projectadmin_default_discount" title="projectadmin_default_discount" 
            class="numberi18n t-small" collapse='formcoll'}
        {include file='r/input.tpl' name="projectadmin_default_discount_days" title="projectadmin_default_discount_days" 
            class="numberi18n digits t-small" collapse='formcoll'}
    </fieldset>
{/if}

{if count($flink2go_accounts)>=1}
    <fieldset class="borderbottom" style="background-color: rgba(229, 161, 0, 0.25);">
        <legend style="background: linear-gradient(to bottom, rgba(229, 161, 0, 0.7) 0%,rgba(229, 161, 0, 0.15) 50%,rgba(229, 161, 0, 0) 100%);">Doku Baustelle:</legend>
        {include file='r/select.tpl' name="projectadmin_flink2go_create" title="projectadmin_flink2go_create" labelclass="label2" list=$flink2go_accounts id="id" text="keyid"}
    </fieldset>
{/if}
{if count($realview_accounts)>=1}
    <fieldset class="borderbottom" style="background-color: rgba(229, 161, 0, 0.25);">
        <legend style="background: linear-gradient(to bottom, rgba(229, 161, 0, 0.7) 0%,rgba(229, 161, 0, 0.15) 50%,rgba(229, 161, 0, 0) 100%);">Realview:</legend>
        {include file='r/select.tpl' name="projectadmin_realview_create" title="projectadmin_realview_create" labelclass="label2" list=$realview_accounts id="id" text="keyid"}
    </fieldset>
{/if}
{if count($dokspace_urls)>=1}
    <fieldset class="borderbottom" style="background-color: rgba(229, 161, 0, 0.25);">
        <legend style="background: linear-gradient(to bottom, rgba(229, 161, 0, 0.7) 0%,rgba(229, 161, 0, 0.15) 50%,rgba(229, 161, 0, 0) 100%);">dokspace:</legend>
        {include file='r/select.tpl' name="projectadmin_dokspace_url_create" title="projectadmin_dokspace_url_create" labelclass="label2" list=$dokspace_urls id="id" text="keyid"}
    </fieldset>
{/if}

{include file='Basic/edit_popform_addi.tpl' edit_addi_list=$projectadmin_addi_list  
    edit_addi_section='projectadmin' edit_addi_target='project' edit_addi_collapse='formcoll'}

<fieldset class="bordertop">
    {include file='r/checkbox.tpl' name="projectadmin_ignore_required_purpose" title="<del>{$i.projectadmin_ignore_required_purpose}</del>" labelclass="label2"}
    <p><small>{$i.basic_deprecated} Bitte direkt beim Arbeitspaket definieren.</small></p>
</fieldset>