<fieldset class="borderbottom">
    {include file='r/hidden.tpl' name="project_offers_edit"}{* What entry do we edit - If empty = add *}
    {include file='r/hidden.tpl' name="project_offers_old_id"}{* On duplicate, it's the ID of the source offer *}
    {include file='r/select-project.tpl' name="project_offers_project" title="projectadmin_project" class="is_project required"
        list=$projects_list id="id" text="project"
        add_icons_file="project" filter_favourite_list=$projects_favourite_list
        filter_extra="onchange='offers_management.fee_allocation.load();'"}
    {include file='r/hidden.tpl' name="project_offers_portlet_desc"}
    {include file='r/hidden.tpl' name="project_offers_portlet_data"}
</fieldset>

{if $project_use_currency}
    <fieldset class="borderbottom">
        {include file='r/select.tpl' name='project_offers_currency_id' title="offers_management_currency" class="" labelclass="label2" collapse='formcoll'
            list=$currencies_list id="id" text="name" mapdata="exchange_rate"}
        {include file='r/input.tpl' name="project_offers_exchange_rate" title="projectadmin_exchange_rate" collapse='formcoll' 
            add_icons_file="currencies_online_update" online_update_currency="project_offers_currency_id" online_update_date="project_offers_date"
            class="required numberi18n" labelclass="label2"}
    </fieldset>
{/if}

<fieldset class="borderbottom">
    {include file='r/ajaxselect.tpl' name='project_offers_address' title="offers_management_address_name"
        add_icons_file="project_participants"
        filter_project_participants_project_field="project_offers_project"
        class="addressselect fulltext_search t-mid required"}

    {include file='r/input.tpl' name="project_offers_offer_no" title="offers_management_offer_no" collapse='formcoll' class="" maxlength=50}
    {include file='r/input.tpl' name="project_offers_title" title="offers_management_title" collapse='formcoll' class="t-mid" maxlength=80}
    
    {include file='r/textarea.tpl' name="project_offers_name" title="offers_management_name"  collapse='formcoll' class="t-mid" maxlength=1250}
    {include file='r/date.tpl' name="project_offers_date" title="offers_management_date" collapse='formcoll' class="dateUS"}
    {*For later implementation of TIME for Date*}
    {include file='r/hidden.tpl' name="project_offers_time"}
    
    {include file='r/select.tpl' name='project_offers_staff_id' title="offers_management_staff_name" class="" collapse='formcoll'
        list=$project_offers_staff_list id="id" text="staff_name"}    
    {include file='r/file.tpl' name="project_offers_file" title="offers_management_file" targettype="files" targetdata="project_offers_files" collapse='formcoll'}
</fieldset>

<fieldset class="borderbottom">
    <legend style="padding-bottom: 0;">{$i.offers_management_retention_title}</legend>
    {include file='r/radio.tpl' name="project_offers_retention_type" title="offers_management_retention_type" 
        list=$retention_type_list id="id" text="name"
        collapse='formcoll'}
    {include file='r/input.tpl' name="project_offers_retention_years" title="offers_management_retention_years" 
        class="numberi18n digits t-small" collapse='formcoll'
        add_icons_file='warning' past_span_text=$i.basic_years}
    {include file='r/input.tpl' name="project_offers_retention" title="offers_management_retention" 
        add_icons_file=warning_small past_span_text={$i.offers_management_retention_info} warningsmaller=true
        class="numberi18n t-small"}
</fieldset>

<fieldset class="borderbottom">
    {include file='r/select.tpl' name='project_offers_status' title="offers_management_status" class="required" collapse='formcoll'
    list=$project_offers_status_list id="id" text="name" noempty=TRUE}
    {include file='r/date.tpl' name="project_offers_valid_to_date" title="offers_management_valid_to_date" collapse='formcoll' class="dateUS"}

    {include file='r/checkbox.tpl' name="project_offers_estimation" title="offers_management_estimation" collapse='formcoll'}
    {include file='r/input_range.tpl' name="project_offers_order_probability" title="offers_management_order_probability" 
        default="0" min="0" max="100" step="10" collapse='formcoll'
        labelclass="label2" add_icons_file='warning' past_span_text='%'}  
</fieldset>

<fieldset class="borderbottom">
    {include file='r/input.tpl' name="project_offers_order_no" title="offers_management_order_no" collapse='formcoll' class="" maxlength=40}  
    {include file='r/date.tpl' name="project_offers_order_date" title="offers_management_order_date" collapse='formcoll' class="dateUS"}
    {include file='r/input.tpl' name="project_offers_vat_rate" title="offers_management_vat" collapse='formcoll' class="numberi18n calculator"}
</fieldset>

<div id="project_offers_budget_auto_calc" class="warningsmall ui-corner-all">{$i.offers_management_no_auto_calc}</div>

<fieldset class="noborder" style="margin-bottom: 0; padding-bottom: 1px;">
    {include file='r/radio.tpl' name="project_offers_extras_type" title="offers_management_extras_title" 
        list=$extras_type_list id="id" text="name" labelclass="label2" collapse='formcoll'
        filter_extra="onchange='offers_management.fee_allocation._onchange_amount_percentage(\"extras\");'"}
    {include file='r/radio.tpl' name="project_offers_rebate_type" title="offers_management_rebate_title" 
        list=$rebate_type_list id="id" text="name" labelclass="label2" collapse='formcoll'
        filter_extra="onchange='offers_management.fee_allocation._onchange_amount_percentage(\"rebate\");'"}
    {include file='r/radio.tpl' name="project_offers_calc_rebate_first" title="offers_management_calc_rebate_extras_title" 
        list=$calc_rebate_first_list id="id" text="name" labelclass="label2" vertical=true 
        filter_extra="onchange='offers_management.fee_allocation._update_table_fields();'"}
</fieldset>

<fieldset id="project_offers_fee_allocation" class="noborder" style="margin-top: 0; padding-top: 1px;">
</fieldset>