{include file='r_basic/head.tpl' title=$i.correspondence_sendmail helpicon_name="sendmail"}

{if $sendmail_mainerror!==false}
    <p class="errorbig" id="sendmail_mainerror">{$sendmail_mainerror}</p>
{/if}

<form action="" onsubmit="return false;" method="post" id="sendmail_form">
    <fieldset class="noborder noprint sepnext">
        {if $sendmail_mainerror===false}
            <a class="dialog_make_text_btn ui-corner-all" onclick="usComm.sendmail_do()">
                <span class="dialog_make_btn16 ok ui-corner-all"></span>
                {$i.correspondence_sendmail_do}
            </a>
            {*}
            <a class="dialog_make_text_btn ui-corner-all" onclick="usComm.sendmail_save_as_draft()">
                <span class="dialog_make_btn16 ok ui-corner-all"></span>
                {$i.correspondence_sendmail_save_as_draft}
            </a>
            {*}        
        {/if}
        <a class="dialog_make_text_btn ui-corner-all" onclick="window.close( );">{* The space has to be there to avoid problems with the reverse proxy. *}
            <span class="dialog_make_btn16 close ui-corner-all"></span>
            {$i.basic_close}
        </a>
    </fieldset>
    <fieldset class="borderbottom">
        {include file='r/hidden.tpl' name="sendmail_edit" default=$sendmail_id}{* What entry do we edit - If empty = add *}
        {include file='r/select.tpl' name="sendmail_send_account" title="correspondence_sendmail_send_account" class="required t-mid"
            list=$sendmail_accounts_list id="id" text="email" default=$sendmail_accounts_list_default mapdata="address_signature_id"}
        {include file='r/select.tpl' name="sendmail_signature" title='correspondence_sendmail_signature'
            list=$signature_list id="id" text="name" class="" noempty=TRUE
            default=$default_signature_id collapse='formcoll'}
    </fieldset>
    <fieldset class="borderbottom">
        {if $sendmail_has_right_outbox}
            {include file='r/checkbox.tpl' name="sendmail_save_to_outbox" title="correspondence_sendmail_save_to_outbox"
                default=true labelclass="label2" collapse='formcoll'}
            {include file='r/hidden.tpl' name="sendmail_outbox_project"}
            {include file='r/hidden.tpl' name="sendmail_outbox_work_package_name"}
            {include file='r/hidden.tpl' name="sendmail_outbox_dispatch_mode"}
            {include file='r/hidden.tpl' name="sendmail_outbox_use_no"}
            {include file='r/hidden.tpl' name="sendmail_outbox_no"}
            {include file='r/hidden.tpl' name="sendmail_outbox_outbox_index"}
            {include file='r/hidden.tpl' name="sendmail_outbox_security"}
        {/if}
            
        {include file='r/checkbox.tpl' name="sendmail_request_notification" title="correspondence_sendmail_request_notification"
            default=false labelclass="label2" collapse='formcoll' add_icons_file="help_icon" add_icons_file_link="send_e_mail"}

        {if count($oauth_clients) > 0 && !in_array(Sendmail_model::MODE_PERSONALIZED, $sendmail_flags_mode)}
            {include file='r/select.tpl' name="sendmail_share_attachments" title="correspondence_sendmail_share_attachments" labelclass="label2"
                        list=$oauth_clients id="id" text="name" default=FALSE filter_extra="onchange='sendmail.toggle_share_attachments(`$can_encrypt_zip`)'"}            
            {include file='r/hidden.tpl' name="sendmail_share_attachments_password"}      
        {/if} 
        
        {if in_array(Sendmail_model::MODE_COLLECTIVE_BILLS, $sendmail_flags_mode) ||  in_array(Sendmail_model::MODE_COLLECTIVE_OFFERS, $sendmail_flags_mode)}
            {include file='r/checkbox.tpl' name="sendmail_merge_collective" title="correspondence_sendmail_merge_collective"
                default=true labelclass="label2" collapse='formcoll'}
        {/if}
    </fieldset>
    <fieldset class="borderbottom">
        {if in_array('pers', $sendmail_flags_mode)}
            {include file='r/many.tpl' name="sendmail_to_id" title="correspondence_sendmail_to"
                add_method="sendmail.address_select.add_open"
                class="required" collapse='' readonly=true}                   
            <h4>{$i.correspondence_send_pers}</h4>
        {else}
            {include file='r/many.tpl' name="sendmail_to_id" title="correspondence_sendmail_to"
                add_method="sendmail.address_select.add_open"
                class="removeable required"}
            {include file='r/many.tpl' name="sendmail_cc_id" title="correspondence_sendmail_cc"
                add_method="sendmail.address_select.add_open"
                class="removeable"}
                
            {include file='r/many.tpl' name="sendmail_bcc_id" title="correspondence_sendmail_bcc"
                add_method="sendmail.address_select.add_open"
                class="removeable"}
            {/if}
    </fieldset>
    <fieldset class="noborder">
        {include file='r/input.tpl' name="sendmail_subject" title="correspondence_sendmail_subject"
            default=$sendmail_subject|escape:'html' class="required t-long"}
    </fieldset>
    
    {if $sendmail_related_type eq 'personalapp'}
        <fieldset class="noborder">
            {include file='r/checkbox.tpl' name="sendmail_add_ics" title="correspondence_sendmail_add_ics"
                default=$sendmail_add_ics labelclass="label2"}
        </fieldset>
    {/if}
    {if $sendmail_related_type eq 'correspondence'}
        <fieldset class="noborder">
            <h4>
                <label>
                    <span class="label1 labelext">{$i.correspondence_file_attach}: </span>
                </label>
                
                {if isset($sendmail_related_correspondence)}
                    <span class="likeinput">
                        <span class="form_viewonly">{$sendmail_related_correspondence}</span>
                    </span>
                {/if}
                
                <span class="dialog_make_btn14 is_yes_2d ui-corner-all" title="{$i.basic_yes}"></span>
                
                <a class="dialog_make_text_btn ui-corner-all" 
                   onclick="fullPopup.viewurl('{site_url url="/start/open/correspondence_actions/index/`$sendmail_xjxcookie`/`$sendmail_related_id`/print_pdf"}'); return false;"
                   title="{$i.correspondence_print} - ID:{$sendmail_related_id}">
                        <span class="dialog_make_btn16 pdf ui-corner-all"></span>
                        {$i.basic_preview}
                </a>
                
                {if in_array(Sendmail_model::MODE_COLLECTIVE_BILLS, $sendmail_flags_mode) ||  in_array(Sendmail_model::MODE_COLLECTIVE_OFFERS, $sendmail_flags_mode)}
                    <a class="dialog_make_text_btn ui-corner-all" 
                       onclick="fullPopup.viewurl('{site_url url="/start/open/correspondence_actions/index/`$sendmail_xjxcookie`/`$sendmail_related_id`/print_pdf_merged"}'); return false;"
                       title="{$i.correspondence_print} - ID:{$sendmail_related_id}">
                            <span class="dialog_make_btn16 pdf ui-corner-all"></span>
                            {$i.basic_preview} - 
                            {$i.correspondence_sendmail_merge_collective}
                    </a>
                {/if}
            </h4>
                
            {if isset($sendmail_related_attachments)}
                {include file='r/many.tpl' name="sendmail_related_correspondence_attachments" title="correspondence_corr_attachments"
                    default=$sendmail_related_attachments labelclass='label1 labelext'}
            {/if}
        </fieldset>
    {/if}
    
    <fieldset class="borderbottom">
        {include file='r/textarea.tpl' name="sendmail_message" title="correspondence_edit_body"
            default=$sendmail_message|escape:'html' class="t-long bigheight inittinymce mce_mode_email"}
        {include file='r/hidden.tpl' name="sendmail_message64"}
    </fieldset>
    <fieldset class="borderbottom sepnext">
        {include file='r/many.tpl' name="sendmail_attachments" title="correspondence_email_attachments"
            class="removeable" labelclass='label2'}
        {include file='r/file-only.tpl' name="sendmail_file_upload" targettype="sendmail_attachments" targetdata=$sendmail_id multiple=TRUE}
    </fieldset>
    <fieldset class="noborder noprint">
        {if $sendmail_mainerror===false}
            <a class="dialog_make_text_btn ui-corner-all" onclick="usComm.sendmail_do()">
                <span class="dialog_make_btn16 ok ui-corner-all"></span>
                {$i.correspondence_sendmail_do}
            </a>
        {/if}
        <a class="dialog_make_text_btn ui-corner-all" onclick="window.close();">
            <span class="dialog_make_btn16 close ui-corner-all"></span>
            {$i.basic_close}
        </a>
    </fieldset>
</form>
        
<div id='filter_sendmail_address_select' style='display:none'>
    {include file='r_forms/filter_main.tpl' basic_filter=$address_select_filter}
</div>