<div style="float: right;">
    {include file='r_icons/help_project_evaluation_fca.tpl'}
    <br />
    {$i.staffadmin_factsheet_history}
    <a href="https://webservices.untermstrich.com/h4/{$language_short}:team:sideboard:master_file" onclick="window.open(this.href); return false;"
        class="dialog_make_text_btn ui-corner-all">
          <span class="dialog_make_btn16 help"></span> {$i.staffadmin_factsheet}
    </a>
</div>
<form id="staffadmin_form_gross_hourly_wage"
    action=""  method="POST" enctype="multipart/form-data"
    onsubmit="staffadmin.gross_hourly_wage.save(); return false;">

    <table id="gross_hourly_wage_list">
        <thead>
            <tr>
                <th class="noprint">
                    <span class="dialog_make_btn16 add_up smallbtns ui-corner-all"
                        onclick="staffadmin.gross_hourly_wage.add(false);"
                        title="&#8593; {$i.basic_add} &#8593;"></span>
                </th>
                <th scope="col">{$i.basic_from}</th>
                <th scope="col">{$i.basic_to}</th>
                <th scope="col">{$i.staffadmin_gross_hourly_wage}</th>
                <th scope="col">
                    {$i.staffadmin_description}
                    {include file="r_basic/print.tpl" print_btn_extra='style="float:right;"'}
                </th>
            </tr>
        </thead>
        <tbody>
        {foreach from=$gross_hourly_wages item="item" name="gross_hourly_wages"}
            {$row_unique_id = null}
            {if isset($item->id)}
                {$row_unique_id=$item->id}
            {/if}
            <tr>
                <td class="noprint">
                    <span class="dialog_make_btn16 delete smallbtns ui-corner-all"
                        onclick="staffadmin.gross_hourly_wage.delete_entry(this);"
                        title="{$i.basic_delete}"></span>
                </td>
                <td>
                    {include file='r/date-only.tpl' name="staffadmin_gross_hourly_wage_from[]" class="required dateUS" default=$item->from_date->us_date()
                        row_unique_id=$row_unique_id
                        filter_extra="onchange=\"staffadmin.gross_hourly_wage.dates_changed();\""}
                </td>
                <td>
                    {include file='r/input-only.tpl' name="staffadmin_gross_hourly_wage_to[]" class="t-small" readonly="true" default=$item->to_date->us_date()
                        row_unique_id=$row_unique_id}
                </td>
                <td>
                    {include file='r/input-only.tpl' name="staffadmin_gross_hourly_wage_ghw[]" class="required t-small" default=float_to_usnumber($item->gross_hourly_wage)}
                </td>
                <td>
                    {include file='r/input-only.tpl' name="staffadmin_gross_hourly_wage_description[]" class="t-long" default=$item->description}
                </td>
            </tr>
        {/foreach}
        </tbody>
        <tfoot>
            <tr>
                <th class="noprint">
                    <span class="dialog_make_btn16 add_down smallbtns ui-corner-all"
                        onclick="staffadmin.gross_hourly_wage.add(true);"
                        title="&#8595; {$i.basic_add} &#8595;"></span>
                </th>
                <th colspan="4"></th>
            </tr>
        </tfoot>
    </table>
    <input type="submit" style="display:none;visibility:hidden;" />

    <p>
        <a class="dialog_make_text_btn ui-corner-all" onclick="staffadmin.gross_hourly_wage.save();">
            <span class="dialog_make_btn16 ok ui-corner-all"></span>
            {$i.basic_save}
        </a>
        <span class="info ui-corner-all" id="staffadmin_gross_hourly_info"></span>
    </p>
</form>