{include file='r_basic/head.tpl' title="`$i.basic_sysinfo`" helpicon_name="sysinfo" helpicon_color="blue"}

<div class="story">
    <style scoped>
        .infoleftblock, .inforightblock {
            width: 48%; display: inline-block; vertical-align: top; min-width: 400px;
        }
        .infoleftblock {
             padding-right: 3%;
        }
        @media (min-width: 1200px) {
            .infoleftblock>.info75, .inforightblock>.info75 {
                min-height: 75px;
            }
            .infoleftblock>.info112, .inforightblock>.info112 {
                min-height: 112px;
            }
            .infoleftblock>.info200, .inforightblock>.info200 {
                min-height: 200px;
            }
            .infoleftblock>.info300, .inforightblock>.info300 {
                min-height: 300px;
            }
        }
    </style>
    
    <div class="topbtns">
        <a href="javascript:usComm.filemanager.open_teamviewer('{$actioncode_teamviewer}')" class="connectteamviewer dialog_make_text_btn ui-corner-all"><span>ONLINE VIEWER</span></a>
        <a href="mailto:{$supportmail_to}?body={$supportmail_body}" class="email dialog_make_text_btn ui-corner-all"><span>{$i.basic_send_supportmail}</span></a>
        <a href="javascript:usComm.cleanCache();" class="dialog_make_text_btn ui-corner-all"><span>{$i.basic_cache_empty}</span></a>
        <a href="javascript:usComm.cleanTemp();" class="dialog_make_text_btn ui-corner-all"><span>{$i.basic_temp_empty}</span></a>
        <a href="javascript:us_localStorage.clear();" class="dialog_make_text_btn ui-corner-all"><span>{$i.basic_local_storage_empty}</span></a>
        {if $us_rights_mode<3}
            <a href="javascript:usComm.cleanDrawings_autopath_log();" class="dialog_make_text_btn ui-corner-all"><span>{$i.basic_clean_drawings_autopath_log}</span></a>
        {/if}
        
        <a href="{site_url url="/start/open/output/qr/`$xjxcookie`/url/site"}" class="dialog_make_text_btn ui-corner-all"
            onclick="window.open(this.href, 'qr_site_url', 'width=800,height=600,dependent=yes,location=no,menubar=no,resizable=yes,status=no,toolbar=no'); return false;">
            <span class="dialog_make_btn16 qr smallbtns ui-corner-all"></span> QR-Code
        </a>
    </div>
    
    {include file='Sysinfo/info.tpl'}
    
    <div class="inforightblock">
        <h3>Javascript</h3>
        <div class="infoblock ui-corner-all">
            <p>
                jQuery: <span id="sys_js_jqery_version"></span>
            </p>
            <p>
                Browser: <span id="sys_js_browser_version"></span>
            </p>
        </div>
    </div>

    {if $us_rights_mode<3}
        <h3>PHP</h3>
        <div style="padding-right: 3%;">
            {include file='Sysinfo/phpinfo.tpl' force_view=false}
        </div>
    {/if}
</div>