{function name=get_html_alternative}
    <tr>
        <td style="vertical-align: top;">{$param_name}</td>
        
        {assign var="old" value="old_`$param`"}
        {assign var="new" value="new_`$param`"}
        {if $stat->$old != $stat->$new}
            {$font_weight_old = 'normal'}
            {$font_weight_new = 'bold'}
        {else}
            {$font_weight_old = 'bold'}
            {$font_weight_new = 'normal'}
        {/if}
        
        {if $param === 'pass'}
            {$my_old = '****'}
            {$my_new = '****'}
        {else}
            {$my_old = $stat->$old}
            {$my_new = $stat->$new}
        {/if}
        <td style="vertical-align: top; font-weight: {$font_weight_old}">{$my_old}</td>
        <td style="vertical-align: top; font-weight: {$font_weight_new}">{$my_new}</td>
    </tr> 
{/function}
{function name=get_html}
    {if $stat === true}
        {$i.email_connection_ok}
    {elseif $stat === false}
        {$i.email_no_connection_desired}
    {elseif is_string($stat)}
        {nl2br($stat)}
    {elseif $stat instanceof StdClass}
        <table style="width:100%">
            <thead>
            <tr>
                <th>&nbsp;</th>
                <th>{$i.email_alternative_orig}</th>
                <th>{$i.email_alternative_alt}</th>
            </tr>
            </thead>
            <tbody>
            {get_html_alternative param_name=$i.useroptions_email_host param='host'}
            {get_html_alternative param_name=$i.useroptions_email_mode param='mode'}
            {get_html_alternative param_name=$i.useroptions_email_port param='port'}
            {get_html_alternative param_name=$i.useroptions_email_user param='user'}
            {get_html_alternative param_name=$i.useroptions_email_pass param='pass'}
            {get_html_alternative param_name=$i.useroptions_email_service_flags param='service_flags'}
            </tbody>
        </table>   
    {/if}
{/function}

{if $stat_smtp instanceof stdClass || $stat_imap instanceof stdClass}
    <h4 style='margin-bottom: 10px'>
        {nl2br($i.email_alternative_found)}
    </h4>
{/if}

<table style="width:100%; font-weight: normal">
    <thead>
    <tr>
        <th style="width:50%">SMTP</th>
        <th style="width:50%">IMAP</th>
    </tr>
    </thead>
    <tbody>
    <tr>
        <td style="vertical-align: top; width:50%">{get_html stat=$stat_smtp}</td>
        <td style="vertical-align: top; width:50%">{get_html stat=$stat_imap}</td>
    </tr>    
    </tbody>
</table> 