<fieldset class="borderbottom">
    <div class="warningsmall ui-corner-all" style="margin: 5px 0 10px 0">
        {$i.useroptions_email_ask_help1} <br />
        {$i.useroptions_email_ask_help2}: 
        <a href="https://webservices.untermstrich.com/h4/{$language_short}:user:start#e-mail" onclick="window.open(this.href); return false;" class="dialog_make_text_btn ui-corner-all">
            <span class="dialog_make_btn16 help"></span>
            {$i.basic_help}
        </a>
    </div>

    {include file='r/hidden.tpl' name="email_accounts_edit" default=""}
    {include file='r/input.tpl' name="email_accounts_email" title="useroptions_email_email" default="" type="email" maxlength=255 class="t-mid required"
        add_icons_file="basic_icon" add_icons_onclick="user_options_email.get_autoconfig_do($('#email_accounts_email').val());" add_icons_class="dialog_make_btn16 email" add_icons_title=$i.useroptions_email_autoconfig_search}
    
    <div>
    {include file='r/select.tpl' name="email_accounts_owner_id" title='useroptions_email_owner'
        list=$staff_list id="id" text="staff_name" class=""
        filter_extra="onchange=\"user_options_email.on_change_owner();\""
        default='' collapse='formcoll'}
    {include file='r/select.tpl' name="email_accounts_address_signature_id" title='useroptions_email_signature'
        list=$signature_list id="id" text="name" class="" noempty=TRUE
        default='' collapse='formcoll'}
    </div>    
        
    {include file='r/radio.tpl' name="email_accounts_auth_mode" title="useroptions_email_auth_mode"
        list=$email_accounts_auth_modes id="id" text="title"
        filter_extra="onchange=\"user_options_email.switch_auth_mode();\""
        default='' collapse='formcoll'}
        
    {include file='r/checkbox.tpl' name="email_accounts_show_tech_details" title="useroptions_email_show_tech_details" labelclass="label2" checknobrk=true
        filter_extra="onchange=\"user_options_email.switch_tech_details();\""
        collapse='formcoll'}
</fieldset>
<fieldset class="borderbottom sepnext" id="email_accounts_oauth_details" style="display:none;">
    {include file='r/select.tpl' name="email_accounts_oauth_account" title="useroptions_email_oauth_account"
        list=$email_accounts_oauths id="id" text="name"
        add_icons_file="oauth_login"}
    {if !isset($all_oauth_token_staff) || $all_oauth_token_staff === true}    
        {include file='r/select.tpl' name="email_accounts_oauth_token_staff_id" title='useroptions_email_oauth_token_staff_id'
            list=$staff_list id="id" text="staff_name"
            filter_extra="onchange=\"user_options_email.on_change_oauth_token_staff_id();\""
            default='' collapse='formcoll'}    
    {/if}        
</fieldset>
<fieldset class="borderbottom sepnext ui-corner-all" style="background-color: rgba(0, 255, 0, 0.03);">
    <legend style="background-color: rgba(0, 255, 0, 0.06);" class="ui-corner-all">{$i.useroptions_email_smtp_outbox}</legend>
    {include file='r/hidden.tpl' name="email_accounts_smtp_type" default="smtp"}
    {include file='r/input.tpl' name="email_accounts_smtp_host" title="useroptions_email_host" default="" maxlength=255 class="t-long"}
    
    {include file='r/select.tpl' name="email_accounts_smtp_mode" title='useroptions_email_mode'
        list=$user_options_email_smtp_modes id="key" text="item" noempty=true class="required"
        default='tls' collapse='formcoll' filter_extra="onchange=\"user_options_email.switch_mode(this);\""}
    {include file='r/input.tpl' name="email_accounts_smtp_port" title="useroptions_email_port" default="" class="numberi18n digits t-small required" collapse='formcoll'}
    
    {include file='r/input.tpl' name="email_accounts_smtp_user" title="useroptions_email_user" default="" maxlength=100 class="t-mid" collapse='formcoll'
        filter_extra="onchange=\"user_options_email.set_imap_user(this);\""}
    {include file='r/input.tpl' name="email_accounts_smtp_pass" title="useroptions_email_pass" default="" type="password" maxlength=100 class="t-mid" collapse='formcoll'
        filter_extra="onchange=\"user_options_email.set_imap_pass(this);\""}
    
    {if $ldap_auth_active}
    <div>
    {include file='r/select.tpl' name="email_accounts_smtp_ldap_auth_staff_id" title='useroptions_email_ldap_auth_staff'
        list=$staff_list id="id" text="staff_name" class="" labelclass="label2"
        default='' collapse='formcoll'
        filter_extra="onchange=\"if(parseInt($('#email_accounts_imap_ldap_auth_staff_id').val(),10) > 0) return; $('#email_accounts_imap_ldap_auth_staff_id').val($(this).val());\""}
    </div>
    {/if}
    
    <div class="email_accounts_tech_detail" style="display:none;">
        {include file='r/input.tpl' name="email_accounts_smtp_service_flags" title="useroptions_email_service_flags" default="" maxlength=254 class="t-mid"}
    </div>
</fieldset>
<fieldset class="borderbottom ui-corner-top" style="background-color: rgba(255, 0, 0, 0.03);">
    <legend style="background-color: rgba(255, 0, 0, 0.06);" class="ui-corner-all">{$i.useroptions_email_imap_inbox}</legend>
    {include file='r/hidden.tpl' name="email_accounts_imap_type" default="imap"}
    {include file='r/input.tpl' name="email_accounts_imap_host" title="useroptions_email_host" default="" maxlength=255 class="t-long"}
    
    {include file='r/select.tpl' name="email_accounts_imap_mode" title='useroptions_email_mode'
        list=$user_options_email_imap_modes id="key" text="item" noempty=true class="required"
        default='tls' collapse='formcoll' filter_extra="onchange=\"user_options_email.switch_mode(this);\""}
    {include file='r/input.tpl' name="email_accounts_imap_port" title="useroptions_email_port" default="" class="numberi18n digits t-small required" collapse='formcoll'}
    
    <div class="email_accounts_tech_detail" style="display:none;">
        {include file='r/input.tpl' name="email_accounts_imap_user" title="useroptions_email_user" default="" maxlength=100 class="t-mid" collapse='formcoll'}
        {include file='r/input.tpl' name="email_accounts_imap_pass" title="useroptions_email_pass" default="" type="password" maxlength=100 class="t-mid" collapse='formcoll'}
    </div>
      
    {if $ldap_auth_active}
    <div class="email_accounts_tech_detail" style="display:none;">
    {include file='r/select.tpl' name="email_accounts_imap_ldap_auth_staff_id" title='useroptions_email_ldap_auth_staff'
        list=$staff_list id="id" text="staff_name" class="" labelclass="label2"
        default='' collapse='formcoll'}
    </div>
    {/if}
    
    <div class="email_accounts_tech_detail" style="display:none;">
        {include file='r/input.tpl' name="email_accounts_imap_service_flags" title="useroptions_email_service_flags" default="" maxlength=254 class="t-mid"}
    </div>
</fieldset>
<fieldset class="email_accounts_tech_detail noborder" style="background-color: rgba(255, 0, 0, 0.03); display:none;">
    {include file='r/input.tpl' name="email_accounts_imap_mailbox" title="useroptions_email_imap_mailbox" 
        default="" maxlength=100 class="t-mid" collapse='formcoll' add_icons_file="email_mbox_input_email_account"}
    {include file='r/checkbox.tpl' name="email_accounts_import_eml_later" title="useroptions_email_import_eml_later" checknobrk=true
        labelclass="label2"  collapse='formcoll' default=false}          
</fieldset>
<fieldset class="email_accounts_tech_detail noborder" style="background-color: rgba(255, 0, 0, 0.03); display:none;">
    {include file='r/input.tpl' name="email_accounts_imap_mailbox_out" title="useroptions_email_imap_mailbox_out" 
        default="" maxlength=100 class="t-mid" collapse='formcoll' add_icons_file="email_mbox_input_email_account"}
    {include file='r/checkbox.tpl' name="email_accounts_imap_save_sent" title="useroptions_email_save_sent" labelclass="label2"  collapse='formcoll' checknobrk=true
        default=false}
</fieldset>
<fieldset class="email_accounts_tech_detail noborder" style="background-color: rgba(255, 0, 0, 0.03); display:none;">
    {include file='r/input.tpl' name="email_accounts_imap_mailbox_trash" title="useroptions_email_imap_mailbox_trash" 
        default="" maxlength=100 class="t-mid" collapse='formcoll' add_icons_file="email_mbox_input_email_account"}
    {include file='r/checkbox.tpl' name="email_accounts_auto_expunge" title="useroptions_email_auto_expunge" labelclass="label2"  collapse='formcoll' checknobrk=true
        default=false add_icons_file="help_icon" add_icons_file_link="mail:emailalloc:functions:expunge"}       
</fieldset>
<fieldset class="borderbottom ui-corner-top" style="background-color: rgba(0, 0, 255, 0.03);">
    <legend style="background-color: rgba(0, 0, 255, 0.06);" class="ui-corner-all">{$i.useroptions_email_staff_rights}</legend>
    {include file='r/many.tpl' name="email_accounts_stafflist" title=""
    add_method="user_options_email.stafflist.add_open" collapse='formcoll'
    class="removeable"}
</fieldset>
<fieldset id="email_accounts_reset_cache" class="email_accounts_tech_detail noborder" style="background-color: rgba(255, 0, 0, 0.03); display:none;">
    <a href="javascript:user_options_email.reset_cache();" class="dialog_make_text_btn ui-corner-all">
        <span class="dialog_make_btn16 delete"></span>
        {$i.useroptions_reset_cache}
    </a>  
</fieldset>
<fieldset class="noborder ui-corner-bottom noborder ui-corner-bottom" style="background-color: rgba(255, 0, 0, 0.03);">
    <a href="https://webservices.untermstrich.com/h4/{$language_short}:faq:outlook_sent_save" onclick="window.open(this.href); return false;" class="dialog_make_text_btn ui-corner-all">
        <span class="dialog_make_btn16 help"></span>
        Microsoft Outlook - Gesendete Objekte am Server speichern
    </a>
</fieldset>

