{strip}
{if $agent_is_mobile}
    {$theme_font_size = $theme->font_size_mobile}
{else}
    {$theme_font_size = $theme->font_size}
{/if}
*, #footerleftblock, #footermidblock, #footerrightblock, .jstree li a, 
#toprightblock form, #toprightblock label *, #toprightblock span.form_viewonly {
    font-family: {$theme->font};
    color: {$theme->colour_font};
}

p, pre, li, div, span, input, select, optgroup, option, textarea, button, label, td, th, .jstree li a, 
.editablepop.oneline td::first-line, .editablepop.oneline td div::first-line {
    {if $agent_is_mobile}
        font-size: {$theme->font_size_mobile*1.05}pt;
    {else}
        font-size: {$theme->font_size*1.02}pt;
    {/if}
}
#midblock .fc-event-time, #midblock .fc-event-title, #midblock .fc-event-time *, #midblock .fc-event-title * {
    {if $agent_is_mobile}
        font-size: {$theme->font_size_mobile*1.07}pt;
    {else}
        font-size: {$theme->font_size*1.03}pt;
    {/if}
}
@media screen and (max-device-width : 950px)  {
    p, pre, li, div, span, button, td, th, .jstree li a, .editablepop.oneline td::first-line {
        font-size: {$theme->font_size_mobile*1.3}pt;
    }
    input, select, optgroup, option, textarea, label, label span, span.form_viewonly, .dialog_make_text_btn, .ui-tabs-nav li a span {
        font-size: {$theme->font_size_mobile*1.5}pt;
    }
    .dialog_make_text_btn .dialog_make_btn16 {
        height: {$theme->font_size_mobile*1.5}pt;
    }
}
{if $theme_font_size>=14}
    .dialog_make_btn16, .jstree-icon, .dialog_make_text_btn .dialog_make_btn16 {
        height: 24px;
        width: 24px;
        min-height: 24px;
        min-width: 24px;
        background-size: 24px 24px;
    }
    ul.functionmenu span.ui-widget-header {
        background-size: 24px 24px;
    }
    ul.functionmenu ul span, ul.functionmenu ul a {
        padding-left: 40px;
        font-size: 0.9em;
    }
    ul.functionmenu {
        margin-left: 16px;
    }
    .dialog_make_btn24.dot3ps {
        height: 30px;
        width: 30px;
        background-size: 30px 30px;
    }
    .dialog_make_btn24.dot3pl {
        transform: scale(1.6);
        margin-left: 10px;
    }
    #midblock div.dot3-container span, #midblock div.dot3-container a {
        min-height: 24px;
        vertical-align: middle;
    }
    .dialog_make_btn24.add {
        height: 32px;
        width: 32px;
        background-size: 32px 32px;
    }
    form.editablepopform .menu .menu-btn, div.editablepopform .menu .menu-btn, form.editablepopform .menu .dialog_make_btn16, div.editablepopform .menu .dialog_make_btn16 {
        width: 30px;
        height: 30px;
        background-size: 30px 30px;
    }
{elseif $theme_font_size>=12}
    .dialog_make_btn16, .jstree-icon, .dialog_make_text_btn .dialog_make_btn16 {
        height: 20px;
        width: 20px;
        min-height: 20px;
        min-width: 20px;
        background-size: 20px 20px;
    }
    ul.functionmenu span.ui-widget-header {
        background-size: 20px 20px;
    }
    ul.functionmenu ul span, ul.functionmenu ul a {
        padding-left: 35px;
        font-size: 0.8em;
    }
    ul.functionmenu {
        margin-left: 8px;
    }
    .dialog_make_btn24.dot3pl {
        transform: scale(1.1);
        margin-left: 5px;
    }
    .dialog_make_btn24.dot3ps, .dialog_make_btn24.dot3pl {
        height: 24px;
        width: 24px;
    }
{/if}
{if $theme_font_size>=12}
    #midblock .searchform h2 > span, #midblock #masterdatamanagement_content h2 > span, #midblock .searchform h2 > select {
        font-size: 0.9em;
    }
    #midblock div.dot3-container span::first-letter, #midblock div.dot3-container a::first-letter {
        margin-left: 0;
    }
    div.multitopbtns div.portlet a {
        width: calc(100% - 0.4em);
        min-height: 1.6em;
        max-width: none;
        min-width: 160px;
        margin-left: 0;
        margin-right: 0;
    }
    #portlet_tabs .ui-icon-closethickgr, .ui-widget-header span.ui-icon-minusthick {
        width: 1em;
        height: 1em;
        background-size: 1em 1em;
        background-position: 0 0;
        margin: 1px;
    }
{/if}

{if $theme->mode_border >= 1}
    #topblock {
        background: linear-gradient(to bottom, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 60%, {$theme->colour_side} 100%);
    }
    #midblock {
        border-radius: 15px;
    }
    #mainblock .story .infoblock {
        background-color: {$theme->colour_content};
    }
{else}
    #midblock {
        border-radius: 4px;
    }
    #mainblock .story .infoblock {
        background-color: {$theme->colour_ledger};
    }
{/if}

html, body, #rightblock, #rightblock-example, #midblock, #footerblock, #footerleftblock, #footermidblock, #footerrightblock {
    background-color: {$theme->colour_side};
}
.searchform label.forsearchmore::before, .searchform label.forsearchmore::after {
    background-image: linear-gradient(to bottom, {$theme->colour_side} 0%,{$theme->colour_border} 31%,{$theme->colour_side} 66%,rgba(254,254,254,0.1) 100%);
}

.editablepop tr.infobluerow td:not(.group_by), #inforight tr.infobluerow td, #inforight tr.infobluerow p, #blue-example, ul.ui-autocomplete li.ui-menu-item a.infobluerow, li.infobluerow {
    color: {$theme->colour_blue};
}
.editablepop tr.inforedrow td:not(.group_by), #inforight tr.inforedrow td, #inforight tr.inforedrow p, #red-example, li.ui-menu-item a.inforedrow,
    #portlet_tabs  tr.inforedrow td, .editablepop  td.inforedrow, #work_input_set_form p.inforedrow span.form_viewonly,
    .editablepopform  span.inforedrow, li.inforedrow {
    color: {$theme->colour_red};
}
input[type="checkbox"], input[type="radio"], #mainblock input[type="checkbox"], #mainblock input[type="radio"] {
    background-color: {$theme->colour_bg};
}
.editablepop tr td {
    {*IMPORTANT for correct colors when selecting a selectable odd row*}
    background-color: {$theme->colour_content};
}
#masterdatamanagement_content {
    background-color: {$theme->colour_content};
    border-radius: 4px;
    padding: 8px;
}
.ui-dialog, #dialog-example, .ui-datepicker, .ui-slider-handle, .editablepop tr.even td, .ui-dialog .searchform h2 {
    background-color: {$theme->colour_dialog};
}
.ui-widget-header, #ledger-example, .editablepop tr:hover td,
ul.blockelement-menu li a:hover, ul.blockelement-menu li a:hover span,
h2.blockelement-menu a:hover, h2.blockelement-menu a:hover span, .ui-dialog tr.even td,
span.o2k7Skin td.mceToolbar, span.o2k7Skin td.mceStatusbar, span.o2k7Skin .mceMenuItemTitle a,
ul.functionmenu li span:hover, ul.functionmenu li a:hover, #midblock .fc-grid .fc-day-number,
#toprightblock .topright_shrink_menu:hover {
    background-color: {$theme->colour_ledger};
}
#midblock div.dot3-container {
    background-color: {$theme->colour_bg};
}
#midblock div.dot3-caret-inner {
    border-bottom-color: {$theme->colour_bg};
}
{if $theme->mode_border <= 1}.portlet, .searchform, .formblock, .ui-dialog, {/if}
.ui-widget-header, #ledger-example,
.ui-tabs, .ui-report,
.elementblock, fieldset.borderbottom, fieldset.bordertop, section.bordertop,
.editablepop, .editablepop td, .editablepop th,
span.o2k7Skin .mceExternalToolbar, span.o2k7Skin .mceListBox .mceText, span.o2k7Skin div.mceMenu, span.o2k7Skin table.mceLayout, span.o2k7Skin .mceMenuItemTitle a, 
span.o2k7Skin table.mceLayout tr.mceFirst td, span.o2k7Skin table.mceLayout, span.o2k7Skin .mceMenuItemTitle a, span.o2k7Skin table.mceLayout tr.mceLast td, 
span.o2k7Skin .mceIframeContainer, .ui-datepicker, .ui-slider-horizontal,
#rightblock:hover, .smallbtns:hover,
input[type="checkbox"], input[type="radio"] {
    border-color: {$theme->colour_border};
}
.editablepopdiv thead th {
    {if $theme->mode_border <= 1}
        outline: 1px solid {$theme->colour_border};
    {else}
        outline: 1px solid {$theme->colour_dialog};
    {/if}
}
#searchformright, #searchformright_result, .rightblockcontent-element, .leftblockcontent-element {
    border-bottom-color: {$theme->colour_border};
}
{if $theme->mode_border <= 1}#midblock, .editablepopdiv thead th,{/if}
#midblock .searchform h2, #midblock .formblock h2, #midblock object, #midblock iframe, #midblock legend, .dialog_make_text_btn {
    background-color: {$theme->colour_content};
}
#midblock .searchform h2, #midblock .formblock h2, input[type="checkbox"]:checked::after, input[type="radio"]:checked::after {
    color: {$theme->colour_font};
}
#calendar_state70-example, .calendar_state70 {
    background-color: {$theme->calendar_state70};
}
#calendar_state60-example, .calendar_state60 {
    background-color: {$theme->calendar_state60};
}
#calendar_state50-example, .calendar_state50 {
    background-color: {$theme->calendar_state50};
}
#calendar_state40-example, .calendar_state40 {
    background-color: {$theme->calendar_state40};
}
#calendar_state30-example, .calendar_state30 {
    background-color: {$theme->calendar_state30};
}
#calendar_other-example, .calendar_other {
    background-color: {$theme->calendar_other};
}

input, select, textarea, p span.form_viewonly, td span.form_viewonly, th span.form_viewonly {
    border: 1px solid {$theme->colour_border};
    border-radius: 4px;
    margin-right: 2px;
    padding-left: 4px;
    padding-right: 4px;
}
select {
    padding-right: 24px;
}

.noclickmain, .noclickmainright, .ui-widget-overlay {
    background-image: none;
    background-color: {$theme->colour_dialog};
    opacity: {$theme->bg_opacity/100};
}
#rightblock .noclickmain, .noclickmainright {
    opacity: {$theme->bg_opacity_right/100};
}
.ui-widget-overlay {
    opacity: {$theme->bg_opacity_right/100};
}
.ui-dialog, #dialog-example, ul.functionmenu>li:hover {
    box-shadow: 0 0 10px 10px {$theme->colour_ledger};
}

{* Stunden *}
#midblock tr.other_rows {
    background-color: {$theme->colour_content};
}

.connectfilemanager iframe {
    box-shadow: 0px 0px 5px 1px {$theme->colour_ledger};
}
@media screen and (min-width : 1200px)  {
    #midblock, #footerblock, #wrap #butlerbasis.right-widget-admin {
        margin-right: {$theme->rightblock_width}vw;
        transition: ease-out 0.25s;
    }

    #rightblock, #wrap #butlerbasis {
        width: {$theme->rightblock_width}vw;
        transition: ease-out 0.25s;
    }
    #wrap #butlerbasis.right-widget-admin {
        max-width: 400px;
    }
}
{if $theme->font_smoothing}
    body {
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
    }
{/if}

.portlet {
    background-color: {$theme->colour_content};
}
{if $theme->mode_border >= 3}
    .editablepop tr.even td {
        background-color: {$theme->colour_ledger};
    }
{/if}
{if $theme->mode_border >= 2}
    .portlet, .searchform, .searchformresult, .formblock {
        border: 0 none;
        background-color: {$theme->colour_content};
        border-radius: 4px;
    }
    #midblock .searchform h2 {
        background-color: {$theme->colour_side};
    }
    .ui-datepicker-header  {
        border: 0 none;
        border-radius: 4px 4px 0 0;
    }
    .searchformresult {
        padding: 10px 8px;
    }
    table.editablepop {
        background-color: {$theme->colour_content};
    }
    fieldset {
        background-color: rgba(255,255,255,0.6);
        margin-top: 10px;
        margin-bottom: 20px;
        border-radius: 0;
        padding-bottom: 7px;
        padding-top: 7px;
    }
    fieldset.borderbottom {
        border-style: inset;
    }
    fieldset.blockhalf.leftblock {
        border: 0 none;
    }
    fieldset.borderonly, span.preview  {
        border: 1px solid {$theme->colour_bg};
    }
    .ui-dialog {
        border-width: 3px;
        border-color: {$theme->colour_dialog};
    }
    .searchform, .formblock  {
        border-radius: 4px;
    }
    .editablepop, .editablepop td, .editablepop th, .portlet-content table.dashed, .portlet-content table.dashed th, .portlet-content table.dashed td {
        border-color: {$theme->colour_dialog};
        border-style: solid;
    }
    .portlet-content table.dashed td {
        border-width: 2px;
    }
    .portlet-content table.dashed th {
        border-width: 4px;
    }
    .portlet-content table.dashed, .portlet-content table.dashed th, .portlet-content table.dashed td {
        border-style: solid;
    }
    .editablepopdiv thead th {
        background-color: {$theme->colour_bg};
    }
    label .label1, label .label2, label .label3, label .label4 {
        opacity: 0.8;
    }
    fieldset.borderbottom legend, fieldset.bordertop legend, fieldset.noborder legend, fieldset.distance legend, fieldset.blockhalf legend {
        padding: 5px 10px;
        border-radius: 4px;
    }
    #inforight table tr td, #inforight table tr th, .ui-dialog td, .ui-dialog th {
        border: 1px solid rgba(68, 68, 68, 0.1);
    }
    .dialog_make_text_btn, div.add_portlet {
        border: 1px solid {$theme->colour_border};
    }
    .ui-tabs, .ui-report {
        border: 3px solid {$theme->colour_bg};
    }
    #rightblockcontent {
        margin-left: 3px;
        margin-right: 3px;
    }
    #inforight {
        left: 7px;
        right: 7px;
    }
    span.many p {
        border-bottom: 1px dashed {$theme->colour_bg};
    }
    form hr, fieldset hr, hr.dashedstyle, .fc-content .fc-state-default {
        border-top: 1px solid {$theme->colour_border};
    }
{else}
    {if $theme->mode_border <= -1}
        .dialog_make_btn14, .dialog_make_btn16, .dialog_make_btn24, .dialog_make_btn32, .module_icon,
        .ui-icon-closethickgr, .ui-icon-closethick, .ui-datepicker-prev, .ui-datepicker-next,
        .searchform label.forsearchmore::before, .searchform label.forsearchmore::after {
            -webkit-filter: invert(100%) brightness(1000%);
            filter: invert(100%) brightness(1000%);
        }
        .dialog_make_btn14.delete{
            -webkit-filter: invert(0%) brightness(100%);
            filter: invert(0%) brightness(100%);
        }
        .dialog_make_text_btn {
            border-color: rgba(230, 230, 230, 0.2);
        }
        * {
            --box-shadow-color: #FFFFFF;
        }
        input[type="checkbox"]:checked::after, input[type="radio"]:checked::after {
            text-shadow: 1px 1px 1px rgba(255, 255, 255, .2);
        }
        #midblock h1.header1, #midblock h1.header2, #midblock h1.header3, #midblock h1.header4, #midblock h1.header5 {
            color: #FFFFFF;
            opacity: 0.95;
        }

        #mainblock input[disabled], #mainblock select[disabled], #mainblock textarea[disabled], #mainblock input[readonly], #mainblock textarea[readonly],
        #mainblock input.required[disabled], #mainblock select.required[disabled], #mainblock textarea.required[disabled], #mainblock input.required[readonly], #mainblock textarea.required[readonly],
        .ui-dialog input[disabled], .ui-dialog select[disabled], .ui-dialog textarea[disabled], .ui-dialog input[readonly], .ui-dialog textarea[readonly], .ui-dialog .many.disabled,
        p span.form_viewonly, td span.form_viewonly, th span.form_viewonly {
            background-color: rgba(255, 210, 210, 0.5);
        }
    {else}
        .dialog_make_btn14, .dialog_make_btn16, .dialog_make_btn24, .dialog_make_btn32, 
        .ui-icon-closethickgr, .ui-icon-closethick, .ui-datepicker-prev, .ui-datepicker-next {
            background-color: rgba(255, 255, 255, 0.5);
        }
        .dialog_make_btn14.yess, .dialog_make_btn14.nos, .dialog_make_btn14.dot, .dialog_make_btn14.dotr, .dialog_make_btn14.dotg {
            background-color: transparent;
        }
        .dialog_make_btn14.dot::after {
            content: "";
            display: block;
            width: 10px;
            height: 10px;
            background-image: url('{site_url url="/images/10x10/dot.png"}');
            filter: invert(100%);
            margin: 2px;
        }
    {/if}
    ul.functionmenu li span:hover, ul.functionmenu li a:hover {
        color: {$theme->colour_font};
    }
{/if}


{if $theme->company_bgtop}
    #topblock {
        background: none;
        background-color: {$theme->company_bgtop};
    }
{/if}
{if $theme->company_bgborder}
    #menublock {
        background-color: {$theme->company_bgborder};
    }
{/if}
{if $view_weekend eq false}
    .ui-datepicker td.ui-datepicker-week-end a {
        background-color: inherit;
    }
{/if}

.ui-sortable-placeholder {
    border: 1px dotted {$theme->colour_blue} !important;
    visibility: visible !important;
    background-color: {$theme->colour_blue} !important;            
}
.ui-sortable-placeholder-red {
    border: 1px dotted {$theme->colour_red} !important;
    visibility: visible !important;
    background-color: {$theme->colour_red} !important;
    font-weight:bold;
}

.drophover{
    background-color: {$theme->colour_blue};
}
{/strip}