{include file='r_basic/htmlheader.tpl'}
{include file='r_basic/infodialog.tpl'}

<div id="wrap" {if isset($section_name)}class="is_{$section_name}_page"{/if}>
    {if !$agent_is_mobile && $max_user_only_mailin}
        <div id="warn_max_user_only_mailin" class="ui-corner-all">{$i.basic_max_user_only_mailin}</div>
    {/if}
    <div id="topblock">
        <div id="topleftblock">
            <a id="logo" href="{site_url url="start"}" accesskey="1" alt="{$i.basic_title}"
               onclick="usComm.loadMainPage('{site_url url="start"}');return false;">{*
                *}<span class="logo1"></span><span class="logo2"></span>{*
            *}</a>
            <span onclick="$('#wrap').toggleClass('show-accesskey');" accesskey="k" style="display:none;" title="Show keys"></span>
            
            <div id="menublock">
                {if isset($login_logged_in) && $login_logged_in}
                {* ****************************************** The topmenu ****************************************** *}
                    {include file='r_basic/topmenu.tpl' menu_butler_mode=false}
                {/if}
                
                {if $theme->company_logo}{*
                    *}<div id="company-logo">
                        <img  src="{img_url uri=$theme->company_logo}" title="Logo {us_htmlentities($theme->company_logo_link, ENT_NOQUOTES)}" {if $theme->company_logo_link}onclick="window.open('{$theme->company_logo_link}'); return false;"{/if} />
                    </div>{*
                *}{/if}
            </div>
        </div>{*
        *}<div id="toprightblock" class="{if $project_start_view}have_useroptions_block{/if} {if $fulltext_search_is_active}have_fulltext_search{/if}">
            {if isset($login_logged_in) && $login_logged_in}
                {if $timelogging_start_view}
                    {portlet file='timelogging_select' intopblock=true}
                {/if}
                
                {if $project_start_view}
                    {portlet file='user_options_small'}
                {/if}

                {if $fulltext_search_is_active}
                    <p class="toprightinfo ui-corner-all" id="top_fulltext_block">
                        <input type="search" name="top_fulltext_search" id="top_fulltext_search" onkeyup="basicForm.open_fulltext_search(this, event);" placeholder="{$i.filter_fulltext}" accesskey="s" />
                    </p>
                {/if}
                
                {* ********************** WARNINGS ********************** *}
                {if $agent_browser_is_really_old || $agent_browser_edge}
                    <div id="warn_old_browser" class="toprightwarn ui-corner-all">
                    <a href="https://webservices.untermstrich.com/h4/{$language_short}:installation:browser" onclick="window.open(this.href); return false;"
                        title="{$i.basic_old_any} {$agent_agent}"
                        class="dialog_make_text_btn ui-corner-all">
                        <span class="dialog_make_btn16 error"></span>{*
                        *}<span class="btntext">{$agent_browser} {$agent_version}</span>
                    </a>
                    </div>
                {/if}
                
                <div id="warn_adblock_on" class="toprightwarn ui-corner-all" style="display:none;">
                    <a href="https://webservices.untermstrich.com/h4/{$language_short}:faq:adblock" onclick="window.open(this.href); return false;"
                        title="{$i.basic_adblock_on} '{site_url}'"
                        class="dialog_make_text_btn ui-corner-all">
                        <span class="dialog_make_btn16 error"></span>{*
                        *}<span class="btntext">Adblock</span>
                    </a>
                </div>
                
                {if !$agent_is_mobile && !$max_user_only_mailin}
                    <div id="connectfilemanager_applicationbutton" class="toprightwarn ui-corner-all" style="display:none;">
                        <a href="https://webservices.untermstrich.com/h4/de:user:start#connector_download" onclick="window.open(this.href); return false;"
                           id="top_connectfilemanager_btn" class="dialog_make_text_btn ui-corner-all">
                            <span class="dialog_make_btn16 help"></span>{*
                            *}<span class="btntext">{$i.basic_file_manager_link}</span>
                        </a>
                    </div>
                {/if}
                
            {else}
                {* ********************** Not logged in -  Change language ********************** *}
                <form action="{site_url url="common/change_language"}" method="post" id="changelanguage" class="ui-corner-all">
                    {include file='r/select.tpl' name="language" title='basic_language'
                        list=$languages id="item" text="key"
                        default=$language
                        noempty=1
                        filter_extra='onchange="userOptions.changeLanguageDo();"'}
                    <input type="hidden" name="xjxcookie" value="{$menu_xjxcookie}" />
                </form>
            {/if}
            <div id="logoversion" class="toprightwarn">{substr($us_version_ue, -5)} <span id="logoconnector">n</span></div>
            <div id="logodebug" class="toprightwarn">{*
                *}<a accesskey="d" id="logodebug-btn" onclick="webApp.change_debug_mode();" {if !$user_debug_mode}class="hidden-elem"{/if}>{*
                    *}{if !$user_debug_mode}X{else}D{/if}{*
                 *}</a>
            </div>
        </div>
    </div>
    
    <div id="mainblock">
        <div id="midblock">
            <div class="noclickmain">
                &nbsp;{* Preload *}<img src="{site_url url="images/butler.png"}" style="display:none; visibility:hidden;" />{* Preload *}
            </div>
            <div id="midblockcontent">