<!DOCTYPE HTML>
<html lang="{$language_short}" {if isset($body_class)}class="{$body_class}"{/if}>
<head>
    <meta charset="utf-8" />
    
    {* FOR IPHONE and other mobiles *}
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1">
    
    <meta name="robots" content="noindex,nofollow" />
    {* FOR IE9 *}
    <meta name="application-name" content="{$i.basic_title}" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />

    <title>{if isset($title)}{$title} - {/if}{$i.basic_title}</title>

    <link rel="shortcut icon" href="{site_url url="favicon.ico"}" type="image/x-icon" id="shortcut_ico" />
    
    <link rel="profile" href="http://microformats.org/profile/hcalendar">
    
    <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/basic__{$us_version_ue}.css"}">

    {if isset($login_page) && $login_page}
        <link rel="preload" as="style" href="{site_url url="$css_path/icons__{$us_version_ue}.css"}" onload="this.onload=null;this.rel='stylesheet'">
        <link rel="preload" as="style" href="{site_url url="$css_path/ui.basic__{$us_version_ue}.css"}" onload="this.onload=null;this.rel='stylesheet'">
        <link rel="preload" as="style" href="{site_url url="$css_path/lazy__{$us_version_ue}.css"}" onload="this.onload=null;this.rel='stylesheet'">
        
        <link rel="preload" as="style" href="{site_url url="$css_path/fullcalendar__{$us_version_ue}.css"}">
        <link rel="preload" as="style" href="{site_url url="$css_path/menu1__{$us_version_ue}.css"}">
        <link rel="preload" as="style" href="{site_url url="$css_path/menu2__{$us_version_ue}.css"}">
        <link rel="preload" as="style" href="{site_url url="$css_path/dhtmlxgantt__{$us_version_ue}.css"}">
    {else}
        <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/icons__{$us_version_ue}.css"}">
        <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/ui.basic__{$us_version_ue}.css"}">
        
        {if !$agent_is_mobile && strpos($theme->font, 'Open Sans')!==false}
            <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/lazy__{$us_version_ue}.css"}">
        {else}
            <link rel="preload" as="style" href="{site_url url="$css_path/lazy__{$us_version_ue}.css"}" onload="this.onload=null;this.rel='stylesheet'">
        {/if}
        
        <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/fullcalendar__{$us_version_ue}.css"}">
        <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/dhtmlxgantt__{$us_version_ue}.css"}">
    {/if}
    <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/handheld__{$us_version_ue}.css"}" media="screen" />
    <link rel="stylesheet" as="style" href="{site_url url="$css_path/print__{$us_version_ue}.css"}" media="print">
    
    <link rel="preload" as="script" href="{site_url url="$js_path/page_centric/jquery-fullcalendar__{$us_version_ue}.js"}">
    <link rel="preload" as="script" href="{site_url url="$js_path/page_centric/html2canvas__{$us_version_ue}.js"}">
    
    {if isset($menu_menustyle)}
        <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/menu`$menu_menustyle`__{$us_version_ue}.css"}" media="screen">
        {* Never change this from screen to all, else you destroy the menu style switch *}
    {/if}
    {if isset($css_add_reportedit) && $css_add_reportedit}
        <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/reportedit__{$us_version_ue}.css"}" />
    {else}
        <link rel="preload" as="style" href="{site_url url="$css_path/reportedit__{$us_version_ue}.css"}">
    {/if}
    
    
    <link rel="stylesheet" type="text/css" href="{site_url url="/ucss/user_{$theme->theme_user}_{$theme->theme_rev}__{$us_version_ue}.css"}" />

    {*
     * Take care - The order of the javascript includes may not be changed!
     *
     * As first library always load jquery
     * Then add jquery plugins
     * Then add polyfills
     * Then load the ....lang.js file
     * Then load the ustrich.js
     * And after the ustrich.js load the messages_....js
     *}
    <script type="text/javascript">
       {* Set to false by adframe.js - If not, adblocker is active *}
        us_adblock = true;
        
        {* Init shared worker, if possible *}
        {if isset($start_shared_pinger_url)}
            {* As of Sept 2014 - Chrome 3++, Firefox 29++, Opera 10.60++, Safari 5?, IE none, Mobile only Firefox 29++ *}
            var us_shared_pinger = false;
            (function(){
                if (typeof(SharedWorker)!=='undefined' && typeof(fetch)!=='undefined') {
                    {* Init worker *}
                    us_shared_pinger = new SharedWorker('{site_url url="$js_path/page_centric/us_shared_worker.js?v=1_12"}', 'us_shared_worker{$us_cookie_path_ue}');
                    us_shared_pinger.onerror = function() {
                        if(typeof(console) !== 'undefined') console.log('us_pinger Error occurred');
                    };
                    us_shared_pinger.port.postMessage(['{$start_shared_pinger_url}', '{$start_xjxcookie}']);
                }
            })();
        {/if}
    </script>
    
    <script type="text/javascript" src="{site_url url="$js_path/adframe.js"}"></script>
     
    {if $js_path eq 'js'}
        {*<script type="text/javascript" src="{site_url url="$js_path/jquery/jquery-1callerror__{$us_version_ue}.js"}"></script>*}
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery-2.2.4__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery-migrate-1.4.1__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery-ui-new1__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery-ui-timepicker-addon__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery-ustrich__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.ui.touch-punch__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.validate__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.form__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.cookie__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.tooltip__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.tooltipster__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.colorbox__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.address_select__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.colorpicker__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.fileupload__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.fileupload-ui__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.jstree__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.jgrowl__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.tableedit__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.reportedit__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.xcolor__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.titlealert__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.geolocation__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.md5__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.calculator__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.tablesorter__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/jquery/jquery.reporting_fillodsxlsxdesign__{$us_version_ue}.js"}"></script>
    {else}
        <script type="text/javascript" src="{site_url url="$js_path/jquery__{$us_version_ue}.js"}"></script>
    {/if}

    <script type="text/javascript" src="{site_url url="$js_path/$language.lang__{$us_version_ue}.js"}"></script>

    {if $js_path eq 'js'}
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/moment__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/atob_btoa__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/basicForm__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/basicForm_project__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/broadcast-channel__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/clipboard__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/dialogMessage__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/dateTime__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/documentReady__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/editablePopup__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/errorSmall__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/evaluation__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/filesaver__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/filter__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/tableconfig__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/fullPopup__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/i18nDateAware__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/i18nFloatAware__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/jQuery_validator_method__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/manageProjects__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/main__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/nextFeeNumberPopup__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/taskDescriptionsPopup__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/usComm__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/userOptions__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/us_markdown__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/tableeditpop__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/webApp__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/dhtmlxgantt__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/dhtmlxgantt_marker__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/ustrich/shake__{$us_version_ue}.js"}"></script>
    {else}
        <script type="text/javascript" src="{site_url url="$js_path/ustrich__{$us_version_ue}.js"}"></script>
    {/if}
    <script type="text/javascript" src="{site_url url="$js_path/$language.gantt.lang__{$us_version_ue}.js"}"></script>
    <script type="text/javascript" src="{site_url url="$js_path/translations/`$language_short`__{$us_version_ue}.js"}"></script>

    <script type="text/javascript" src="{site_url url="$js_path/chart__{$us_version_ue}.js"}"></script>
    <script type="text/javascript" src="{site_url url="$js_path/mustache__{$us_version_ue}.js"}"></script>
    {if $js_path eq 'js'}
        <script type="text/javascript" src="{site_url url="$js_path/raphael/b.raphael__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/raphael/b.raphael.serialize__{$us_version_ue}.js"}"></script>
        <script type="text/javascript" src="{site_url url="$js_path/raphael/g.raphael__{$us_version_ue}.js"}"></script>
    {else}
        <script type="text/javascript" src="{site_url url="$js_path/raphael__{$us_version_ue}.js"}"></script>
    {/if}
    
    {* Seasonal greetings *}
    {if isset($christmas)}
        <script type="text/javascript" src="{site_url url="$js_path/snowstorm__{$us_version_ue}.js"}"></script>
        <script type="text/javascript">
            snowStorm.targetElement = 'topblock';
            snowStorm.vMaxX = 1;
            snowStorm.vMaxY = 1;
            snowStorm.animationInterval = 150;
            snowStorm.flakesMax = 20;
            snowStorm.flakesMaxActive = 20;
            snowStorm.freezeOnBlur = true;
            snowStorm.snowStick = false;
            snowStorm.useMeltEffect = false;
            snowStorm.useTwinkleEffect = false;
            snowStorm.snowCharacter = '&lowast;';
            snowStorm.zIndex = 0;
            
            window.setInterval(function() {
                if (snowStorm) {
                    snowStorm.freeze();
                }
            }, 60000);
        </script>
    {/if}
    {if isset($easter)}
        <script type="text/javascript">
            $(document).ready(function (){
                $('#topleftblock').addClass('easter');
            });
        </script>
    {/if}    

    {* Javascript files set within the pages *}
    {if isset($header_pre_script_files)}
        {foreach from=$header_pre_script_files item=script}
            <script type="text/javascript" src="{site_url url=$script|replace:".js":"__{$us_version_ue}.js"}"></script>
        {/foreach}
    {/if}

    {* Javascript set within the pages *}
    {if isset($header_scripts)}
    <script type="text/javascript">
    /* <![CDATA[ */
        $().ready( function() {ldelim}
            {foreach from=$header_scripts item=script}
                {$script|default:""}
            {/foreach}
        {rdelim} );
    /* ]]> */
    </script>
    {/if}

    {* Javascript files set within the pages *}
    {if isset($header_after_script_files)}
        {foreach from=$header_after_script_files item=script}
            <script type="text/javascript" src="{site_url url=$script|replace:".js":"__{$us_version_ue}.js"}"></script>
        {/foreach}
    {/if}
    
    {* Javascript custom files set by user *}
    {if isset($header_custom_script_files)}
        {foreach from=$header_custom_script_files item=script}
            <script type="text/javascript" src="{site_url url=$script}"></script>
        {/foreach}
    {/if}
    
    {include file='r_basic/cssrelpreload.tpl'}
        
</head>
<body {if isset($body_class)}class="{$body_class}"{/if}>
<div id="loading"><span class="dialog_make_bar24"></span></div>
<div id="loading_small"><span class="dialog_make_load48"></span></div>