{if isset($paginate)}
<div class="paginate {if $paginate.pages eq 1}noprint{/if} {if !isset($hide_select_perpage) || $hide_select_perpage === FALSE}paginate_top{else}paginate_bottom{/if}">
    {if !isset($hide_select_perpage) || $hide_select_perpage === FALSE}
        <div class="pagebtns noprint">
            {if isset($multiselect_section)}
                <span class="dialog_make_btn24 multiselect_sel20 smallbtns ui-corner-all"
                    onclick="{$multiselect_section}.selectable_all();"
                    title="{$i.basic_all_selection}"></span>
                <span class="dialog_make_btn24 multiselect_dese20 smallbtns ui-corner-all"
                    onclick="basicForm.selectable_row.clear_selectable('{$multiselect_section}');"
                    title="{$i.basic_reset_selection}"></span>
            {else}
                &nbsp;
            {/if}
            {if isset($multiselect_page)}
                <div class="dot3_position">
                    <span class="dialog_make_btn24 dot3pl smallbtns" onclick="tableeditpop.open_simple(this)"></span>
                    <div class="ui-corner-all ui-widget-header dot3-container">
                        <div class="dot3-caret"><div class="dot3-caret-outer"></div><div class="dot3-caret-inner"></div></div>
                        <ul>
                            {if isset($tableconfig_section) && isset($tableconfig_xmlfile)}
                                <li style="padding-bottom: 5px;">
                                    <span class="dialog_make_btn16 tableconfig ui-corner-all" onclick="tableconfig.open('{$tableconfig_section}', '{$tableconfig_xmlfile}', '{$tableconfig_onsaveaction}');">
                                        {$i.tableconfig_edit_columnconfig}
                                    </span>
                                </li>
                            {/if}
                            {include file="`$multiselect_page`.tpl"}
                            {if isset($multiselect_section)}
                                <li style="padding-top: 5px;">
                                    <span class="dialog_make_btn16 help ui-corner-all" onclick="window.open('https://webservices.untermstrich.com/h4/de:tips:multiselect')">
                                        {$i.basic_multiselect}
                                    </span>
                                </li>
                            {/if}
                        </ul>
                    </div>
                </div>
            {/if}
        </div>
    {/if}
    <div class="pages noprint">
	{if $paginate.showfirst}
		<span class="dialog_make_btn16 move_first smallbtns ui-corner-all mobile_big"
			onclick="{$tabname}.change_page(1{if $portlet_id}, '{$portlet_id}'{/if});"
			title="{$i.basic_pagi_first}"></span>
		<span class="dialog_make_btn16 move_left0 smallbtns ui-corner-all mobile_big accesskey_prev"
                        onclick="{$tabname}.change_page({$paginate.page-1}{if $portlet_id}, '{$portlet_id}'{/if});"
			title="{$i.basic_pagi_prev}"></span>
	{else}
		<span class="dialog_make_btn16 move_first smallbtnslike ui-corner-all mobile_big"></span>
		<span class="dialog_make_btn16 move_left0 smallbtnslike ui-corner-all mobile_big accesskey_prev"></span>
	{/if}
        
        <span class="pageinfo" title="{$i.basic_page1} {$paginate.page} {$i.basic_page2} {$paginate.pages} {$i.basic_page3}">{$paginate.page} / {$paginate.pages}</span>
        
	{if $paginate.showlast}
		<span class="dialog_make_btn16 move_right0 smallbtns ui-corner-all mobile_big accesskey_next"
			onclick="{$tabname}.change_page({$paginate.page+1}{if $portlet_id}, '{$portlet_id}'{/if});"
			title="{$i.basic_pagi_next}"></span>
		<span class="dialog_make_btn16 move_last smallbtns ui-corner-all mobile_big"
			onclick="{$tabname}.change_page({$paginate.pages}{if $portlet_id}, '{$portlet_id}'{/if});"
			title="{$i.basic_pagi_last}"></span>
	{else}
		<span class="dialog_make_btn16 move_right0 smallbtnslike ui-corner-all mobile_big accesskey_next"></span>
		<span class="dialog_make_btn16 move_last smallbtnslike ui-corner-all mobile_big"></span>
	{/if}
    </div>
    <div class="rowinfo noprint">
        {if !isset($select_perpage_id)}{$select_perpage_id=$tabname}{/if}
        <select name="{$select_perpage_id}{if $portlet_id}_{$portlet_id}{/if}_perpage" class="t-small {$select_perpage_id}{if $portlet_id}_{$portlet_id}{/if}_perpage" onchange="{$tabname}.change_page({$paginate.page}{if $portlet_id}, '{$portlet_id}'{/if});" title="{$i.basic_rows_page}">
            <option value="10" {if $paginate.perpage eq 10}selected="selected"{/if}>10 {$i.basic_rows_page}</option>
            <option value="20" {if $paginate.perpage eq 20}selected="selected"{/if}>20 {$i.basic_rows_page}</option>
            <option value="50" {if $paginate.perpage eq 50}selected="selected"{/if}>50 {$i.basic_rows_page}</option>
            {if !$paginate.is_mobile}
                <option value="100" {if $paginate.perpage eq 100}selected="selected"{/if}>100 {$i.basic_rows_page}</option>
                <option value="200" {if $paginate.perpage eq 200}selected="selected"{/if} class="less">200 {$i.basic_rows_page}</option>
                <option value="500" {if $paginate.perpage eq 500}selected="selected"{/if} class="less">500 {$i.basic_rows_page}</option>
                <option value="1000" {if $paginate.perpage eq 1000}selected="selected"{/if} class="less">1000 {$i.basic_rows_page}</option>
            {/if}
        </select>
        <div style="display: inline-block;">
            / {$paginate.rows}
            <span class="rowinfobtns">
                {if isset($tr_single_line)}
                    <span onclick="usComm.setOption('{$tabname}_tr_single_line', 'basic', 'update_tr_single_line', '{$tabname}_tr_single_line', 'edtp-table-{$tabname}');"
                            class="dialog_make_btn16 tr_single_line {$tabname}_tr_single_line {if $tr_single_line}true{else}false{/if} smallbtns ui-corner-all"
                            title="{$i.basic_tr_single_line}"
                        ></span>
                {/if}
                {if !isset($multiselect_page) && isset($tableconfig_section) && isset($tableconfig_xmlfile)}
                    {include file='r_basic/tableconfig_btn.tpl'}
                {/if}
            </span>
        </div>
    </div>
</div>
{/if}