/******************************************************************************
 * Nested Set Structure template - table - 2
 ******************************************************************************/
#work_package_view_style2 {
    box-shadow: inset 1px 1px 0px #A1F913;
}

.work_package_tree li>div { 
    border: 1px solid #ccc;
    display: inline-block;
    padding: 1px;
    min-width: 10px;
}
.work_package_tree .first_row, .work_package_tree .second_row {
    display: inline-block;
}
.work_package_tree .first_row {
    float: left;
}
.work_package_tree .second_row {
    float: right;
    padding: 0.3em;
}

.work_package_tree ul {
    list-style-type: none;
    margin-left: 20px;
    padding: 0;
    position: relative;
    top: -3px;
    overflow: hidden;
}

.work_package_tree li {
    margin: 0 0 0 56px;
    padding: 0 0 5px 100px;  
    position: relative;   
}

.work_package_tree li::before, .work_package_tree li::after {
    content: '';
    position: absolute;
    left: 0;
}

/*Horizontal line on inner list items*/
.work_package_tree li::before {
    border-top: 1px solid #ccc;
    top: 15px;
    width: 100px;
    height: 0;    
}

/*Vertical line on list items*/   
.work_package_tree li:after {
    border-left: 1px solid #ccc;
    height: 100%;
    width: 0px;
    top: -10px; 
}

/*Lower line on list items from the first level because they don't have parents*/
.work_package_tree > li::after {
    top: 10px;
}

/*Hide line from the last of the first level list items*/
.work_package_tree ul>li:last-child::after {
    height: 25px;
}

/*Hide lines of the root element*/
.work_package_tree>ul {
    top: 10px;
}
.work_package_tree>ul>li {
    padding-left: 0;
}
.work_package_tree>ul>li::before {
    display: none;
    width: 10px;
}

/*rotate the images*/
.work_package_tree .dialog_make_btn16.move_left.smallbtns.ui-corner-all {
    transform: rotate(90deg);
}
.work_package_tree .dialog_make_btn16.move_right.smallbtns.ui-corner-all {
    transform: rotate(90deg);
}

{include file='r_work_packages/global.css.tpl'}