<table style="border-color: {$border_color_table}; margin-bottom: 10px;">
    <colgroup>
        <col style="width: 17mm;" />
        <col style="width: 35mm;" />
        <col style="width: 35mm;" />
        <col style="width: 17mm;" />
        <col style="width: 13mm;" />
        <col style="width: 15mm;" />
        <col style="width: 35mm;" />
        <col style="width: 35mm;" />
        <col style="width: 35mm;" />
        <col style="width: 35mm;" />
        <col style="width: 45mm;" />
        <col style="width: 5mm;" />
        <col style="width: 45mm;" />
    </colgroup>
    <thead>
        <tr style="background-color: {$background_color_heading}">
            <th>{$i.reporting_rep_log_change_date}</th>
            <th>{$i.basic_changed_by}</th>
            <th>{$i.reporting_rep_staff_name}</th>
            <th>{$i.reporting_rep_date}</th>
            <th>{$i.reporting_rep_number}</th>
            <th>{$i.reporting_rep_type_unit}</th>
            <th>{$i.reporting_rep_type_name}</th>
            <th>{$i.reporting_rep_project}</th>
            <th>{$i.reporting_rep_area_name}</th>
            <th>{$i.reporting_rep_cost_centre_name}</th>
            <th>{$i.reporting_rep_purpose}</th>
            <th>{$i.reporting_rep_is_client_changed}</th>
            <th>{$i.reporting_rep_description}</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td style="text-align: right;">{$row.log_change_date.usdate}</td>
            <td>{$row.log_changed_by_name}</td>
            <td>{$row.old_staff_name}</td>
            <td style="text-align: right;">{$row.old_date.usdate}</td>
            <td style="text-align: right;">{$row.old_number}</td>
            <td>{$row.old_type_unit}</td>
            <td>{$row.old_type_name}</td>
            <td>{$row.old_project_name}</td>
            <td>{$row.old_area_name}</td>
            <td>{$row.old_cost_centre_name}</td>
            <td>{$row.old_purpose}</td>
            <td>{if $row.old_is_client_changed=='true'}<img alt="Yes" src="{$bool_yes_img}" />{else}<img alt="No" src="{$bool_no_img}" />{/if}</td>
            <td>{$row.old_description}</td>
        </tr>
        <tr>
            {if strtolower($row.log_change_mode)==='true'}
                <td colspan="2" style="text-align:center;">{$i.reporting_current}:</td>
                <td>{$row.new_staff_name}</td>
                <td style="text-align: right;">{$row.new_date.usdate}</td>
                <td style="text-align: right;">{$row.new_number}</td>
                <td>{$row.new_type_unit}</td>
                <td>{$row.new_type_name}</td>
                <td>{$row.new_project_name}</td>
                <td>{$row.new_area_name}</td>
                <td>{$row.new_cost_centre_name}</td>
                <td>{$row.new_purpose}</td>
                <td>{if $row.new_is_client_changed=='true'}<img alt="Yes" src="{$bool_yes_img}" />{else}<img alt="No" src="{$bool_no_img}" />{/if}</td>
                <td>{$row.new_description}</td>
            {else}
                <td colspan="13" style="color:red;">
                    {$i.reporting_deleted}
                </td>
            {/if}
        </tr>
    </tbody>
</table>