<p>
    {$i.reporting_rep_date}: {$date_main} ({$date_prev})
    <br /> 
    {if $one_project_only}
        {$i.reporting_rep_project}
    {else}
        {$i.reporting_rep_projects}:
    {/if}
    {if isset($filterinfo->project)}
        {$filterinfo->project}; 
    {/if}    
    {if isset($filterinfo->project_group)}
        {$filterinfo->project_group}; 
    {/if}          
    {if !$old_and_future}
         {$i.filter_active_only}
    {/if}

    {if $deduct_hon_decr_costs}
        {$title_fee_internal_completed=$i.reporting_rep_fee_internal_completed}
        {$title_fee_costs=$i.reporting_rep_fee_internal}
    {else}
        {$title_fee_internal_completed=$i.reporting_rep_fee_internal_completed_all}
        {$title_fee_costs=$i.reporting_rep_fee_costs}
    {/if}

    {if $use_type eq 'linear_delimitation'}
        <br /> {$i.filter_use_linear_delimitation}
        {$title_completed="`$i.reporting_rep_completion_level` * `$title_fee_costs` (`$i.reporting_for_project`)"}
        {$title_completed_budget="`$i.reporting_rep_completion_level` * `$i.reporting_rep_budget_costs` (`$i.reporting_for_project`)"}
    {else}
        {$title_completed="`$i.reporting_rep_completion_level` * `$title_fee_costs` (`$i.reporting_for_work_package`)"}
        {$title_completed_budget="`$i.reporting_rep_completion_level` * `$i.reporting_rep_budget_costs` (`$i.reporting_for_work_package`)"}
    {/if}
    {$title_completed_diff="`$title_fee_internal_completed` - `$i.reporting_rep_actual_costs`"}
    {$title_completed_diff_budget="`$i.reporting_rep_budget_costs_s` `$i.reporting_rep_fee_internal_completed` - `$i.reporting_rep_actual_costs`"}

    <br /> {$i.filter_deduct_hon_decreasing_costs}: {if $deduct_hon_decr_costs}{$i.basic_yes}{else}{$i.basic_no}{/if}
    
    {if isset($filterinfo->fee_multiplier_set)}
        <br /> {$i.filter_fee_multiplier_set}: 
        {$filterinfo->fee_multiplier_set}{*
        *}{if isset($filterinfo->fee_multipliers_inactive)}<span class="only_pdf">;</span>&nbsp;<span class="warningani">{$filterinfo->fee_multipliers_inactive}</span>{/if}
    {/if}
</p>

<table class="tablesorter">
    <thead>
        <tr>
            {if $has_right_controlpanel}
                <th class="noprint"></th>
            {/if}
            {if !$one_project_only || $show_project_details}<th style="width:10cm;">{$i.reporting_rep_project}</th>{/if}
            {if $show_project_details}
                <th>{$i.reporting_rep_project_name}</th>
                <th>{$i.reporting_rep_project_number}</th>
                <th>{$i.reporting_rep_cost_centre_names}</th>
                <th>{$i.reporting_rep_project_manager_name}</th>
                <th>{$i.reporting_rep_client_name}</th>
                <th>{$i.reporting_rep_office_in_charge_name}</th>
                <th>{$i.reporting_rep_project_phase_name}</th>
                <th>{$i.reporting_rep_start_date}</th>
                <th>{$i.reporting_rep_end_date}</th>
                <th>{$i.reporting_rep_project_category_name}</th>
                <th>{$i.reporting_rep_comment}</th>
            {/if}
            {if $show_project_addi_details}
                {foreach item=field from=$addi_fields}
                    <th style="width:18mm; background:{if isset($field->color)}{$field->color}{else}lightcyan{/if};" title="{$field->field}">{$field->name}</th>
                {/foreach}
            {/if}
            {if $has_right_costs}
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_fee_costs} <small>{$date_prev}</small></th>
                {/if}
                <th style="width:18mm;">{$i.reporting_rep_fee_costs}</th>
                
                {if $project_intern_extern}
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray; box-shadow: inset 0px 0px 4px 0px rgba(144, 144, 66, 0.5);">{$i.reporting_rep_fee_costs_external} <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(144, 144, 66, 0.5);">{$i.reporting_rep_fee_costs_external}</th>
                {/if}
                
                {if $deduct_hon_decr_costs}
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_total_is_hon_decr} <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm;">{$i.reporting_rep_total_is_hon_decr}</th>
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_fee_internal} <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm;">{$i.reporting_rep_fee_internal}</th>
                {/if}
            {/if}
            {if $has_right_costs && $show_budget}
                <th {if $font_size_global<=9}style="width:18mm;"{/if} class="hoverhelp" title="{$i.reporting_rep_budget_costs}/{$i.reporting_rep_fee_internal} %">{$i.reporting_rep_x_fee_part}</th>
                <th style="width:18mm;">{$i.reporting_rep_budget_costs}</th>
                {if $project_intern_extern}
                    <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(144, 144, 66, 0.5);">{$i.reporting_rep_budget_costs_external}</th>
                {/if}
            {/if}
            {if $has_right_costs && $show_cost_details}
                <th style="width:18mm;">{$i.reporting_rep_x_time_costs}</th>
                <th style="width:18mm;">{$i.reporting_rep_x_travel_costs}</th>
                <th style="width:18mm;">{$i.reporting_rep_x_extra_costs}</th>
            {/if}
            {if $has_right_costs}
                <th style="width:18mm;" class="hoverhelp" title="{$i.reporting_rep_x_time_costs}+{$i.reporting_rep_x_travel_costs}+{$i.reporting_rep_x_extra_costs}">{$i.reporting_rep_x_internal_expenses}</th>
            {/if}
            {if $has_right_costs && $show_extexp_details}
                <th style="width:18mm;">{$i.reporting_rep_x_costs_charged}</th>
                <th style="width:18mm;">{$i.reporting_rep_x_costs}</th>
                <th style="width:18mm;">{$i.reporting_rep_x_costs_planned}</th>
                {if $show_categories}
                    {foreach item=fee_category from=$fee_categories}
                        <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(144, 144, 66, 0.5);" class="hoverhelp" title="{$i.reporting_rep_x_costs} [ID: {$fee_category->id}]"><small>{$i.reporting_categories_costs}</small> {$fee_category->name}</th>
                    {foreachelse}
                        <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(144, 144, 66, 0.5);">{$i.reporting_no_categories}</th>
                    {/foreach}
                    <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(144, 144, 66, 0.5);" class="hoverhelp" title="{$i.reporting_rep_x_costs}"><small>{$i.reporting_categories_costs}</small> {$i.reporting_categories_sum}</th>
                    <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(144, 144, 66, 0.5);" class="hoverhelp" title="{$i.reporting_rep_x_costs}"><small>{$i.reporting_categories_costs}</small> {$i.reporting_categories_no_sum}</th>
                {/if}
            {/if}
            {if $has_right_costs}
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;" class="hoverhelp" title="{$i.reporting_rep_x_internal_expenses}+{$i.reporting_rep_x_costs}">{$i.reporting_rep_actual_costs} <small>{$date_prev}</small></th>
                {/if}
                <th style="width:18mm;" class="hoverhelp" title="{$i.reporting_rep_x_internal_expenses}+{$i.reporting_rep_x_costs}">{$i.reporting_rep_actual_costs}</th>
            {/if}
            {if $has_right_costs && $show_fees_diff}
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;" class="hoverhelp" title="{$i.reporting_rep_fee_costs} - {$i.reporting_rep_actual_costs}">
                        {$i.reporting_rep_cost_diff} <small>{$date_prev}</small>
                    </th>
                {/if}
                <th style="width:18mm;" class="hoverhelp" title="{$i.reporting_rep_fee_costs} - {$i.reporting_rep_actual_costs}">
                    {$i.reporting_rep_cost_diff}
                </th>
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;" class="hoverhelp" title="{$i.reporting_rep_fee_internal} - {$i.reporting_rep_actual_costs}">
                        {$i.reporting_rep_cost_diff} II <small>{$date_prev}</small>
                    </th>
                {/if}
                <th style="width:18mm;" class="hoverhelp" title="{$i.reporting_rep_fee_internal} - {$i.reporting_rep_actual_costs}">
                    {$i.reporting_rep_cost_diff} II
                </th>
            {/if}
            {if $show_hours}
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_fees_hours} <small>{$date_prev}</small></th>
                {/if}
                <th style="width:18mm;">{$i.reporting_rep_fees_hours}</th>
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_budget_hours} <small>{$date_prev}</small></th>
                {/if}
                <th style="width:18mm;">{$i.reporting_rep_budget_hours}</th>
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_total_hours} <small>{$date_prev}</small></th>
                {/if}
                <th style="width:18mm;">{$i.reporting_rep_total_hours}</th>
                {if $show_calcexp}
                    {* ---- Aufwand ---- ---- ---- ---- *}
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_x_calcexp_hours_deducted} <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm;">{$i.reporting_rep_x_calcexp_hours_deducted}</th>
                {/if}
            {/if}
            
            {if $show_all_datespan}
                <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_completion_level} <small>{$date_prev}</small></th>
            {/if}
            <th style="width:18mm;">{$i.reporting_rep_completion_level}</th>
            
            {if $has_right_costs}
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;" class="hoverhelp" title="{$title_completed}">
                        {$title_fee_internal_completed} <small>{$date_prev}</small>
                    </th>
                {/if}
                <th style="width:18mm;" class="hoverhelp" title="{$title_completed}">
                    {$title_fee_internal_completed}
                </th>
                <th style="width:18mm; color:darkslategray;" class="hoverhelp" title="{$title_completed_diff}">
                    {if $deduct_hon_decr_costs}{$i.reporting_rep_fee_internal_completed_diff}{else}{$i.reporting_rep_fee_internal_completed_all_diff}{/if} <small>{$date_prev}</small>
                </th>
                <th style="width:18mm;" class="hoverhelp" title="{$title_completed_diff}">
                    {if $deduct_hon_decr_costs}{$i.reporting_rep_fee_internal_completed_diff}{else}{$i.reporting_rep_fee_internal_completed_all_diff}{/if} <small>{$date_main}</small>
                </th>

                <th style="width:18mm; color:darkslategray;" class="hoverhelp" title="{$title_fee_costs} - ({$i.reporting_rep_actual_costs} * (1/{$i.reporting_rep_completion_level})) ({$i.reporting_for_project})">
                    {$i.reporting_rep_x_prognosis_profit_loss} <small>{$date_prev}</small>
                </th>
                <th style="width:18mm;" class="hoverhelp" title="{$title_fee_costs} - ({$i.reporting_rep_actual_costs} * (1/{$i.reporting_rep_completion_level})) ({$i.reporting_for_project})">
                    {$i.reporting_rep_x_prognosis_profit_loss} <small>{$date_main}</small>
                </th>
            {/if}

            {if $has_right_costs && ($show_budget || $show_budget_completed) && $show_fees_diff}
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray; box-shadow: inset 0px 0px 4px 0px rgba(144, 66, 66, 0.5);" class="hoverhelp" title="{$i.reporting_rep_budget_costs} - {$i.reporting_rep_actual_costs}">
                        <div style="vertical-align: top;">{$i.reporting_rep_budget_costs_s}</div> {$i.reporting_rep_cost_diff} <small>{$date_prev}</small>
                    </th>
                {/if}
                <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(144, 66, 66, 0.5);" class="hoverhelp" title="{$i.reporting_rep_budget_costs} - {$i.reporting_rep_actual_costs}">
                    <div style="vertical-align: top;">{$i.reporting_rep_budget_costs_s}</div> {$i.reporting_rep_cost_diff}
                </th>
            {/if}

            {if $has_right_costs && $show_budget_completed}
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray; box-shadow: inset 0px 0px 4px 0px rgba(144, 66, 66, 0.5);" class="hoverhelp" title="{$title_completed_budget}">
                        <div style="vertical-align: top;">{$i.reporting_rep_budget_costs_s}</div> {$i.reporting_rep_fee_internal_completed} <small>{$date_prev}</small>
                    </th>
                {/if}
                <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(144, 66, 66, 0.5);" class="hoverhelp" title="{$title_completed_budget}">
                    <div style="vertical-align: top;">{$i.reporting_rep_budget_costs_s}</div> {$i.reporting_rep_fee_internal_completed}
                </th>
                <th style="width:18mm; color:darkslategray; box-shadow: inset 0px 0px 4px 0px rgba(144, 66, 66, 0.5);" class="hoverhelp" title="{$title_completed_diff_budget}">
                    <div style="vertical-align: top;">{$i.reporting_rep_budget_costs_s}</div> {$i.reporting_rep_fee_internal_completed_diff} <small>{$date_prev}</small>
                </th>
                <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(144, 66, 66, 0.5);" class="hoverhelp" title="{$title_completed_diff_budget}">
                    <div style="vertical-align: top;">{$i.reporting_rep_budget_costs_s}</div> {$i.reporting_rep_fee_internal_completed_diff} <small>{$date_main}</small>
                </th>

                <th style="width:18mm; color:darkslategray; box-shadow: inset 0px 0px 4px 0px rgba(144, 66, 66, 0.5);" class="hoverhelp" title="{$i.reporting_rep_budget_costs} - ({$i.reporting_rep_actual_costs} * (1/{$i.reporting_rep_completion_level})) ({$i.reporting_for_project})">
                    <div style="vertical-align: top;">{$i.reporting_rep_budget_costs_s}</div> {$i.reporting_rep_x_prognosis_profit_loss} <small>{$date_prev}</small>
                </th>
                <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(144, 66, 66, 0.5);" class="hoverhelp" title="{$i.reporting_rep_budget_costs} - ({$i.reporting_rep_actual_costs} * (1/{$i.reporting_rep_completion_level})) ({$i.reporting_for_project})">
                    <div style="vertical-align: top;">{$i.reporting_rep_budget_costs_s}</div> {$i.reporting_rep_x_prognosis_profit_loss} <small>{$date_main}</small>
                </th>
            {/if}
            
            {if $has_right_costs}
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;" class="hoverhelp" title="{$title_fee_costs} - {$title_fee_internal_completed}">
                        {$i.reporting_rep_work_in_hand} <small>{$date_prev}</small>
                    </th>
                {/if}
                <th style="width:18mm;" class="hoverhelp" title="{$title_fee_costs} - {$title_fee_internal_completed}">
                    {$i.reporting_rep_work_in_hand} <small>{$date_main}</small>
                </th>
            {/if}
            
            {if $has_right_costs && $show_fees}
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_x_sum_fee_invoiced} &lt; <small>{$date_prev}</small></th>
                {/if}
                <th style="width:18mm;">{$i.reporting_rep_x_sum_fee_invoiced} &lt; <small>{$date_main}</small></th>
                {if $show_feehist}
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray; box-shadow: inset 0 -1px 1px rgba(255,0,0,0.01);">{$i.reporting_rep_x_sum_fee_invoiced} &gt; <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm;  box-shadow: inset 0 -1px 1px rgba(255,0,0,0.01);">{$i.reporting_rep_x_sum_fee_invoiced} &gt; <small>{$date_main}</small></th>
                {/if}
                {if $show_fees_finally_invoiced}
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_x_sum_fee_finally_invoiced} &lt; <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm;">{$i.reporting_rep_x_sum_fee_finally_invoiced} &lt; <small>{$date_main}</small></th>
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_x_sum_fee_finally_invoiced_not} &lt; <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm;">{$i.reporting_rep_x_sum_fee_finally_invoiced_not} &lt; <small>{$date_main}</small></th>
                    {if $show_orgit}
                        {if $show_all_datespan}
                            <th style="width:18mm; color:darkslategray;">
                                {$title_fee_internal_completed} <tt>-</tt> {$i.reporting_rep_x_sum_fee_finally_invoiced} <small>{$date_prev}</small>
                            </th>
                        {/if}
                        <th style="width:18mm;">
                            {$title_fee_internal_completed} <tt>-</tt> {$i.reporting_rep_x_sum_fee_finally_invoiced} <small>{$date_main}</small>
                        </th>
                    {/if}
                {/if}
                {if $show_feehist}{* Honorar geplant *}
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray; box-shadow: inset 0 -1px 1px rgba(255,0,0,0.01);">{$i.reporting_rep_x_sum_fee_planned} &lt; <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm; box-shadow: inset 0 -1px 1px rgba(255,0,0,0.01);">{$i.reporting_rep_x_sum_fee_planned} &lt; <small>{$date_main}</small></th>
                {/if}

                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_x_sum_fee_planned} &gt; <small>{$date_prev}</small></th>
                {/if}
                <th style="width:18mm;">{$i.reporting_rep_x_sum_fee_planned} &gt; <small>{$date_main}</small></th>

                {if $show_all_datespan}{* Honorar bezahlt *}
                    <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_x_sum_fee_done} &lt; <small>{$date_prev}</small></th>
                {/if}
                <th style="width:18mm;">{$i.reporting_rep_x_sum_fee_done} &lt; <small>{$date_main}</small></th>

                {if $show_feehist}
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray; box-shadow: inset 0 -1px 1px rgba(255,0,0,0.01);">{$i.reporting_rep_x_sum_fee_done} &gt; <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm; box-shadow: inset 0 -1px 1px rgba(255,0,0,0.01);">{$i.reporting_rep_x_sum_fee_done} &gt; <small>{$date_main}</small></th>

                    {if $show_all_datespan}{* Honorar Abzug *}
                        <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_x_sum_fee_deduction} &lt; <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm;">{$i.reporting_rep_x_sum_fee_deduction} &lt; <small>{$date_main}</small></th>
                {/if}

                {if $show_all_datespan}{* Honorar offen *}
                    <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_x_sum_fee_open} &lt; <small>{$date_prev}</small></th>
                {/if}
                <th style="width:18mm;">{$i.reporting_rep_x_sum_fee_open} &lt; <small>{$date_main}</small></th>

                {if $show_feehist}
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray; box-shadow: inset 0 -1px 1px rgba(255,0,0,0.01);">{$i.reporting_rep_x_sum_fee_open} &gt; <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm; box-shadow: inset 0 -1px 1px rgba(255,0,0,0.01);">{$i.reporting_rep_x_sum_fee_open} &gt; <small>{$date_main}</small></th>
                {/if}

                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;" class="hoverhelp" title="{$title_fee_internal_completed} - {$i.reporting_rep_x_sum_fee_invoiced}">
                        {$i.reporting_rep_work_in_progress} <small>{$date_prev}</small>
                    </th>
                {/if}
                <th style="width:18mm;" class="hoverhelp" title="{$title_fee_internal_completed} - {$i.reporting_rep_x_sum_fee_invoiced}">
                    {$i.reporting_rep_work_in_progress} <small>{$date_main}</small>
                </th>

                {if $show_fees_to_remit}
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray;" class="hoverhelp" title="{$i.reporting_rep_fee_costs} - {$i.reporting_rep_x_sum_fee_invoiced}">
                            {$i.reporting_rep_x_fee_value_not_remited} <small>{$date_prev}</small>
                        </th>
                    {/if}
                    <th style="width:18mm;" class="hoverhelp" title="{$i.reporting_rep_fee_costs} - {$i.reporting_rep_x_sum_fee_invoiced}">
                        {$i.reporting_rep_x_fee_value_not_remited} <small>{$date_main}</small>
                    </th>
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray;" class="hoverhelp" title="{$i.reporting_rep_actual_costs} - {$i.reporting_rep_x_sum_fee_invoiced}">
                            {$i.reporting_rep_x_fee_value_to_remit} <small>{$date_prev}</small>
                        </th>
                    {/if}
                    <th style="width:18mm;" class="hoverhelp" title="{$i.reporting_rep_actual_costs} - {$i.reporting_rep_x_sum_fee_invoiced}">
                        {$i.reporting_rep_x_fee_value_to_remit} <small>{$date_main}</small>
                    </th>
                {/if}

                {if $show_actualcosts_comp}
                    <th style="width:18mm; color:darkslategray;" class="hoverhelp" title="{$date_main} - {$date_prev}">
                        {$i.reporting_rep_times_costs_in_comparison}</th>
                    <th style="width:18mm; color:darkslategray;" class="hoverhelp" title="{$date_main} - {$date_prev}">
                        {$i.reporting_rep_travels_costs_in_comparison}</th>
                    <th style="width:18mm; color:darkslategray;" class="hoverhelp" title="{$date_main} - {$date_prev}">
                        {$i.reporting_rep_extras_costs_in_comparison}</th>
                    <th style="width:18mm; color:darkslategray;" class="hoverhelp" title="{$date_main} - {$date_prev}">
                        {$i.reporting_rep_externalexpenses_costs_in_comparison}</th>
                    <th style="width:18mm; color:darkslategray;" class="hoverhelp" title="{$date_main} - {$date_prev}">
                        {$i.reporting_rep_total_costs_in_comparison}</th>
                {/if}

                {if $show_categories}
                    {foreach item=fee_category from=$fee_categories}
                        <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(144, 144, 66, 0.5);" class="hoverhelp" title="{$i.reporting_rep_x_sum_fee_invoiced} &lt; {$date_main}  [ID: {$fee_category->id}]"><small>{$i.reporting_categories_fees}</small> {$fee_category->name}</th>
                    {foreachelse}
                        <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(144, 144, 66, 0.5);">{$i.reporting_no_categories}</th>
                    {/foreach}
                    <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(144, 144, 66, 0.5);" class="hoverhelp" title="{$i.reporting_rep_x_sum_fee_invoiced} &lt; {$date_main}"><small>{$i.reporting_categories_fees}</small> {$i.reporting_categories_sum}</th>
                    <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(144, 144, 66, 0.5);" class="hoverhelp" title="{$i.reporting_rep_x_sum_fee_invoiced} &lt; {$date_main}"><small>{$i.reporting_categories_fees}</small> {$i.reporting_categories_no_sum}</th>
                {/if}
            {/if}
            {if $show_dates}
                <th style="color:#452f4f;">{$i.reporting_rep_last_times} <small>{$i.reporting_current}</small></th>
                <th style="color:#452f4f;">{$i.reporting_rep_last_completion_level} <small>{$i.reporting_current}</small></th>
            {/if}
            {if $show_calcexp}
                <th style="width:18mm;">{$i.reporting_rep_is_calc_from_expenses}</th>
                {if $show_project_details}
                    <th style="width:18mm;">{$i.reporting_rep_times_rate}</th>
                    <th style="width:18mm;">{$i.reporting_rep_areas_rate}</th>
                    <th style="width:18mm;">{$i.reporting_rep_travels_rate}</th>
                    <th style="width:18mm;">{$i.reporting_rep_extras_rate}</th>
                {/if}
                {* ---- Datum ---- ---- ---- ---- *}
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;">{$i.reporting_calcexp_type_date} <small>{$date_prev}</small></th>
                {/if}
                <th style="width:18mm;">{$i.reporting_calcexp_type_date}</th>
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;">{$i.reporting_calcexp_loc_date} <small>{$date_prev}</small></th>
                {/if}
                <th style="width:18mm;">{$i.reporting_calcexp_loc_date}</th>
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;">{$i.reporting_fees_invoiced_lastdate} <small>{$date_prev}</small></th>
                {/if}
                <th style="width:18mm;">{$i.reporting_fees_invoiced_lastdate}</th>
                {if $has_right_costs}
                    {* ---- Aufwand ---- ---- ---- ---- *}
                    {if !$show_calcexp_woa}
                        <th style="width:18mm; color:#452f4f;">{$i.reporting_calcexp_typeproj_open} <small>{$i.reporting_current}</small></th>
                    {else}
                        <th style="width:18mm; color:#452f4f;">{$i.reporting_calcexp_typewoa_open} <small>{$i.reporting_current}</small></th>
                    {/if}
                    {if !$show_calcexp_woa}
                        {if $show_all_datespan}
                            <th style="width:18mm; color:darkslategray;">{$i.reporting_calcexp_typeproj_open} <small>{$date_prev}</small></th>
                        {/if}
                        <th style="width:18mm;" class="hoverhelp" title="{$i.reporting_calcexp_open_history_help}">{$i.reporting_calcexp_typeproj_open} <small>{$date_main}</small></th>
                        {if $show_all_datespan}
                            <th style="width:18mm; color:darkslategray;">{$i.reporting_calcexp_typeproj_done} <small>{$date_prev}</small></th>
                        {/if}
                        <th style="width:18mm;" class="hoverhelp" title="{$i.reporting_calcexp_open_history_help}">{$i.reporting_calcexp_typeproj_done}</th>
                    {else}
                        {if $show_all_datespan}
                            <th style="width:18mm; color:darkslategray;">{$i.reporting_calcexp_typewoa_open} <small>{$date_prev}</small></th>
                        {/if}
                        <th style="width:18mm;" class="hoverhelp" title="{$i.reporting_calcexp_open_history_help}">{$i.reporting_calcexp_typewoa_open} <small>{$date_main}</small></th>
                        {if $show_all_datespan}
                            <th style="width:18mm; color:darkslategray;">{$i.reporting_calcexp_typewoa_done} <small>{$date_prev}</small></th>
                        {/if}
                        <th style="width:18mm;" class="hoverhelp" title="{$i.reporting_calcexp_open_history_help}">{$i.reporting_calcexp_typewoa_done}</th>
                    {/if}
                    {* ---- Honorarabr. ---- ---- ---- ---- *}
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray;">{$i.reporting_project_no_estim_offers} <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm;">{$i.reporting_project_no_estim_offers}</th>
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray;">{$i.reporting_calcexp_loc_done} <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm;">{$i.reporting_calcexp_loc_done}</th>
                    {* ---- Gesamt ---- ---- ---- ---- *}
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray;">{$i.reporting_calcexp_done} <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm;">{$i.reporting_calcexp_done}</th>
                {/if}
            {/if}
            {if $has_right_costs && $show_costcentres}
                {foreach item=cost_centre from=$cost_centres_list}
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray; box-shadow: inset 0px 0px 4px 0px rgba(255, 170, 100, 0.5);" class="hoverhelp" title="{$i.reporting_rep_fee_costs} [ID: {$cost_centre->id}]"><small>{$i.reporting_rep_fee_costs}</small> {$cost_centre->name} <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(255, 170, 100, 0.5);" class="hoverhelp" title="{$i.reporting_rep_fee_costs} [ID: {$cost_centre->id}]"><small>{$i.reporting_rep_fee_costs}</small> {$cost_centre->name}</th>
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray; box-shadow: inset 0px 0px 4px 0px rgba(255, 170, 100, 0.5);" class="hoverhelp" title="{$i.reporting_rep_x_internal_expenses}+{$i.reporting_rep_x_costs} [ID: {$cost_centre->id}]"><small>{$i.reporting_rep_actual_costs}</small> {$cost_centre->name} <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm;  box-shadow: inset 0px 0px 4px 0px rgba(255, 170, 100, 0.5);" class="hoverhelp" title="{$i.reporting_rep_x_internal_expenses}+{$i.reporting_rep_x_costs} [ID: {$cost_centre->id}]"><small>{$i.reporting_rep_actual_costs}</small> {$cost_centre->name}</th>
                {foreachelse}
                    <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(255, 170, 100, 0.5);">{$i.reporting_no_costcentres}</th>
                {/foreach}
                {if $cost_centre@total>=1}
                    {* Not in assigned cost centres *}
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray; box-shadow: inset 0px 0px 4px 0px rgba(255, 170, 100, 0.5);" class="hoverhelp" title="{$i.reporting_costcentres_no_sum1}"><small>{$i.reporting_rep_fee_costs}</small> {$i.reporting_costcentres_no_sum} <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm; box-shadow: inset 0px 0px 4px 0px rgba(255, 170, 100, 0.5);" class="hoverhelp" title="{$i.reporting_costcentres_no_sum1}"><small>{$i.reporting_rep_fee_costs}</small> {$i.reporting_costcentres_no_sum}</th>
                    {if $show_all_datespan}
                        <th style="width:18mm; color:darkslategray; box-shadow: inset 0px 0px 4px 0px rgba(255, 170, 100, 0.5);" class="hoverhelp" title="{$i.reporting_costcentres_no_sum1}"><small>{$i.reporting_rep_actual_costs}</small> {$i.reporting_costcentres_no_sum} <small>{$date_prev}</small></th>
                    {/if}
                    <th style="width:18mm;  box-shadow: inset 0px 0px 4px 0px rgba(255, 170, 100, 0.5);" class="hoverhelp" title="{$i.reporting_costcentres_no_sum1}"><small>{$i.reporting_rep_actual_costs}</small> {$i.reporting_costcentres_no_sum}</th>
                {/if}
            {/if}
            {if $has_right_costs && $show_offers}
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_offers_offered} <small>{$date_prev}</small></th>
                {/if}
                <th style="width:18mm;">{$i.reporting_rep_offers_offered}</th>
                {if $show_all_datespan}
                    <th style="width:18mm; color:darkslategray;">{$i.reporting_rep_offers_ordered} <small>{$date_prev}</small></th>
                {/if}
                <th style="width:18mm;">{$i.reporting_rep_offers_ordered}</th>
            {/if}
        </tr>
    </thead>

