<?php
$lang['langkey'] = 'en';
$lang['help'] = 'untermStrich Help';
$lang['admin_has_to'] = 'If you don\'t have the right to change the system, you have to ask your system administrator.';
$lang['fulltest'] = 'Full system test';
$lang['step'] = 'STEP';
$lang['next'] = 'NEXT > >';
$lang['start_installer'] = 'Start untermStrich X installer > >';

$lang['installer_note'] = '&#8226; If you already have an existing "Data path" from a former installation, please enter that path.<br />'.
        '&#8226; If you want to setup an entirely new system please enter the path to the folder you want to save your documents to.<br />'.
        '<br />Examples: <kbd>x:\data\</kbd> or <kbd>\\\\server\\share</kbd> or <kbd>/data</kbd><br />'.
        '<br /><em>NB:</em> If you are connected to a server - this path has to be present on the server and not on your local machine.<br />'.
        '<br /><em>NB:</em> The data path must <em>exist</em> and be <em>writeable</em> by the system. Linux e.g.: 777<br />'.
        '<br /><em>NB:</em> Do not use drive letters (<kbd>x:\</kbd>) for network shares. Use the UNC path (<kbd>\\\\server\\share</kbd>) instead.';

$lang['datapath'] = 'Data path';
$lang['language'] = 'Default Language';
$lang['datelocale'] = 'Default date format';
$lang['numberlocale'] = 'Default number format';

$lang['license'] = 'License key';
$lang['auth_invalid_license']   = 'The license information is invalid.';

$lang['error_files_exists1'] = 'The following configuration file(s) exists:';
$lang['error_files_exists2'] = 'Please remove / rename the file(s) if you want to completely reinstall undermStrich.';
$lang['error_dirs_not_writeable1'] = 'The following directories are not writable:';
$lang['error_dirs_not_writeable2'] = 'Please make sure that the directories are writable (<kbd>chmod 777 ###</kbd>).';
$lang['error_version1'] = 'You have to update the following software:';
$lang['error_version2'] = 'Please update your software.';

$lang['no_install'] = 'Please install untermStrich version 9 and enter the corresponding data path.';
$lang['mode_install'] = 'You are performing a <em>new</em> installation.';

$lang['start_install'] = 'Start Installation > >';
$lang['update_info'] = 'BE REMINDED: <br />&#8226; There should not be any active user! (Not even within the version 9) <br />&#8226; All users are automatically logged by the system. <br />&#8226; You should ask all users to save their work and log out to prevent <em>data loss</em>.';
$lang['start_update'] = 'Start Update > >';
$lang['done_proceed'] = 'Start untermStrich';

$lang['db_db'] = 'Database';
$lang['db_server'] = 'Database Server IP';
$lang['db_port'] = 'Server Port';
$lang['db_us_username'] = 'untermStrich Database-Username';
$lang['db_username'] = 'Administrative User';
$lang['db_password'] = 'Password';
$lang['db_name'] = 'Database Name';

$lang_wait_info = 'takes some time.<br />Note the status indicator of your browser and do <em>not</em> stop the action.';
$lang['setup_time'] = '<em>NB:</em> The installation '.$lang_wait_info;
$lang['update_time'] = '<em>NB:</em> The Update '.$lang_wait_info;

$lang['wait'] = 'Please wait';
$lang['final_setup'] = 'The installation was: ';
$lang['final_update'] = 'The update was: ';
$lang['default_login'] = 'The password for user "Administrator" is: <tt>admin</tt><br />Please change the password immediately!';
$lang['move_dotenv'] = '<em>NB:</em> For security reasons you may consider to move the file "%s" to folder "%s" and ensure it is readable by the apache webserver!';

$lang['start_install_portlets'] = 'Install Butler > >';
$lang['do_install_portlets'] = 'Installing Butler';
$lang['add_hoai'] = 'Install HOAI Butler';
$lang['install_portlets_note1'] = 'Now some standard Butlers will be installed.';
$lang['install_portlets_note2'] = 'You can update those Butlers later under <i>Configuration - Butler Update</i>.';

$lang['final'] = 'Done';