<?php
if ($error_files_exists) {
    print_heading(lang('error_files_exists1'));
    echo $error_files_exists;
    print_errorinfo(lang('error_files_exists2'));
}

if (isset($error_dirs_not_writeable) && $error_dirs_not_writeable) {
    print_heading(lang('error_dirs_not_writeable1'));
    echo $error_dirs_not_writeable;
    print_errorinfo(lang('error_dirs_not_writeable2'));
}

if (isset($error_version) && $error_version) {
    print_heading(lang('error_version1'));
    echo $error_version;
    print_errorinfo(lang('error_version2'));
}

if (isset($error_apache) && $error_apache) {
    print_heading('You have to configure Apache on your system.');
    echo '<p>Please activate the following directives in your <kbd>apache2.conf or httpd.conf</kbd>:</p>';
    echo $error_apache;
    print_errorinfo('Please configure your Apache.');
}

if (isset($error_php) && $error_php) {
    print_heading('You have to configure PHP on your system.');
    echo '<p>Please activate the following directives in <kbd>'.$this->us_installation->ini_file().'</kbd>:</p>';
    echo $error_php;
    print_errorinfo('Please configure your PHP installation.');
}