<h2><?php echo lang('fulltest');?></h2>

<?php
if ($error_version) {
    print_heading('You have to update the following software:');
    echo $error_version;
}

if ($error_apache) {
    print_heading('You have to configure Apache on your system.');
    echo '<p>Please activate the following directives in your <kbd>apache2.conf or httpd.conf</kbd>:</p>';
    echo $error_apache;
}

if ($error_php) {
    print_heading('You have to configure PHP on your system.');
    echo '<p>Please activate the following directives in <kbd>'.$this->us_installation->ini_file().'</kbd>:</p>';
    echo $error_php;
}

if ($error_files) {
    print_heading('The following required configuration file(s) is/are missing:');
    echo $error_files;
}

if ($error_dirs) {
    print_heading('Apache/PHP can not read and write the following directories or the directories are not setup correctly:');
    echo $error_dirs;
}



//MAIN ERROR MESSAGE
if (!$system_ok) {
    echo '<p class="formstyle infoline">';
    print_errorinfo('Your system fails to meet the requirements to run untermStrich or your setup is invalid!');
    echo '</p>';
    test_again();

    //SYSTEM IS OK AFTER THIS LINE:
} else if ($error_after_files) {
    echo '<p class="formstyle infoline">';
    print_greeninfo('Your system setup seems to be alright.');
    echo '</p>';
    next_button(site_url(), lang('start_installer'));

    //THERE ARE SOME CONFIG FILES:
} else if (!$all_ok) {
    echo '<p class="formstyle infoline">';
    print_errorinfo('Your system setup seems to be invalid!');
    echo '</p>';
    test_again();

    //THERE ARE NO ERROR AT ALL:
} else {
    echo '<p class="formstyle infoline">';
    print_greeninfo('Your setup seems to be alright, and the system is ready to use.');
    echo '</p>';
}