<?php

$lang['email_must_be_array'] = "The email validation method must be passed an array.";
$lang['email_invalid_address'] = "Invalid email address: %s";
$lang['email_attachment_missing'] = "Unable to locate the following email attachment: %s";
$lang['email_attachment_unreadable'] = "Unable to open this attachment: %s";
$lang['email_no_recipients'] = "You must include recipients: To, Cc, or Bcc";
$lang['email_send_failure_phpmail'] = "Unable to send email using PHP mail().  Your server might not be configured to send mail using this method.";
$lang['email_send_failure_sendmail'] = "Unable to send email using PHP Sendmail.  Your server might not be configured to send mail using this method.";
$lang['email_send_failure_smtp'] = "Unable to send email using PHP SMTP.  Your server might not be configured to send mail using this method.";
$lang['email_sent'] = "Your message has been successfully sent using the following protocol: %s";
$lang['email_no_socket'] = "Unable to open a socket to Sendmail. Please check settings.";
$lang['email_no_hostname'] = "You did not specify a SMTP hostname.";
$lang['email_smtp_error'] = "The following SMTP error was encountered: %s";
$lang['email_no_smtp_unpw'] = "Error: You must assign a SMTP username and password.";
$lang['email_failed_smtp_login'] = "Failed to send AUTH LOGIN command. Error: %s";
$lang['email_smtp_auth_un'] = "Failed to authenticate username. Error: %s";
$lang['email_smtp_auth_pw'] = "Failed to authenticate password. Error: %s";
$lang['email_smtp_data_failure'] = "Unable to send data: %s";
$lang['email_exit_status'] = "Exit status code: %s";
$lang['email_no_login_md5'] = 'Your e-mail server is not configured correctly. Neither LOGIN nor CRAM-MD5 is supported as an authentication method. <br />For details about <a href="https://webservices.untermstrich.com/h4/en:faq:exchange_ram#konfiguration" target="_blank">configuring Exchange, click here</a>. <br /><br />Server Response: %s';
$lang['email_secure_connection_failed'] = 'There was an error connecting to the server. A secure connection was requested, but was not available.';
$lang['email_untrusted_ssl'] = "It's not recommended, but you can allow self-signed and untrusted SSL certificates\r\nfor certain domains (%s) in";
$lang['email_mod_conf_email'] = "Module Configuration - E-Mail";
$lang['email_no_connection'] = "A connection with the data you entered could not be established!";
$lang['email_no_connection_exchange'] = 'If you use an Exchange Server, please note the <a href="https://webservices.untermstrich.com/h4/de:tested_email" target="_blank">information about starting the IMAP services</a>';
$lang['email_no_alternative_conf_found'] = "No alternative configuration could be found.";
$lang['email_check_server_port'] = "Check the server name and the port used";
$lang['email_has_failed'] = "has failed";
$lang['email_check_user'] = "Check username";
$lang['email_check_pass'] = "Check password";
$lang['email_check_user_pass'] = "Check username and password";
$lang['email_try_starttls_or_plain'] = "You may also try security mode 'STARTTLS' or 'Without encryption'";
$lang['email_no_inbox1'] = "The connection with your E-Mail INBOX could not be established!";
$lang['email_no_inbox2'] = "There may be a general issue with your IMAP mailbox.";
$lang['email_no_inbox3'] = "Test if an IMAP connection can be established by another mail client, such as Thunderbird or Outlook.";
$lang['email_no_connection_desired'] = "No connection data was entered";
$lang['email_connection_ok'] = "Connection was successfully established";
$lang['email_alternative_found'] = "A connection with the data you entered could not be established!\r\nHowever, an alternative configuration was found.\r\nDo you want to use these settings?";
$lang['email_alternative_orig'] = "Original";
$lang['email_alternative_alt'] = "Alternative";
$lang['email_autoconfig_ok'] = "Configuration settings found.";
$lang['email_autoconfig_failed'] = "No automatic configuration settings could be found.";
$lang['email_no_oauth_account'] = 'There is no OAuth account stored for the email account: %s. Please correct the account settings!';


/* End of file email_lang.php */
/* Location: ./system/language/english/email_lang.php */